Welcome

Welcome to the SIMCA-online Help

Welcome to SIMCA-online, part of the Umetrics Suite.

This help is your guide to SIMCA-online and its capabilities. It explains how to use the SIMCA-online Client and Server and how to configure your system.

This help does not include multivariate data analysis or how to use SIMCA. For such information, see the book Multi- and Megavariate Data Analysis and the SIMCA user guide.

Content

  1. Installation and configuration - Installation and configuration instructions for the SIMCA-online Client and Server.

  2. Multivariate modeling for SIMCA-online - Introduction to SIMCA-online and multivariate modeling and monitoring.

  3. Using SIMCA-online - Overview of the steps involved in using SIMCA-online.

  4. File - Description of all commands available on the File tab in the Client.

  5. Quick Access Toolbar - Description of feature leaving favorite commands quickly accessible.

  6. Home - Description of the most commonly used commands.

  7. Administration - Description of the commands that are primarily used by the SIMCA-online administrator.

  8. View - Description of the commands available on the View tab.

  9. Tools - Description of plot and list tools.

  10. Project explorer - on how to upload SIMCA projects and configure them for SIMCA-online, as well as opening and closing configurations.

  11. Customizing plots - Description of features to customize plots.

  12. Appendix A: General information - Information about error codes, endpoints, interfaces, and tab and menu reference syntax.

  13. Appendix B: Control Advisor - Description of the background of the Control Advisor and imputation methods.

Sartorius Stedim Data Analytics AB patents and trademarks

Patents

US-7151976, US-7523384, US-7622308, US-7809450, US-8086327, US-8244498, US-8271103, US-8412356, US-8494798, US-8577480, US-8725469, US-9069345, US-9429939, US-9541471, US-9746850.

Trademarks

Trademark | Descriptor
Umetrics® | Suite of Data Analytics Solutions
MODDE® | Design of Experiments Solution
SIMCA® | Multivariate Data Analysis Solution
OPLS® | Method for improved regression analysis
O2PLS® | Method for data integration
O2PLS-DA® | Method for exhaustive discriminant analysis
OPLS-DA® | Method for group separation
PLS-TREE® | Top down clustering
S-PLOT® | Highlighting discriminatory variables
EZinfo® | Embedded Waters solution
VALUE FROM DATA® | We are value providers

See also: umetrics.com/about-us/trademarks

Third party software

SIMCA-online is bundled with ExamDiff, a freeware tool for visual file comparison. For even more features, check out ExamDiff Pro.


Introduction to installation and configuration

Installation and configuration

This chapter describes the programs installed and the configuration of the SIMCA-online Server.

Content

  • Installation

  • Licensing

  • Configuration of the Server


Installation

Before installing, verify that the system requirements apply to your system by consulting the knowledge base article for this version of SIMCA-online.

To install, follow the steps in the installation wizard. For info, see the Readme and Installation Guide in the installation package.

For planning considerations and advanced topics, see the SIMCA-online Implementation Guide and the SIMCA-online Technical Guide available at umetrics.com/downloads/simca-online.

Installed programs

The following programs/files are installed;

  • Tools: DBMaker.

  • SIMCA-online Client.

  • SIMCA-online Server Options.

  • SIMCA-online Server Monitor. Server Monitor opens an icon in the notification area in the taskbar. Right-click the icon and from the menu start the Server, launch the client, Server Options and Help.

  • SIMCA-online Help.


Licensing

SIMCA-online is licensed on the SIMCA-online server with a license file. Once the license file has been activated, it is locked to the server computer, and cannot be moved to a different server.

The server license controls which features are available, if and when the license expires, and in some cases which SimApi (data source interface) is allowed.

SIMCA-online clients do not need licenses to access a server. Many clients can freely be installed and connect to the same server.

Trial license limitations

When SIMCA-online is installed on a new computer it will run in trial mode, or demo mode.

The trial is restricted to use only the DBMaker SimApi which connects to the database simulation software DBMaker, but includes all other SIMCA-online features. Note: DBMaker can also be used with your own data as described in umetrics.com/kb/testing-simca-online-real-world-data-without-simapi

A license unlocks the possibility to connect to data sources, and the other features enabled by the license.

If the license has an expiration date and that date has passed, the server will revert back to run in trial mode, and you will also be notified by this (see below).

How to activate and license a SIMCA-online server

When you purchased a SIMCA-online license, you will get an Activation Key by email. Follow these steps to activate the license:

  • Start the SIMCA-online Server Options utility on the server computer to request the license.

  • Take a note of the HostID presented on the screen. It is unique to your server computer and is required in the next step.

  • On the License Activation Center website, log in with the Activation key, fill in the HostID of your server computer and click the Activate button. Then download the license file to the server computer.

  • In Server Options, click Next to import the license file.

Notes:

  • If the server doesn't have internet connectivity, you still run Server Options on that computer, but then copy the HostID from the Request license-wizard and use that on internet-connected computer to download the license.

  • The downloaded license works for the server it was downloaded for. It cannot be moved to other servers.

See information about the current license

You can see information about the server license in two ways:

  • On the server computer, launch the SIMCA-online Server Options utility and look on the Paths and Directories tab.

  • The same information is also available in the SIMCA-online client on the Help page under File when it is logged on to the SIMCA-online server.

License expiration notices

Clients connected to the SIMCA-online server are notified that the license is about to expire, starting 60 days before the expiration.

Once the license has expired, the server runs in demo mode, and a message about this is given in the client.


License reminder

A license reminder will be issued and written to the Client log once a day starting 60 days prior to license expiration. The last 10 days prior to license expiration a tooltip will also be displayed once a day.


Configuration of the server

Background

The SIMCA-online Server handles the data transfer between the SIMCA-online Client, the SIMCA-online internal database, and the external data sources. Communication with the different external data sources is handled by the different SimApi.

The Server performs all the project management, computation and execution of the multivariate models.

Configuring the SIMCA-online Server

Before starting the Server the first time it has to be configured. The configuration is normally done after the installation.

The first time the SIMCA-online Server options dialog is opened, you are given a choice to import data from previous SIMCA-online versions. See the Import Previous SIMCA-online Server Data topic later in this chapter.

Opening the SIMCA-online Server options dialog

To configure, right-click the SIMCA-online Server Monitor icon [image] located in the notification area in the taskbar and select Server options. Alternatively open the SIMCA-online Server Options from the Start menu. In the SIMCA-online Server Options dialog the following tabs are available: Paths and directories, SimApi, and Miscellaneous. Details about these tabs follow.


Paths and directories

Use the Paths and directories page to:

  • Enter or change the path to the SIMCA-online database directory, where SIMCA-online stores its data.

  • See information about the current SIMCA-online server license and manage it. Learn more about Licensing.

    • Click Request license to request a license file.

    • Import the license file by clicking Import license.

  • View the current directory for saving the internal configuration file (the file that stores all settings in Server Options). Clicking Reset removes the current server configuration file and re-configures the server. Note that this affects ALL tabs.

Note: After clicking Reset, Import Previous SIMCA-online Server Data is again possible.


Parameters to initiate communication with SimApi

The SimApi for some external data sources may need some parameters in order to communicate with SIMCA-online.

Further information about these parameters can be found in the documentation provided by the supplier of each SimApi.

Mark the SimApi in the list and click Configure to view and modify the settings.

Use the check boxes to activate/deactivate the SimApi.

Installing SimApi - interfaces to external systems

See the SIMCA-online interfaces section in Appendix A: General Information to learn how to install SimApi on your server for use with various external data sources from which you want to obtain data.


Miscellaneous settings

Click an item to display the description and customize the settings as needed.

Log file

Under Log file, change or view, the maximum Log file size (kb), by default 20480, and minimum severity level to be logged by selecting Log level. Available log levels are: Debug, Information (default), Warning, Error, or Critical. Critical is the lowest level and logs the least information. Debug is the highest level and logs the most information. Each level is cumulative of the lower levels.

Note: When the log file size exceeds the specified maximum log file size, the log file is truncated omitting the oldest entries.

  • Debug logs in great detail everything that happens including all communication and actual values read from the external database. Using this setting may slow down the system but provides the necessary details to know what the server is doing at all times. Recommended by Umetrics online support as soon as you want to identify problems.

  • Information logs login, logout, project added, batch started etc.

  • Warning logs incidents, such as a SimApi function being time consuming or a client being unexpectedly disconnected.

  • Error logs errors in the server, such as failing to predict or failing to read from external database.

  • Critical logs severe problems that will prohibit you from continuing to run SIMCA-online, such as project crash or out of memory.

Server input files

Under Server input files, view or change the path to the Plugin directory.

Active Directory

Under Active Directory settings, specify the authentication server to use if you want your users in SIMCA-online to be authenticated by servers in your Windows network.

  • Server name - Host name of the Active Directory server to connect to.

  • Port number - The Active Directory port number to connect to. By default different depending on whether the SSL encryption is selected or not. If cleared the default port is 389 and if selected 636.

  • Network transport - The Active Directory session will use Transport Layer Security (TLS) when selected.

  • Base - The Active Directory base OU, used when importing users or browsing for distinguished names for users.

Server startup and timeout

Under Server startup and timeout, view or change:

  • The Port number - listener TCP port used by the server. Default is 2371.

  • The SimApi startup timeout (min). Default 60 minutes.

  • The Project DB timeout (min). Default 60 minutes.

  • The SimApi call timeout (s). Default is 2 seconds.

  • Resume execution is default selected. The execution of models starts automatically if they were executing when the server was shut down.

  • Connection test interval (s) is how often the server should test the client connection. Default is 300 seconds. If the server does not get a response from a client, it will be disconnected and has to connect and login again to the server.

Processor load

In Processor load you can set a limit in Load warning percent for when to write in the log that “The processor is working at a high load”. Default is 80%.

Averaging time (s) defines the time in seconds between checking the load. Set a time between 1 - 3600 seconds, default is 60.

Electronic signature

When the Require electronic signature check box is selected, certain actions in the client will require an electronic signature and text in the Comment field. See also the Electronic signature topic in Chapter 3, Using SIMCA-online.

Web Server settings

The Web Server can be used to expose SIMCA-online projects, configurations and data using HTTP/HTTPS in a RESTful interface.

  • For the server to start the SIMCA-online web server component, select the Use Web server check box.

  • The Port number displays the current port number used by the web server. The valid range is 1 - 65 535 and the default is 9001.

  • Network transport displays the current transport-level security Unencrypted HTTP (Default) or Transport Layer Security (TLS) - HTTPS. To be able to use TLS encryption (SSL), a certificate for the server computer must be obtained from a Certificate Authority and configured.


Configuring the server for Notifications

This section describes how to configure Notifications on the SIMCA-online server computer.

About Notifications.

Requirements

For email notifications to work, SMTP network traffic must be allowed between the SIMCA-online server, and the SMTP server used to deliver the email messages, over the TCP port specified as shown below. Active Directory no longer is a requirement from SIMCA-online 16.0, however Active Directory email addresses are used as the defaults if available.

We recommend that you select an internal SMTP server within your network. Such email servers typically allow delivery to internal addresses without authentication.

Configuring the server

Use the SIMCA-online Server Options utility on the server computer to specify settings for Notifications on the Miscellaneous tab:

The SMTP server must be provided for the email notifications to work. If you just want to route notifications to the Windows Application Event log, you don't need to configure email notifications.

After this has been done, the SIMCA-online Server service needs to be restarted for the changes to be applied.

You then use the SIMCA-online client for management of notification subscriptions and recipient email addresses as described in Subscribing to email notifications.

Troubleshooting

Make sure you have specified the correct SMTP server as described above, and that networking firewalls do not block traffic between the SIMCA-online server and the SMTP server.

Logging events to the Windows Application Event Log requires that the SIMCA-online service account has the rights to do this. The default System account has these rights. If a domain account is used as the service account, it can also be made a local administrator on the server computer so that it can log access the Event log.

Hint: Consult the SIMCA-online server log for details about Notifications if you want to know what happens.

Customizing Email Delivery Templates

The server uses style sheets to format the email messages sent. This section outlines how this can be customized on the server computer. To do this requires knowledge about XML and XSLT transformations. See https://www.w3schools.com/xml/xsl_intro.asp for a basic introduction.

The files that create the notification contents are found in %programdata%\Umetrics\SIMCA-online Server\16.0\Templates. They are;

  • Common.xslt - contains XSLT file that creates the CSS styles used in the emails.

  • Default.xslt - contains the default XSLT file that transforms the notification to an HTML formatted email. This file is used for all email notifications unless it is overridden for a specific event type.

These files can be edited with a text editor to customize the email messages the server sends.

You can also create a delivery template for a specific event type by creating a file called [eventType].xslt in the Templates folder. This file will then be used for that particular event type. See all Notification Event Types.

Tip; the original delivery templates can be found in the %programfiles%\Umetrics\SIMCA-online\[version] folder.

Note; Only email notifications can be customized like this. Windows Application Event Log always contains all data for each event, formatted as JSON which is the internal format used by the server.


Enabling cross-origin resource sharing in Web API

Cross-origin resource sharing (CORS) is a mechanism that allows restricted resources (e.g. fonts) on a web page to be requested from another domain outside the domain from which the first resource was served.

In the context of the SIMCA-online Web API CORS must be enabled if a web server other than the SIMCA-online server is hosting a client of the Web API, e.g. for example a third party dashboard-application that wants to consume data from SIMCA-online.

An example

For example, if you create a HTML-page MyDashboard.html and host this file on http://ServerA, and that html-file wants to use the SIMCA-online Web API at https://SIMCAonlineServer:9002, then you must configure the SIMCA-online server to allow CORS from the origin "http://ServerA".

How to enable on the SIMCA-online server

To enable CORS in the Web API, open Server Options, go to the Miscellaneous page and locate the 'Allowed CORS origins' setting in the 'Web server settings' category.

In this field enter the origins, separated using commas, which are allowed to use CORS.

  • Specify a domain as protocol//:domain:port, where protocol can be http or https, port the tcp port (such as 443, 9001), and domain is the computer name or full network address such that ServerA or ServerA.mydomain.com.

  • Use a wildcard (*) to allow all domains.

  • Leave empty to disable CORS entirely. This is the default for a new installation of SIMCA-online.

Note: you need to specify the protocol and port as part of the origin. This means that http://ServerA and https://ServerA are not the same (http vs https), and that http://ServerA:3000 is not the same as http://ServerA (different port numbers).

Read more about CORS

https://www.w3.org/TR/cors/

https://developer.mozilla.org/en-US/docs/Web/HTTP/Access_control_CORS

https://en.wikipedia.org/wiki/Cross-origin_resource_sharing


Import Previous SIMCA-online Server Data

Use the Import Previous SIMCA-online Server Data dialog to import data from a previous SIMCA-online Server database.

Note: You must stop the previous version's SIMCA-online server service before doing the migration.

In the dialog, you can:

  • Select which previous SIMCA-online server to import from.

  • Enter or change the path to the SIMCA-online database directory, where the copy of the SIMCA project file is saved when adding a project.

  • Start the import process by clicking Finish.

When clicking Finish all the data from the selected SIMCA-online server will be copied to the specified location. The import process will not affect the previous version, leaving the original server database intact.

Note: For best performance and experience, Umetrics recommend to not import previous SIMCA-online Server data.


DBMaker database simulation tool

DBMaker is a small application provided with the server component of the SIMCA-online installation. DBMaker is installed in the same directory as the server. The SimApi for DBMaker is installed automatically on the server for a new installation of SIMCA-online.

DBMaker simulates a real data source, such as a process database, by using preloaded data tables which are provided one observation at the time to the SIMCA-online server through the DBMaker SimApi.

DBMaker cannot be used in production with real data from an external data source. To use real data you need one of the other available SimApis, see umetrics.com/simapi.

More:

DBMaker features

How to use DBMaker

Managing databases

Creating a new database in DBMaker


DBMaker features

DBMaker supports;

  • Multiple databases. Each database contains;

    • one or more nodes (tables) of process data for a set of tags (variables). Each node may be used for a different unit in SIMCA-online.

    • an optional batch node.

  • Continuous process data with a configurable time interval (1 second and up) between observations.

  • Batch node data - batch IDs, start time, end time, and optional batch conditions and local centering data. Required for batch projects.

  • Discrete data - data read by phases configured for discrete data retrieval. For more concerning discrete data, see the SIMCA-online discrete data retrieval PDF on the SIMCA-online download page at umetrics.com.

  • Write back of data - DBMaker can receive and store data written back by the SIMCA-online server.

  • Creation of databases from Excel files, text files, and most other formats supported by SIMCA.

More:

DBMaker database simulation tool

How to use DBMaker

Managing databases

Creating a new database in DBMaker


How to use DBMaker

For SIMCA-online to be able to receive data from DBMaker start as follows;

  1. Start the DBMaker application before starting the SIMCA-online server service.

  2. Then start data databases inside DBMaker by clicking Start in DBMaker.
    Tip: there is also a Start all button (play) in the toolbar that starts all databases at once.

For a short tutorial see the Readme and Installation Guide PDF bundled with the installation.

Controlling a database

Each database in DBMaker is represented by its own window as the following picture shows.

The different nodes (tables) with data are displayed to the right. The control buttons to the left have the following purposes:

  • Start - starts publishing observations one by one from the original data table. Always starts from the first observation.

  • Stop - stops publishing data. A SIMCA-online server will from then on receive the last published observation.

  • Pause - temporarily pauses publishing of data. Click Pause again to resume operation (it will catch-up and fill in data for all missed observations).

  • Clear data - Deletes all data from the internal storage in DBMaker.

  • View data - Shows one window for each node with data in the database (see below). Tip: You can also double-click on one of the nodes in the window to open only that list.

  • Fill - pre-populates the DBMaker internal database with data from the original data tables. Either a range of time can be filled with data, or a number of blocks (copies) of the original data table can be added.

More:

DBMaker features

Managing databases

Creating a new database in DBMaker

DBMaker database simulation tool


Managing databases

Managing databases in DBMaker

Before adding a new database, or deleting an existing one, you have to stop the SIMCA-online server service if it is connected to DBMaker.

  • To import an existing DBMaker database (a file with .dbmaker extension), click File | Import database.

  • To see or change the current folder where DBMaker stores its database, click File | Select database directory.

  • To delete databases, click File | Manage databases to show the Manage Databases dialog. Mark the database and click Delete.

  • For how to create a new databases, see the Creating a new database in DBMaker topic.

More:

DBMaker features

How to use DBMaker

Creating a new database in DBMaker

DBMaker database simulation tool


Creating a new database in DBMaker

To create a new database from one or more data tables follow these steps;

  1. Start the import process by clicking File | New database. This displays a dialog where the type of data source needs to be selected:

    1. Continuous - for use with continuous (non-batch) processes.

    2. Batch - for use with processes where there also exist batch meta information.

  2. Select the data file that contains the process data.

  3. A dialog similar to the one used in SIMCA when importing data, is displayed in which you should specify what part of the import data should be used for what:

    1. Exclude rows/columns that should not be imported. Exclude any batch condition (initial conditions or batch attributes) or local centering variable columns, since these are imported in Step 5.

    2. Set the variable types (numeric or text).

    3. Set batch ID column for batch projects.

    4. Specify the node name and the time interval between each observation (row of data).

  4. For batch databases, you are then prompted if you want to add data for another node. For a continuous database you are now done.

  5. For batch databases; specify the batch node name, and use the buttons to add batch conditions, local centering and discrete data, if any. For discrete data, you need to specify the Time column. It tells DBMaker when the rows in the data table are made available.

The following screenshot shows the example database as seen from SIMCA-online. Notice the node name in the Data sources tree in the lower left, and the tag names to the right.

Tips for creating a write back database:

  • For batch databases, use a data table containing a dummy batch ID as the source file.

  • In each node (including the batch node) add a number of text tags, and a number of numerical data tags in each node. The tags will be used to write back data.

  • Add at least one process node.

  • Use the interval of 1 second for all nodes. This ensures that SIMCA-online is able to write back data at any execution time.

Hint: Click View data in DBMaker to see the data it has generated.More:

Also see the knowledge base article Testing SIMCA-online with real-world data without a SimApi at https://umetrics.com/kb/testing-simca-online-real-world-data-without-simapi

DBMaker features

How to use DBMaker

Managing databases

DBMaker database simulation tool


DBMaker for testing

The database simulation tool DBMaker can be used to test batch project execution resiliency in SIMCA-online.

Turn on the Debug toolbar on the View menu to see the available options:

The tag names matching option is a regular expression that allows you to control which tags DBMaker should return missing data for. Separate multiple sub strings by the pipe character |. For example the matching string 'batch|ethanol' would match all tags with names that contain the word 'batch' or 'ethanol'. Note that you must hit the Enter/Return key after editing this value for it to store its value.

The missing data interval shows for which observation missing is returned. This interval starts when you under Return missing value for tag names matching check the 'for current data check box. However for historical data, the interval is only used when you check the 'for historical data' check box.

To learn more about these options, look at the tooltips when hovering the mouse over the options.


Introduction to multivariate modeling

Multivariate modeling for SIMCA-online

Both SIMCA and SIMCA-online can be used to create SIMCA projects (.usp files), and fit models for your data. SIMCA has no connections to real-time data, and a project can only be used by one person on one computer at a time. Projects can then be pushed to SIMCA-online if the SIMCA-online Client is installed on the same computer.

In SIMCA-online you import the .usp file created in SIMCA, and configure it to be able to predict new data coming from an external data source. Multiple SIMCA-online clients on many computers can connect to the same server and monitor how the process behaves.

SIMCA-online is a client-server solution where the server performs all the work, and the client is used to display the results and to manage the project configurations on the server.

SIMCA-online handles both continuous and batch data in the same product.

Regular projects, created in SIMCA, imported in SIMCA-online should contain process data. This means that the model describes the optimal state of the process and the data used for prediction in SIMCA-online are not logically divided in parts but continuous over time.

Batch projects, created in SIMCA, are built from data that are limited to batches. These batches represent the optimal state of the batch process and the data used for prediction is logically divided in batches.

Imputation models enable prediction of future (missing) values. This is the foundation for the Control Advisor.

For more information about multivariate modeling than found in this chapter, see the SIMCA user guide and Umetrics extensive training catalog.

Content

This chapter describes:

  • Process data analysis

  • Batch evolution modeling in SIMCA

  • Batch level modeling in SIMCA

  • Imputation modeling in SIMCA

  • The SIMCA approach


The SIMCA approach

The SIMCA project is the basis of the multivariate monitoring, describing the behavior of the process for good batches/optimal process behavior. In SIMCA-online, you load projects, previously developed in SIMCA.

For batch data the SIMCA approach includes analysis and monitoring of the batch data in two steps (levels): batch evolution analysis and batch level analysis.

Process data analysis

The model consists of optimal process behavior data.

The steps in modeling and monitoring:

  1. Modeling the data in SIMCA.

  2. Predicting results of new process data in SIMCA-online.

    • Predictions: As the process is evolving, the data for monitoring are derived from applying the model to data from the external system and making predictions.

    • Plots: Worm, Score, Hotelling’s T2Range, and DModX are displayed with limits. For PLS and OPLS models, predicted Y plots are displayed.

    • Classify or predict result: You can classify the data as good or bad or predict their final quality.

    • Contribution plots: If the values are outside the limits, contribution plots indicate which variables together are related to the deviations.

Batch evolution analysis

A batch evolution model, BEM, has many observations per batch.

Modeling the batch evolution consists of:

  1. Modeling the evolution of batches in the BEM in SIMCA.

  2. Monitoring the evolution of new batches in SIMCA-online.

    • Predictions: The batch evolution data of new batches, as they are evolving in real time, are projected on to the model plane or model planes (for batches with phases) of the batch evolution model developed off-line. This results in predicted scores (coordinates in the model plane), together with the distance between the new points and the model plane, DModX, and predicted maturity.

    • Control charts: The predictions are plotted on control charts with limits calculated from the workset. These charts indicate whether the new batches are evolving normally or not.

    • Contribution plots: If the values are outside the normal ranges, contribution plots based on the x-values of the average batch or the residuals (DModX) indicate which variables together are related to the deviations.

Batch level analysis

A batch level model, BLM, has one observation per batch.

Modeling the whole batches consists of:

  1. Modeling the whole batches in the BLM in SIMCA.

  2. Predicting results of whole new batches in SIMCA-online.

    • Monitoring: As the batch is evolving, the data for monitoring the whole batch are derived from unfolding and aligning scores, original variables (raw data), or statistics for the original variables of the batch evolution data (raw data statistics).

    • Plots: Score, Hotelling’s T2Range, and DModX for the whole batch are displayed with limits. For PLS and OPLS models, predicted Y plots are displayed.

    • Classify or predict result: You can classify the finished batches as good or bad or predict their final quality. If you have made hierarchical models of the batch level at different percentage of completion, you can classify or predict the final quality of new batches as they are evolving when they reach the percent of completion of the models. Note that to get a good prediction/classification, the model should use all batches (both accepted and failed) in order to do as good job as possible.

    • Contribution plots: If the values are outside the limits, contribution plots indicate which variables together are related to the deviations.

Imputation model for regular projects

An imputation model is a model that estimates missing data, here future data.

Creating the imputation model includes the following steps:

  1. Import the dataset.

  2. Lag the X-block.

  3. Use Generate Variables to create leads (negative lags), Xd.

  4. Create a new PLS-model and lag all original variables, Xk, and specify Xd as Y.

Imputation model for batch projects

An imputation model is a model that estimates missing data, here future data. The imputation model is a batch level model.

Creating the imputation model includes the following steps:

  1. Import the batch evolution dataset and create the BEM.

  2. Expand the batch evolution dataset to include the dependent variables, Xd, using Generate Variables.

  3. Create the batch level dataset from raw data from the variables included in the BEM and Xd, the raw data from the depended variables (Raw Data for Excluded Variables).

  4. Create the batch level PLS imputation model.


Process data analysis

Any investigation of a real process or system is based on measurements (data). Historically, measurement devices were expensive and few, and consequently the amount of data measured on processes was limited; maybe only a temperature, pressure, and a flow rate.

Today, there are a myriad of data coming from on-line, at-line, off-line or even IIoT instruments that provides states from all parts of the process in various forms and phases, often with a very high update frequency. The masses of data are fed into an it infrastructure system with a database, where they typically are compressed, aggregated and contextualized.

This change from a situation with few, fairly infrequent measurements, to many almost continuously measured variables has still not affected the manner in which process data are visualized in legacy software. It is still SPC charts for each measurement, with complete lack of correlational context of normal behavior. With appropriate multivariate analytical methods in the SIMCA software, the process data can provide an easy to grasp graphical information about the state of the process, and relations between important sets of process variables. These multivariate methods make efficient use of all data, with little loss of information.


Batch evolution modeling in SIMCA

The batch evolution describes how a batch process evolves dynamically over time. With batch evolution monitoring, the purpose is to make sure that each batch progression, including its correlations, evolve in the same way as historically when the process produced accepted quality. This is done by downloading data for at least 6 accepted batches and building a batch evolution model for these, and use that model as a reference to the new production.

With batch processes, K variables are measured on N batches at regular time intervals. This gives a J x K matrix for each batch (J time points (X) times K variables). Consequently, a set of N normal batches gives a 3 way matrix of dimension (N x J x K).

Figure 1. Three-way table of historical data of, for example, N batches with J time points, and K variables. Often the batches have different length (not shown in the picture) and may also be divided in phases.

Note that to create a process model on how the batch quality attributes are influenced by the other data, all available batches should be included in the model to be able to get as good prediction as possible which was not the case for monitoring models where we only used the accepted batches.

This section describes modeling of the batch evolution in SIMCA.

  • Reorganization of the 3D table before import

  • Modeling

  • Batches with several phases

  • Result variables

  • Calculating limits to build control charts


Reorganization of the 3D table before import

Reorganization of 3D table before import

To be able to import the dataset, the 3-way data table has to be unfolded to preserve the direction of the K variables (see figure 2). The resulting matrix has nobs = N x J observations (rows) and K columns. Hence this matrix, X, has the individual observation as a unit, and not the whole batches.

Figure 2. The three-way matrix of figure 1 unfolded along the batch direction to give a two-way matrix with N x J rows and K columns. Each row has the data (xijk) from a single batch observation (batch i, time j, variable k).


Phase iterations

Phase iterations or recurring phases

What are phase iterations or recurring phases and what can I do with them?

Phase iterations enable execution of the same phase more than once within a batch. Another name for phase iterations is recurring phases.

In SIMCA-online 14.1 and earlier you had to do tricks like duplicating the same model in SIMCA when creating a project if you wanted the same model to run more than once.

In a SIMCA-online application phase iterations are useful in the following situations;

  1. A batch is analyzed iteratively and you want to use the same model to analyze each iteration.

  2. A batch is physically split into parts and you want to use a single model to analyze each part.

In both of these cases SIMCA-online can execute the phase iteration sequentially within the same unit (one after the other over time), or in parallel running in multiple units. This will be explained later.

Data for the phase iterations are then available in SIMCA-online in the client in all places like in plots, production overview and so on, where the different phase iterations can be seen separately. Phase iteration data is also available in the Web API.

Requirements and restrictions

To enable phase iterations in SIMCA-online, a project created in SIMCA 15 or later with phase iterations specified is required. Refer to the SIMCA user guide for information on how to create phase iteration projects.

Restricted functionality in SIMCA-online for phase iteration projects

  • Batch level models with one observation per phase iteration are not supported in SIMCA-online in this version.

  • SIMCA-online cannot read data for the SIMCA batch level variable phase conditions and phase iteration conditions in this version. If you have a batch level model with these batch level variables, they will always have missing values in SIMCA-online.

  • Phases with discrete data retrieval can run at the most one time, thus phase iterations are not supported for those.

  • Control Advisor cannot be run with phase iterations.

  • Sub-batches cannot be configured in SIMCA-online for a project that was created in SIMCA 15 or newer. This is because phase iterations solve the same problem that SIMCA-online sub-batches attempted to solve earlier.

How SIMCA-online executes phase iterations

The execution of a phase iteration is controlled in the same way as the execution of a phase without phase iterations. This means that the execution condition for a phase model in a unit must be true for all observations in a phase. Note: for a deep-dive into the rules of SIMCA-online model execution, refer to the SIMCA-online technical guide.

Phase iterations can run either sequentially, or in parallel if you configure them run in different units as we'll describe next:

Sequential execution of phase iterations

A phase model with phase iteration is executed like this:

  1. When the execution condition becomes true the first phase iteration is started for a phase. The phase iteration continues as long as the execution condition is true.

  2. When the execution condition is false the phase iteration will stop.

  3. When the execution condition becomes true again, the next phase iteration will start.

This allows phase iterations to run sequentially as long as there is at least a single observation between iterations that stop the previous iteration and allowing the next to start.

Note that it also means that if data access is interrupted during the execution of a phase iteration (for example a temporary network error), it will stop, and then the next iteration will start. This is because a stopped phase iteration will not re-start. See also Batch execution resiliency: Control tag cache about handling of data interruption.

Parallel execution of phase iterations

If you want parallel execution of phase iterations you must create a separate unit for each parallel iteration you want to enable.

You can then configure phase execution conditions differently for each unit, and associate variables for the model to different tags. Thus the execution of the phase iterations become independent, and can run in parallel (or in sequence depending on the phase execution conditions).

The first time a phase is executed always starts the first iteration, the second time a phase starts becomes the second iteration and so on. If two unit starts at the same time, the unit listed highest in the Unit groups configuration page starts the first iteration. There is no way to force a particular iteration to run in a particular unit. Note that phase iterations can finish in any order (for example phase iteration 4 can finish before phase iteration 1).

Batch level model execution for active batches

When SIMCA-online executes batch configurations for active batches (in real-time) there is a rule that controls when batch level models execute:

  • A batch level model is executed when there is data for all maturity-dependent variables used in the batch level model.

Note that when a batch level model is executed during a re-prediction, or if a configuration is set to 'Predict models at batch finish' the batch level models are always executed, even if the process hasn't reached the maturity used by the batch level models.

Read more about batch level model execution the SIMCA-online technical guide.

For phase iterations specifically, this means that the model will behave differently depending on the Phase iteration options defined for the batch level model in SIMCA:

  • First phase iteration per batch - executed when the first iteration has run.

  • Average, Last - executed only after the batch has finished because only then does SIMCA-online know all phase iterations for a batch.

  • All phase iterations - executed when the same number of phase iterations as in the workset has run (any extra phase iterations in a batch, compared to the model in the project, will be ignored).

Again, note that when a batch is re-predicted these rule do not apply; then all batch level models are predicted regardless of maturity.

How to configure a phase iteration project in SIMCA-online

Since the rules of execution are basically the same for phase iterations as for phases, as explained above, there is very little configuration that needs to be done for a phase iteration project. What you need to decide on is how many units you need;

  • one for sequential execution of phase iterations,

  • more than one to allow parallel execution, or if you want to connect different phase iterations to different sets of data source tags.

Next we describe in detail how to do this for the two typical applications for phase iterations: the split batch, and the multiple iterations of the same batch.

Multiple iterations of a phase model within a unit

  • In SIMCA; create one phase iteration for each time the batch is analyzed.

  • In SIMCA-online; create a project configuration to execute the iterations sequentially:

    • Create a single unit and configure its phase execution conditions and data source tags.

    • Make sure the execution condition becomes false to stop the phase for at least one observation between phase iterations.

Batch split into parts

  • In SIMCA; create one phase iteration for each part in the project.

  • In SIMCA-online; create a project configuration. Either;

    • To execute phase iteration sequentially; create one unit and configure its execution conditions and data source tags. Make sure the execution condition becomes false to stop the phase for at least one observation between phase iterations.

    • To execute phase iterations in parallel; create more than one unit, and configure execution conditions and data source tags separately for each unit.

Viewing data for phase iterations in SIMCA-online

Data for different phase iterations are available throughout the SIMCA-online client.

Here's an example of a batch evolution plot that shows several phase iterations for a batch:

That screenshot also shows that the phase iteration can be seen in tooltips.

Production overview

A more significant change is how Production overview now looks.

Here we display phases one row per phase. If there are phase iterations there will be one box for each phase iteration. By right-clicking an individual phase iteration there, you can reset alarms for that phase iteration (or for the entire phase).


Modeling batch evolution

When importing the dataset in SIMCA and no time or maturity (y-variable) has been specified, an index y-variable starting at 0 is constructed representing the "relative local batch time".

The default model, after completed import in SIMCA, is an OPLS model for the centered and scaled X and "relative local batch time", y if no other y was specified. If a maturity variable, recorded relative to the start of each batch, was defined as y, that variable will be used as y by default.

When fitting batch PLS models, “Autofit” will stop when 85% of X has been explained, but will also give at least 3 components, not exceeding N/2 (for details, see the Cross validation rules for batches topic in the Statistical appendix in the SIMCA 15 help). This is necessary in order to ensure that much of the X-matrix is "explained". This results in an (nobs x A) score matrix, T, plus PLS weight and loading matrices W and P (of dimensions K x A).

When fitting batch OPLS models, the regular OPLS autofit rules apply.

Batches with different length

Alignment of data is done differently depending on configuration of the time/maturity variables. For batches of similar length the impact is small. The SIMCA default alignment option and y configuration aligns the batches over time. Projects created in SIMCA 14 and earlier aligns batches over time in the same way but also aligns batch length so that the longer batches are cut at median (or average) batch length. Batches that are shorter than the median (or average) batch are filled up with the last value up to the median batch length.

The used length in average batch is the shorter of the median batch length and the average batch length rounded down.

More:

SIMCA compatibility


Batches with several phases

When batches have several phases, observations are organized in classes, one class for every phase. Separate PLS or OPLS class models are fitted for every phase.


Result variables

The score matrix T is a good summary of X, and PLS and OPLS focus this summary on y (local time or maturity). Hence the first column of t (t1) will contain strong contributions of those X-variables that vary monotonically with y, i.e., either increase or decrease with time. For PLS, the second component (t2) is an aggregate mainly of those variables that change “quadratically” with time, i.e., first go up to a maximum, and then decrease, or first go down, and then up. The third component catches the variables having a cubic behavior, etc. For OPLS the orthogonal components capture the structure not correlated to the maturity.

The value of "local time" predicted by the PLS or OPLS model (with the number of components determined by cross-validation), ypred, is very suitable as a "maturity index" that can be used to indicate how far the batch has evolved, if it is ready for termination, etc.


Calculating limits to build control charts

To monitor the evolution of new batches, one calculates the typical evolution trace of a normal batch. This is in short done as follows:

  1. Reorganization: First the scores of the batch evolution model are chopped up and reorganized so that the scores of one batch form one row vector (t1 followed by t2, followed by t3, etc.) in a matrix ST. This matrix has N rows (one per batch) and A x J (AJ) columns from the A score vectors and the J "time points" per batch. When batches have phases, the scores of each batch are collected from the different PLS or OPLS phase models.

Figure 4. The score values for each batch are arranged as row vectors below each other, giving an N x (J x A) matrix, ST. Above we see only the first part of ST corresponding to the 1.st component (t1). From this matrix one calculates the averages and standard deviations (SD:s) of the matrix columns, and then control intervals as the averages ± 3 SD.

  2. Calculating tolerance limits for control charts: Now the matrix ST is used to derive minimum and maximum tolerated values at each time point (j) of tj1, tj2, tj3…, tjA from the column averages and standard deviations of ST, as indicated in figure 4. In MSPC one would typically use tolerance intervals of the average ± 3 SD at each time point. Hence, we now have for each score vector an average trace with upper and lower tolerance limits.

The corresponding actions are done when building the control charts for Predicted Y, DModX, orthogonal scores (to), and Hotelling's T2Range.


Batch level modeling in SIMCA

Why batch level modeling

Batch level modeling may be advantageous in the case that the measurement of Y is laborious and time consuming, and one wishes to make an initial fast quality assessment before the real Y is available. This is often the case in biotechnological production, where extensive analysis and testing of the final products is made before acceptance (or rejection).

The batch level model also allows the full interpretation of the batch data. Groups of batches may be discovered, outliers will be found, etc. Critical time periods will be indicated by "periods" of large weights, loadings, and VIP values. Analogously, important factors in the initial conditions will stand out. The "ideal" evolutionary trace corresponding to a desirable Y-profile can be deduced, and so on.

More:

Modeling batch level

Hierarchical batch models


Modeling batch level

The objective of batch level modeling is to make a model of the whole batch in order to understand batch-to-batch variation or how Y is influenced by the combination of batch conditions and the batch evolution. This model will be based on (when available) the batch conditions (Z), the evolution trace matrix ST, and when applicable the properties and quality of the completed batch (Y), as shown in figure 5. The resulting model is used to predict Y for new batches from their batch conditions and their evolution traces. It is possible to include batches that are not in the batch evolution model in the batch level model.

In the case that Y-values do not exist, the X-matrix can still be used to develop a PC model. This is the same type of model as the X-part of PLS or OPLS in the batch evolution model. The difference is that in PCA the scores (T) are calculated to give an optimal summary of X, while in PLS and OPLS this optimality is somewhat relaxed to make T scores better predictors of Y. The PC model can then be used to classify new batches as normal (similar = well fitting to the PC model) or non-normal (far from the model).

Figure 5. The data for batch level modeling. Each row has the data from one batch. The left matrix contains data describing initial conditions. The middle matrix contains the unfolded scores (or original variables or summary variables) which describe the evolution of each batch. The optional right matrix (Y) contains the responses, the properties of the complete batch such as yield, purity, activity, etc.


Hierarchical batch models

With batch level datasets you can fit hierarchical models of the whole batch, for different levels of completion:

  • One model for each phase and component in the batch evolution model.

  • One model for each phase.

  • Sequential models covering parts of the batch completion, for example for 25%, 50%, 75% and 100% completion.

These models can predict the final batch quality or classify the batch, before the batch is finished.


Imputation modeling in SIMCA

Imputation modeling

An imputation is a way to estimate what a missing value in a dataset most likely would be. For SIMCA-online and the Control Advisor this means estimating the future dependent variables.

Figure 6. Basic principle of model based imputation; Estimate the values for x2 based on a model and the value of x1. This is for instance the case for SCP that is part of the IBR algorithm.

More:

Background to imputation model for batch projects

Creating a batch imputation model

Background to imputation model for regular projects

Creating an imputation model for regular projects

Imputation model limitations


Background to imputation model for batch projects

Background to imputation models for regular projects

To get a good imputation model, we use the method Imputation By Regression (IBR). The challenge is to model the relationship between process variation and quality (final conditions). See image below.

SIMCA solves this by batch-wise unfolding; each variables is transposed and aligned to make one row of data per batch.

Of the five variables in the example above, let’s say that variable one and two are Xmv, and the rest Xd. Then the imputation model is a PLS model using the Xd+Xmv as X and the Xd blocks as Y.

More:

Imputation model limitations

Imputation modeling in SIMCA


Creating a batch imputation model

Creating a batch imputation model in SIMCA

To create a batch imputation model in SIMCA, follow the steps described here. The creation of imputation models will be simplified in a future release of SIMCA;

Create BEM

  1. In SIMCA, create a batch project and import the batch evolution dataset.

  2. Edit the default BEM to include your controlled variables as X and the desired maturity as Y.

Add dependent variables Xd as copies of the original controlled variables

  3. On the Data tab, click Generate variables.

  4. In the Expression for new variables field type v[first:last], for instance v[1:7] when the variables to add have index 1 to 7 in the dataset. Click Next and Finish. Note now that the added variables have primary IDs that do reflect their original IDs with '_1' (or similar) added for uniquness.

Create batch level imputation dataset

  5. On the Batch tab, click Create batch level and select the Raw data as specified in the workset of the active model check box. Click Next.

  6. In the Raw Data for Excluded Variables nodes, select the Xd-variables and click Finish.

Create batch level imputation model

  7. In the batch level model workset dialog that opens, click the Variables tab.

  8. Find all variables with primary ID '_1' and specify them as Y. Click OK and select to NOT exclude any variables or observations if such a question is displayed.

  9. Fit the model.

More:

Imputation model limitations

Imputation modeling in SIMCA


Background to imputation model for regular projects

Background to imputation models for regular projects

An imputation model for in a regular project is built using both leads and lags. First you may optionally model the dynamics of the process by applying cross and cubic terms and look at how lags affect the model output. Note however that SIMCA-online does not support generated variables based on generated variables. This means that any pre-existing lags needs to be correctly aligned in the raw data before entering the SIMCA modelling tool.

In the image below, the original dataset X with manipulated variables (Xmv) in yellow are lagged m times to form a history of the process. Then the dependent variables (Xd) are lagged “negatively” (lead) n times to form the prediction of these variables. Y-variables in the original dataset are displayed in pink.

Note that the image below is only showing the concept. The real data are lagged per variable.

A PLS model is then specified using the original and lagged X-variables as X and the lead (negative lags) as Y-variables.

More:

Imputation model limitations

Imputation modeling in SIMCA


Creating an imputation model for regular projects

Creating an imputation model in SIMCA for a regular project

To create a imputation model in SIMCA, follow the steps described here;

  1. Create lags on all data to form history of data. Lags can be specified in the Workset dialog or using Generate variables on the Data tab.
    Typical syntax in Generate Variables: Lag(v[1:37],[1:10]) means that variables 1 to 37 will be lagged 10 steps. Each variable will then be lagged 1, 2, 3,… , 10 before the next variable is lagged. Alternatively, the lag structure can be set after the leads.

  2. Create leads (negative lags) on the Xd data (only) to form the Y-variables in the PLS imputation model. Leads can only be created in the Generate variables dialog. Typical syntax Lag(v[3:35], [-10:-1]) means that variables 3 to 35 will be leaded 10 steps. Each variable will then be lagged -10, -9, -8,… , -1 steps before the next variable is lagged.

  3. Create a PLS model by adding the rest of the original dataset and lagged dataset as X and the leaded dataset as Y.

The creation of imputation models will be simplified in a future release of SIMCA

More:

Imputation model limitations

Imputation modeling in SIMCA


Imputation model limitations

The Control Advisor does not support models and datasets with the following properties;

  • Normalized Y

  • Smoothed Y

  • Qualitative variables (A, B, C)

  • Spectral Filters

  • Cropping

  • Conditional Delete

  • Trimming

More:

Creating an imputation model


Discrete data

Discrete data are data collected several times during the lifetime of a batch but much less frequently than the continuous process data. Each observation in discrete data is identified with the value of the maturity or batch age variable. The value for this variable should represent the sampling time (not the analysis time of any of the variables).

Typical examples of discrete data come from laboratory analysis on physical samples withdrawn from a process throughout the process duration. In fermentation processes and other longer processes a sample is generally withdrawn every day, but for shorter processes a sample may be taken every four hours or even less frequently.

For discrete data some variables may have measured values quickly (for example pH) while other takes longer (cell counts or similar). This is perfectly fine and can be handled. Discrete data complements the continuous process data, the latter of which are sampled at regular and relatively short intervals. Examples of continuous data are measurements of temperature and flow.

Discrete in SIMCA-online

SIMCA-online supports discrete data for batch projects. Discrete data requires a SimApi that supports discrete data retrieval. SIMCA-online handles discrete data per phase model. Different phases can be configured differently, including different execution intervals. For each phase in the project the data retrieval mode can be either one of:

  1. Continuous data retrieval
    This is the standard data retrieval used in continuous processes. It is intended for models based on continuously recorded process data where each observation is sampled at a constant execution interval and models executed.

  2. Discrete data retrieval
    This tells SIMCA-online that it should read and execute models in a way that takes in to account the unique characteristics of discrete data.

To be able to execute in SIMCA-online a project configuration needs to always contain at least one phase with continuous data retrieval mode in addition to discrete phases. The continuous phase is needed for SIMCA-online to be able to see that the batch is active and begin executing it. As soon as the batch becomes active in this way, SIMCA-online will start retrieving discrete data as well. Discrete phases will continue executing until the batch is finished in the batch node (has an end time).

As for continuous phases discrete data retrieval mode also requires an execution interval. The difference is that in continuous mode one observation is read at the time, and older data is never re-read, but for discrete data the entire data table for the batch is checked for new or updated data at every execution. Alarms can be specified for discrete models but have limited value since alarms may be repeatedly triggered after being reset by the user since discrete data are predicted again after each change during evolution. Note, however, that comments made for reset alarms or notes that have been entered will always remain in the audit trail.

For continuous executed phases the model must be built on data with a constant time interval and the execution interval must be the same. These requirements do not apply for a discrete phase. This means for example that a phase with discrete data retrieval can have higher resolution during parts of its evolution, for example a couple of observations every morning with 10 minutes between them, and then nothing until late evening when two more observation are sampled.

SIMCA-online reads data for discrete data until the batch is no longer active. SIMCA-online 16 introduced the possibility to keep a batch active after the batch has received a stop time, so that late entry data can be included in the batch. Learn more in Keeping batches active to wait for late entry data.

Modelling discrete models in SIMCA

Discrete phase models (BEM models) predict the whole discrete data table at each prediction, as mentioned above. However, a batch level model built on data up to a certain maturity value will predict only once. This is true for both continuous phases and discrete phase. Thus batch-level models are not predicted again following a prediction of the discrete phase model. This means for example, that if a correction for an earlier observation is made in the data source, this will not automatically be reflected at the batch level if that batch level model has already been predicted before.

In a typical process with discrete data there will be two models for the same physical unit (for example a fermentation vessel), one continuous phase model and one discrete. The best way to handle this in SIMCA-online is to create two logical unit groups, each with a single unit; one for the discrete data model, and one for the continuous data models. This ensures that the SIMCA-online server can obtain data for the various phases separately.

All tags used for a discrete model must be tags that support discrete data retrieval through the SimApi, and all tags used for continuous models must support continuous data retrieval. Discrete tags and continuous tags cannot be mixed for a model. The batch identifier tag for a unit with discrete data is not used by SIMCA-online, so it can be left blank in the configuration. SIMCA-online uses batch identifier of the batch node to know for which batch to query discrete data.


Using SIMCA-online

SIMCA-online is an execution module for models built with SIMCA up to version 16.0, in this help referred to as SIMCA, or directly within SIMCA-online. SIMCA-online is designed as a client-server application.

SIMCA-online reads data from the process (referred to as external system or external database) at regular intervals through supported interfaces.

SIMCA-online executes multivariate models, thereby projecting new data, in real time, on to the model plane. This results in coordinates in the model plane, together with the distance between the new points and the model plane, DModX. The real time display of these results allow for an efficient monitoring of online process or batch data.

Preparation

Before using SIMCA-online for monitoring, prediction or control, you must either develop a project in SIMCA or create a monitoring project directly within SIMCA-online. This is done by building the models, for batch project batch evolution models and optionally batch level models, from data representing good process or batch behavior.

For details on creating projects, see the SIMCA user guide. For details on creating an imputation model, see the Imputation modeling in SIMCA section.

Content

  • Preparation by the administrator

  • Getting started with demo data

  • Upload your first project and configure it:

    • Upload and configure a continuous project

    • Upload and configure a batch project

  • SIMCA-online physical overview

  • Different parts of SIMCA-online

  • The SIMCA-online client window

  • Monitoring the model

  • Differences compared with SIMCA and unsupported features

  • Terminology

  • Communication with the external system


Preparation by the administrator

Before monitoring projects in the Client the following steps have to be conducted by the administrator.

Step | Action | How | More
1. | Configuring the system | Follow guidelines in Installation and configuration. |
2. | Starting the SIMCA-online Server Monitor | SIMCA-online Server Monitor is found on the start menu, or if it is already running in the notification area in the taskbar. |
3. | Starting the SIMCA-online Server | Right-click the SIMCA-online Server Monitor icon [image] , in the taskbar notification area, and select Start SIMCA-online Server. A User Account control prompt may be displayed asking for administrative privileges to start the server. The icon then changes into the SIMCA-online - Running icon [image] , and a message is displayed stating "Service start succeeded". | If the message displayed is "Service start failed", see the section Error codes when starting the service in Appendix A: General information.
4. | Starting the SIMCA-online Client | Start the Client from the start menu. This can be done on the server computer or on another computer. |
5. | Logging on as administrator | Select the server to connect to. Use the button next to the server to set up servers to connect to. Log on as Administrator with its password (default is empty). Click Connect. | For more, see the Log in/Log out section in Chapter 3, Using SIMCA-online. The Connect dialog is opened automatically when starting the client.
6. | Adding a project | Create a new SIMCA project from File | Create Project or add the SIMCA project and configure it from Project Explorer. | For more, see the Configuration for batch project and Configuration for regular project sections in Chapter 10, Project Explorer.
7. | Starting the execution | In the Project Explorer pane, select the configuration and click the play button. | For more, see the Starting and stopping the execution of the project section in Chapter 10, Read how to specify alarm limits in the Alarms for batch evolution and Alarms for batch level sections in Chapter 10, Project Explorer.
8. | Adding users | Add user accounts and set their permissions by clicking Administration | User administration. | For more, see the User administration section in Chapter 7, Administration.

Now the project can be opened from any client connected to the server.

Note: To stop the server, right-click the SIMCA-online Server Monitor icon [image], in the taskbar notification area, and click Stop server.

Server icons

The Server Monitor icon shows the state of the SIMCA-online service.

Icon | Description
 | The server is not running. Icon before starting and after stopping the server.
 | The server is pending. Icon during starting and stopping of the server.
 | The server is running and regularly checks for new data.
 | The server has not been installed.


Getting started with demo data

When all features of the SIMCA-online setup program are installed, including the Demo projects feature, you have a fully functional environment for evaluating SIMCA-online.

This section describes how to get up and running with demo data.

A tool called DBMaker is included with the installation of the server. It simulates a real data source, such as a process database, by using preloaded data tables which are provided one observation at a time to the SIMCA-online server.

Demo projects

These sample projects are included:

  • BioProcess – Batch process monitoring, optionally with Control Advisor Forecast

  • BShort – A multi-unit, multi-phase batch process with the SIMCA 15 feature phase iterations

  • BakersYeastControlDemo – Control Advisor for a batch process with Forecast and Advised future

  • ProcessCuprumDemo – Continuous process monitoring (non-batch)

  • Proc1aControlDemo – Control Advisor for a continuous process (non-batch) with Forecast and Advised future

Running the demo

To start the Demo, follow these steps:

  1. Start the SIMCA-online Server from the Server Monitor icon. This will also start DBMaker.

  2. In DBMaker, start publishing data by clicking the green Start all button in the toolbar:

  3. Start the SIMCA-online Client either from the server monitor menu or from the Start menu in Windows and connect to the server and log in.

  4. In the Client, upload, configure and start the execution of the demo projects or create a project from scratch in SIMCA-online (described below).

Uploading and configuring demo projects

In the SIMCA-online Client, find the Project Explorer pane docked to the left side of the window (if you don’t see it, click Project Explorer on the Home tab).

In Project Explorer, perform the following steps:

  1. Click Upload SIMCA project in the hamburger menu in the toolbar, and select one of the demo project files. The demo projects are located in the sub folder Projects in the SIMCA-online installation folder (C:\Program Files\Umetrics\SIMCA-online 16\Projects).

  2. After the upload is complete, the Configuration wizard is displayed. In it, click Import from SIMCA project… and click OK to use one of the configuration files that are embedded in the project.

  3. Click Next through the wizard if you want to see all pages, or click Finish directly to fast forward and save the configuration.

  4. To add more configurations for the same project, click Add configuration in the menu in the toolbar.

  5. Start the execution by clicking the green play-button in the toolbar when the configuration is selected.

  6. Open the configuration by selecting it and clicking Open.

Create your first plots using the ribbon, for example a DModX plot.

Learn more in Monitoring the process.


Upload your first project and configure it

The below guides show you how to upload an existing SIMCA project, perform the minimum configuration to execute the project in SIMCA-online, using data from your data source. Select the type of project you have:

  • Upload and configure a continuous (non-batch) project

  • Upload and configure a batch project

Other ways to get started

If you don't already have a SIMCA project to use, there are other ways to get started:

  • Getting started with demo data. This is simpler than configuring projects from scratch, because each demo projects comes with project configurations that can be easily imported.

  • Data exploration quick start shows how to select data in your data source and start monitoring it in real-time

  • Create Project is used to easily create a multivariate project from your process data. Both continuous and batch projects can be created.


Upload and configure a continuous project

This guide shows how to upload an existing SIMCA project, and perform the minimum configuration to be able to execute the project in SIMCA-online, using data from your data source.

We'll show how to upload the project, complete the mandatory configuration pages, and then create a plot showing data from your process.

Hint; If you don't have a project to configure, SIMCA-online can create one for you, or you can start with a pre-configured demo project. Learn more in Upload your first project and configure it.

How to

  1. Click the hamburger menu button in Project Explorer, and then Upload SIMCA project.

  2. Locate your SIMCA project file on your computer and click Open. A copy of the file is saved on the server.

  3. The project configuration wizard starts. It has many pages, but we're going to show the minimum here:

    1. Skip the first page, called Import configuration, by clicking Next. We don't have a previous configuration to import.

  4. On the Model page, specify:

    1. Which model to use (there can be many in the project, but only one can be used in the project configuration in SIMCA-online).

    2. The execution interval which is how often data is sampled from the data source. For testing and learning, we recommend a short interval like 5 seconds. For a real process monitoring environment, select an interval that captures how fast changes in your process occur.

  5. Click Next.

  6. Click Next, skipping the optional Time ranges page.

  7. On the Tags page, you connect the model variables to data source tags so that SIMCA-online knows where to get the data from.

    1. Locate the tags in the data source, and copy and paste or double-click to select them for your variables. See Tags for details.

  8. You have now completed all the required settings; click the Finish button to automatically jump forward to the last page where you complete the configuration.

  9. On the last page, Export configuration:

    1. Notice the check boxes at the bottom of the page that control if execution is started and the project configuration is opened automatically when finishing. Make sure they are selected.

    2. You are prompted to sign the changes to the project configuration with your user name and password (this ends up in the audit trail). Tip: cancel the signing dialog to go back and make changes.

  10. Once the wizard is closed, the project configuration opens in the client with execution turned on (as you can see in Project Explorer) and you can start monitoring your process:

    1. For example, on the Home tab, click DModX to display that plot.

.

Next steps

Learn more about creating plots in Monitoring the process

Refer to chapter 10 Project explorer; Configuration for regular project for details for help for the individual project configuration pages.

If you want to change something in your project configuration, you must first stop the execution for it in Project Explorer, and then edit the configuration. Note that some things cannot be changed, such as the execution interval. To change that you must create a new configuration. The easiest way to do this, is to export all settings from the first configuration as a file, then add a new configuration, and import the settings from the file you saved. Learn more in Finish or export the configuration and Import configuration.


Upload and configure a batch project

This guide shows how to upload an existing SIMCA project, and perform the minimum configuration to be able to execute the project in SIMCA-online, using data from your data source.

We'll show how to upload the project, complete the mandatory configuration pages, and then create a plot showing data from your process.

Hint; If you don't have a project to configure, SIMCA-online can create one for you, or you can start with a pre-configured demo project. Learn more in Upload your first project and configure it.

How to

  1. Click the hamburger menu button in Project Explorer, and then Upload SIMCA project.

  2. Locate your SIMCA project file on your computer and click Open. A copy of the file is saved on the server.

  3. The project configuration wizard starts. It has many pages, but we're going to show the minimum here:

    1. Skip the first page, called Import configuration, by clicking Next. We don't have a previous configuration to import.

  4. On the Batch node page, you specify the batch node. It controls when batches start and end.

    1. Click the button ... and select the batch node in your data source, or a Batch Context Generator node that you have already set up. For how to set up a Batch Context Generator note, see Managing batch contexts in SIMCA-online.

    2. Click Next.

  5. On the Batch evolution page:

    1. Specify the execution interval which is how often data is sampled from the data source. For testing and learning, we recommend a short interval like 5 seconds. For a real process monitoring environment, you should select the interval that captures how fast changes in your process occur.

    2. Note: If your SIMCA project uses automatic time, $time, as the maturity variable, you must select the same sampling interval as you used in SIMCA for the phase.

    3. Click Next twice, skipping a page.

  6. On the Execution conditions page;

    1. Specify batch identifier tag; this must be a process data tag that for each execution interval, holds the id/name of the batch that is active at that time (this name must match the name of the batch in the batch node).

    2. Specify Phase execution condition for your phase; in the simple case you can leave this as true, meaning that the phase will always execute for the life time of all batches.

    3. click Next.

  7. On the Phase tags page, you need to connect the model variables to data source tags so that SIMCA-online knows where to get the data from.

    1. Locate the tags in the data source, and copy and paste or double-click to select them for your variables. See Phase tags for details.

    2. It is especially important that you connect the maturity variable of your phase model, to a data source tag (unless you use automatic time, $time, as maturity)

  8. You have now completed all the required settings; click the Finish button to automatically jump forward to the last page where you complete the configuration.

  9. On the last page, Export configuration:

    1. Notice the check boxes at the bottom of the page that control if execution is started and the project configuration is opened automatically when finishing. Make sure they are selected.

    2. You are prompted to sign the changes to the project configuration with your user name and password (this ends up in the audit trail). Tip: cancel the signing dialog to go back and make changes.

  10. Once the wizard is closed, the project configuration opens in the client with execution turned on (as you can see in Project Explorer) and you can start monitoring your process:

    1. For example, on the Home tab, click DModX to display that plot.

Next steps

Learn more about creating plots in Monitoring the process0

Refer to chapter 10 Project explorer; Configuration for batch project for details for help for the individual project configuration pages.

If you want to change something in your project configuration, you must first stop the execution for it in Project Explorer, and then edit the configuration. Note that some things cannot be changed, such as the execution interval. To change that you must create a new configuration. The easiest way to do this, is to export all settings from the first configuration as a file, then add a new configuration, and import the settings from the file you saved. Learn more in Finish or export the configuration and Import configuration.


SIMCA-online physical overview

The SIMCA-online Server is running on a specific server computer. The server has copies of the SIMCA projects, and executes those, making multivariate predictions, for new data that the server obtains from a Data Source. To get the data from the data source the server uses a SimApi DLL. The server also stores all predictions locally on disk on the server.

Clients connect to the server to view how the process evolves, by interacting with plots, etc.

Figure 7. The SIMCA-online implementation.


Different parts of SIMCA-online

This topic describes the different pieces of software that make up SIMCA-online:

Client – the software you use to view the execution of the models, the predictions, any alarms and such. Also used by administrators to import projects and set up configurations on the server. The client is the software that contains the user interface to interact with the server.

There can be many clients running at the same time on, all connecting to the same server. You can also run more than one client on the same computer if you like.

Server – there is one server running on one computer which uses data from data sources to predict new results using the SIMCA-models. These results can then be displayed in the Client. You never use the SIMCA-online Server directly, you always work with it through the client software or any of the utilities listed below, for managing the server:

Server monitor – a small icon and menu in the notification area in the taskbar of the server computer. It can be used to start and stop the server and provides quick access to the server log. The server monitor is optional, and doesn’t need to run, because the server is running as a service which can be started or stopped as other windows services.

Server options – a small application that is run on the computer running the server. It is used to make settings controlling how the server runs; what folders to use, what SimApi's to use, and to specify the license file.

Demo tool

In addition DBMaker is installed for demo or testing purposes, see the DBMaker database simulation tool section in Chapter 1, Installation and configuration.


The SIMCA-online client window

After logging in to a server using the desktop client, you can open project configurations and plots, and can use the many panes available in the client. Below is an example how it can look. The main parts of the client are explained below.

The table describes the parts of the client window.

Item | Description | Position | More info
Ribbon with commands | Each command applies to the currently active configuration. Organized into tabs. | Top of the screen. | Chapters 4, File, 6, Home, 7, Administration, 8, View, and 9, Tools.
Quick Access Toolbar | By default displays a few commonly used commands for easy access. Can be customized to hold your favorite commands. | Toolbar positioned at the top above the ribbon. | Chapter 5, Quick Access Toolbar.
Logged on user and the server connected to | Click the user to get a menu to change password or log out. | Upper right corner of the screen. | Log in/Log out later in this chapter
Window tabs | Each tab represents an open project configuration or an open window such as a plot. | Below the ribbon, upper part of the screen. | See below for how to use
Panes: |  |  | See below for how to customize
Project Explorer | Project configurations that are open in the client, and the folder tree on the server enabling project administration by administrators. | Upper left. | Project Explorer
Unit Overview | The current activity in units on the SIMCA-online server. | Lower left. | Unit Overview
Properties | The available properties can be used to modify the plot such as switching component or variable to display, toggling alarm limits, but also work with the appearance of the plot (what is also available in Format plot). | To the left on Production Overview in the screenshot above. For a new installation Properties shares the same pane as Production Overview to the right. | Properties pane
Production Overview | Current and recent activity (batches) for the active project configuration. | Upper right. | Production overview
Plot Details | Details on alarms and notes in the currently active plot. | Lower right. | Plot details
<plot area> | Plots, lists, audit trails, and other windows are displayed in the unused area between ribbon, panes and status bar in client window. | Center of the screen. | Plots sections in Chapter 6, Home.

Dockable panes

Project Explorer, Unit Overview, Properties, Production Overview and Plot Details are all panes that can be moved around in the program windows and adjusted as you like.

Click on a the header of a pane and drag to move a pane. Drop the pane where you like to position it. It can share space with another pane (like Production Overview and Plot Details) or be completely independent.

A pane can be unpinned so that it hides when not used, by clicking the pin icon in the pane's upper right corner.

You can also undocked a pane, so that it can be position freely outside the program window. This enables for example having Unit Overview on a second screen if you prefer that.

Panes can be hidden or displayed on the ribbon on the View tab. You can also use the button on the Home tab to quickly access panes.

Window tabs

The tabs for open Windows at the top of the program windows enabling switching between windows, just like in a web browser. Here's how they work

  • One tab for each open configuration, sorted on configuration name

  • One tab for each open plot (for the active configuration, or for all open configurations, depending on a setting, see below). Windows for a specific project configuration are listed to the right of its tab

  • Tabs are grouped by configuration, sorted by type (evolution plots first, then batch level plots), and then on name, and cannot be re-ordered

  • If names are long a shortened version is displayed with … in the middle of the tab name

There is no Server tab for extracted lists or server audit trail. Instead these windows are always displayed and can be displayed next to plots for easier troubleshooting. Alarm state is no longer displayed in the tab color (this information is available in Project Explorer's Open Configurations section at the top).

You can interact with tabs in many ways:

  • Click on a tab to activate that window, this also activates the project configuration the window belongs to

  • Click on a per-configuration tab to activate the configuration and bring all plots for it forward (as when you activate the configuration in Project Explorer)

  • Close a window by clicking the X-button in its tab or middle-click the tab with the mouse

  • Double-click a tab to maximize the window, or restore it if already maximized

  • Right-click a tab to display its context menu

  • Use the arrow buttons to the right of the tabs or the mouse-wheel to pan left and right if there are many tabs

  • Use the drop-down arrow to see a list of all tabs

Window tab settings in File | Options

There are two modes that control which windows, and thus tabs are displayed. This is found in File | Options, under the Windows tab category:

  • For all configurations - show all windows of all open configuration. This enables for example tilling of plots from different configurations in a workspace

  • For active configuration - show only the windows of the active configuration, any open windows in other configurations are hidden


Monitoring the process

SIMCA-online handles both regular (continuous) and batch projects in the same product. However, since batch projects need particular settings, as in SIMCA offline, they also need special configuration when they are added to SIMCA-online. Furthermore, different plots and different functionality are available for regular and batch projects. For more about this, see the Configuration for batch project and Configuration for regular project sections in Chapter 10, Project Explorer and the Batch and Regular sections in Chapter 6, Home.

Once the administrator has started the execution, the model starts to execute, i.e. read data at the interval specified in each configuration, and computes the scores, distance to model and other predictions. For batch projects the new data is first used for predictions using the batch evolution model and then, as data becomes available, for the batch level models.

To do by the user

The table lists what the user needs to do in order to monitor a project.

Step | Action | For more
1. | Open a configuration known to the Server, in the Client. | For more, see the Open section in Chapter 4, File.
2. | Open plots. The plots are available on the Home tab. | For more see the Chapter 6.
3. | Open contribution plots. When time points or batch points fall outside the limits, create contribution plots. | For more, see the Drill down section in Chapter 9, Tools.

More:

Plots for monitoring the evolution of new data for regular projects

Plots for monitoring the evolution of new batches

Plots for predicting results or classifying whole new batches

Rolling view for hands-free monitoring


Plots for monitoring new continuous data

Plots for monitoring the new continuous data

The new data points, read from the external system, are inserted into the model, giving predicted values. If you only want predictions under certain conditions, use Prediction conditions to define when to predict.

Worm plot

The predicted values of the score line plot displaying the first two components, t1 vs. t2 or t1 vs. to1, where the most recently predicted observation is displayed with a symbol that is larger than the other symbols. This plot also displays the Hotelling's ellipse, and workset observations, indicating whether the process is evolving normally or not.

DModX, Hotelling's T2Range, and Y Predicted trend plots

The predicted values of DModX, Hotelling's T2Range, and YPred values are plotted in trend plots. These plots indicate whether the process is evolving normally or not.

Contribution plot

If values are found outside the normal ranges, contribution plots based on the x-values of the average or the residuals (DModX) indicate which variables together are related to the deviations.


Plots for monitoring the evolution of new batches

The batch evolution data for new batches, read from the external system, are inserted into the PLS or OPLS model, giving predicted values. When batches have phases, the phase execution condition has to be defined for the correct PLS or OPLS phase model to be used to predict the t scores of that phase.

Score, DModX and Hotelling's T2Range control charts

The predicted values of the score t1 to ta, to1 to toa, DModX, and Hotelling's T2Range values are plotted in control charts, with limits derived as described previously (trace level). These charts indicate whether the batches are evolving normally or not.

Predicted maturity control chart

The PLS and OPLS models also gives predicted values of y (local time or maturity variable). Plotting ypred vs. yobs gives an indication of whether the batches are developing too quickly (over-mature, ypred > yobs) or too slowly (under-mature, ypred < yobs).

Contribution plot

If values are found outside the normal ranges, contribution plots based on the x-values of the average batch or the residuals (DModX) indicate which variables together are related to the deviations.


Batch evolution plots background

Batch evolution plots display a plot grid with many plots in the same window when there are units, phases, or phase iterations in the model. When the process includes several units, the plots for each unit are displayed beneath each other when the Layout selected is Units, see figure 8.

Figure 8. This is an example of how SIMCA-online presents units, unit groups, and phases in a batch evolution plot.

In the table, the notation in Figure 8 is explained.

Unit Group | Units | Phases | Batch Evolution Model
G | G1, G2, G3 | Phase 1 Phase 2 | Model 1 Model 2
D | D1 and D2 | Phase 1 Phase 2 | Model 3 Model 4
C | C1 | Phase 1 | Model 5

More:

Not Available instead of plot

Scores

Distance to Model X

Hotelling's T2Range

Predicted Y

Variable

Dual Variable

Calculating limits to build control charts

Layout box


Plots for predicting results or classifying new batches

The batch evolution data must first be read by the server, and fitted to the PLS or OPLS model to get the predicted scores. These scores get appended row wise to the batch conditions (Z) if present, once the batch (or with hierarchical models the model) is completed in batch evolution. The batch level PLS, OPLS, PCA, and hierarchical models are used to predict quality of the final batch (Y), or classify the batch as normal good batch or bad batch. These plots are found in the Batch level plots group.

Score scatter plot

The Hotelling’s T2 ellipse, by default at the 99% confidence interval, is drawn around the batch points in the batch level score scatter plot. When a batch is outside the ellipse limit, this indicates that this batch has some variables that are larger or smaller than the average batch.

Hotelling's T2Range

For a given observation (batch) the Hotelling’s T2Range is a combination of all the scores (t) for the selected components. Hence this plot is a summary of all the batch variables for the selected components and displays how far away from the center (target) the batch is along the PC model hyper plane. When a batch is outside the critical limit, this indicates that for this batch, the data vector has some variables that are larger or smaller than the average batch.

DModX

When a batch is projected onto the model, SIMCA-online computes also the distance of that batch to the model, DModX. DModX is proportional to the RSD (Residual Standard Deviation) of that batch in the X space. Larger DModX than the warning level indicates something unusual about the batch (different from the others) that was not captured by the model.

Y predicted plots

The Y predicted plots are displayed with confidence limits. Unusually large or small values in comparison with the others are interesting to display in a contribution plot.

Contribution plot

Contribution plots of points found outside the limits illustrate which variables differ between the marked point and average. When opening a contribution plot for a variable that is a score, the batch evolution contribution plot can be created by double-clicking the score variable.


Rolling view for hands-free monitoring

Rolling view is used to automatically cycle between open tabs at regular intervals. This enables hands-free monitoring of current activity. Tabs for project configurations without activity are skipped. This enables you to focus on what is happening now.

Here is how to use this feature:

  1. Open the project configurations you want to monitor. For each configuration open the plots you are interested in. Configure the layout of each tab as you like. Tip: you can also open Unit Overview to see the global status of all your units.

  2. Turn on the Rolling view in File > SIMCA-online options, and tune the settings (see below).

When you stop interacting with the mouse and keyboard of your computer, Rolling view starts and automatically switches between tabs. To stop Rolling view, simply start interacting with SIMCA-online again with your mouse or keyboard.

Project configurations without activity are not displayed

Rolling view cycles through tabs that show project configurations with activity. This lets you focus on what is important right now.

Activity in this context is defined as;

  • For a batch project - there is an active batch, or a batch has finished within a configurable time.

  • For a continuous project - execution has been on within a configurable time.

Note that some windows, such as audit trails, or extract windows, will also be displayed in rolling view, even though there is no activity. If you don't want to see them, simply close those windows.

Settings for Rolling view

The settings for Rolling view are controlled in Options under File, on the General tab, under the Interface category.

Here you turn on and off Rolling view, control the initial delay before Rolling view starts, the time each tab is displayed, and how long to keep displaying a tab even though there is no activity.


Project execution

Project execution is the core functionality of the SIMCA-online server: It reads data from a data source which it evaluates using SIMCA-online's rules for project execution together with the project configuration settings, and predicts the models in a SIMCA project. Resulting data are then visualized in the SIMCA-online clients on the desktop or the web.

The rules for project execution is fairly simple for continuous projects as described below, but more complex for batch projects as described in Batch project execution.

Project execution is sequential in real time

Project execution normally occurs in real-time, one observation at the time sequentially. At each execution interval, the server asks the data source for the most recent data it has. If data isn't available then, SIMCA-online won't know about it - SIMCA-online does not go back and re-read old data. Another way to look at it is that SIMCA-online cannot use data from the future.

SIMCA-online can handle data that isn't available in time if is treated as Discrete data or batch condition data in combination with keeping the batch active after it has received an stop time. Learn more in Keeping batches active to wait for late entry data.

Another alternative is to manually re-predict the entire batch when all data is available.

Starting and stopping execution

Project execution is started or stopped per project configuration on the SIMCA-online server. See Starting and stopping the execution for how to do this.

When the SIMCA-online service is stopped, execution is also stopped for all projects. When the service is restarted, execution is automatically restarted for previously executing project configurations.

What happens when project execution is started?

When execution is started the server resumes execution from the current time.

A batch project automatically resumes a batch that was active in SIMCA-online when execution was stopped. Any currently active batches in the batch node are picked up and executed from their start times (learn more in the topic on Batch project execution).

A continuous project simply starts execution at the next execution interval.

The project configuration's Time-page may also have settings that tell the server to predict recent data that has been missed (such as entire finished batches that SIMCA-online doesn't know about). Exactly how this works differs for continuous- and batch projects and are described below in the sub topics.

Continuous project execution

A continuous process has a single setting that controls project execution; the prediction condition. It is a logical expression that defaults to True (always predict), but that can be changed to use process data to decide if an observation should be predicted. Predicted observations can then be visualized in SIMCA-online.

A continuous project has a single setting that controls how far back the server will automatically predicted missed observations when execution is turned on.

The more complex Batch project execution is described next.


Batch project execution

Batch execution is more complex than continuous projects because SIMCA-online needs to know when batches start and stop, phases start and stop, and allow for many batches and phases running in parallel. In addition, there is also Discrete data, batch condition data, and batch level models.

This is a summary on how batch project execution works:

  • The batch node for the project configuration determines the start time and stop time of a batch. The Batch Context Generator can be used if a batch node isn't available in the data source.

  • Data for a continuous phase will not be read after the batch has got and stop time.

  • Data for a continuous phase is read observation by observation in a sequential manner. SIMCA-online does not go back and redo previous observations, unless the entire batch is re-predicted. See Project execution.

  • Execution occurs at the configured execution interval of the phases in the project configuration. For example every minute or every 10 minutes.

  • A batch can only become active when a phase executes, thus at the configured execution intervals. This means that a batch may not start immediately when execution is started.

  • For a phase to execute, the phase execution condition must evaluate to true for all observations of the phase, and the sleep condition must evaluate to false. If a phase stops and restarts, a new phase iteration will be started. Learn more in Phase iterations. If you want to mitigate phases stopping too early because of data problems, learn more in Batch execution resiliency: Control tag cache.

  • A phase with Discrete data retrieval re-reads its entire data at each execution. This allows for late entry data such as at-line/IPC data.

  • Batch level models execute when they all maturity-dependent data is available. For a batch level model that use Discrete data this means that the batch level model can be predicted many times.

  • Batch conditions are read when a batch starts, stops, a batch level model is about to be predicted, and in SIMCA-online 16 and later, at the optional configured Batch conditions refresh interval in the project configurations Time-page. Before SIMCA-online 16 batch conditions were only re-read if at least one variable still was missing.

As you can see batch project execution is complex. To learn more, see the SIMCA-online Technical Guide, chapters 5-7.

Also see Troubleshoot project execution and Troubleshoot batch project execution if you want to learn to diagnose why your batches don't behave as you expect.

Metadata and configuration revisions

When a batch is predicted by SIMCA-online it uses the then current project configuration settings when saving data about that batch (including the product and location from the metadata page).

If you subsequently make changes to the configuration, for example changing tags, or phase conditions, or make changes to metadata, you have to repredict older batches for them to use the new settings.

Starting and stopping batch execution

When starting project execution, the server automatically resumes a batch that was active (being predicted) when execution was stopped. Previously read data, triggered alarms and predicted observations will remain intact. The server continuous execution from where it left off.

Note: In versions before 15.1 the previously batch was deleted and restarted when execution was started. Tip; if you want to restart a batch, you can still do so by deleting the active batch as described in Delete predicted data.

When execution is started, the server will start a batch that is active in the batch node automatically. Such a batch becomes active in SIMCA-online, and is automatically predicted from its start time. Note that a batch can only be picked up when one of its phases' execution interval tells the server to look for data. This means that a batch may not start immediately when execution is started.

In addition, entire missed (finished) batches can also be predicted when execution is started, so that you don't have to predict them manually. Configure settings for missed batch prediction on the Time page of the project configuration. That page also has a setting for recurring prediction of missed batches that can be used if batches are added in bulk to the data source and SIMCA-online otherwise would miss them.


Batch execution resiliency: Control tag cache

The execution of batch projects in SIMCA-online is relatively sensitive to problems in the data, resulting in prematurely stopped phases or batches. The Control tag cache can help with this as you will learn on this page.

The cache keeps phases alive during temporary data source problems. It re-uses last known good values for control tags (batch identifier tags and tags used in phase execution conditions) when the data source returns missing value or SimApi errors.

When the cache is active and all data are temporarily missing, plots typically show no data at all (missing points) for such observations. Later, when the data source problem is fixed, new observation will continue the phase execution.

*) continuous projects are much simpler and do not have these issues.

Common data access problems

This table lists common data access issues, what they result in SIMCA-online, and how they can be fixed.

Issue | Result in SIMCA-online | Workaround
A. Network glitch between SIMCA-online and the process data source | Active phases stop executing, but the batch stays active (does not get an end time). The active phase iteration stops, and a new phase iteration is incorrectly started. | Delete the batch, so that it can restart from the beginning in SIMCA-online. This will re-read the data, and fix the problem. See Delete predicted data to learn how to delete a batch. Alternatively, use the opt-in Control tag cache, as described below.
B. Missing values in the process data, meaning that data is not available in the data source for specific observations/time points | Active phases stop executing, but the batch stays active (does not get an end time) | Use the opt-in Control tag cache, as described below. Note: Deleting the batch so that it restarts won't help here, because data for the problematic observations are always missing.
C. Network glitch between SIMCA-online and the batch node data source | The batch is discarded (deleted) and disappears from SIMCA-online. | When the data source becomes available, the batch will automatically catch up and appear again (if it is still active or the configuration is set to do recurring catch-up). The batch can also be repredicted manually if it has finished (has an end time).

Problems such as the above becomes more apparent for long batches, because the chance for a single batch being affected by issues is greater.

Control tag cache - keep phases alive during temporary data source problems

SIMCA-online 15.1 introduces a control tag data cache that prevents phases from stopping prematurely.

When the cache is enabled (it is opt-in, see below), a phase does not end, but continues to execute. This results in missing data in plots, if the data source returns missing values for all tags. Later, when data is available again, the phase will resume execution, resulting in a gap in the plot. SIMCA-online does not re-read past data - if you want this you have stop and re-start execution manually.

This cache keeps the last known good value for each control tag for a batch, and re-uses them when needed. Control tags consist of the batch identifier tag for each unit, as well as tags used in phase conditions. Note that other tags, used for variables in the SIMCA project, are not cached, which means that SIMCA-online will not show any data points using cached values (unless the data tags are also control tags as defined above).

The cache is opt-in per SIMCA-online server

Since this cache affects how SIMCA-online interprets data from the data source it is opt-in on the SIMCA-online server.

This means that it you want to override "the truth" in your data source and enable the cache, you have to enable it on the server computer. This is done using SIMCA-online Server Options found on Start on the server computer, on the Miscellaneous tab. After changing, the server must be restarted.

Also note that if you use the function IsTagMissing() in your phase execution condition or sleep condition, that function will not work with the cache enabled, because data for tags are then never missing.

When is the cache used?

The cache is used in two circumstances: when the SimApi returns SimApi errors, or when there are missing values (no data). This corresponds to issue A and B in the above table. Issue C is not addressed by the cache, which is explained further below.

The cache is used for all types of SIMCA-online batch project execution; catch-up, normal execution and when repredicting entire historical batches.

The cache is never used outside the lifetime of the batch as defined in the batch node. This means that if the batch node says the batch ends at midnight, the batch will not be kept alive any longer even though the cache might be active at that point.

When the cache is used, it is logged in the server log as a [Warning] log entry.

What controls batch project execution?

Execution of batch project configurations in SIMCA-online is controlled by three things; 1. a set of rules in SIMCA-online that for each observation uses 2. process data for a set of control tags, and 3. information from the batch node to determine if a phase should execute (run) or not. Control tags consist of the batch identifier tag for each unit, as well as tags used in phase execution conditions.

The fact that the rules are evaluated for each observation means that SIMCA-online is sensitive to data problems as short as a single observation, which results in the problems listed in the table above.

Note: to learn more about these rules, see the SIMCA-online Technical Guide, chapters 5-6.

Batch node is not cached - batches can still end (issue C)

The control tag cache does not cache the batch node functionality, corresponding to issue C in the table of common data access problems above.

Thus if the batch node becomes unavailable during execution of an observation, the entire batch will still stop and become discarded (deleted), but as the table above notes, the batch will resume execution when the data source is available again.

If the batch is no longer active, the batch can still be manually repredicted. You can also specify a catch-up time range and catch-up interval in the configuration to automatically pickup missed historical batches.

Batch Context Generator and Batch ID tag caching

Another area of SIMCA-online that is affected by the Control Tag Cache is Batch Context Generator.

Batch Context Generator provides a way for SIMCA-online to execute batch projects when the data source doesn't provide the necessary metadata regarding when batches begin and end.

Without the Control Tag Cache being enabled, generated batches if the batch identifier tag is used and SIMCA-online fails to read the batch id from the data source.

If the Control Tag Cache is enabled, Batch Context Generator also caches its use of the batch identifier tag in all batch context nodes. This means temporary problem accessing the batch identifier tag does not automatically end a generated batch.

Learn more about Batch Context Generator.


Keeping batches active to wait for late entry data

Keeping batches active to wait for late entry at-line/IPC/Discrete data and CQA/batch condition data

Data used in SIMCA-online may not be available in the data source when SIMCA-online asks for it. This can happen when data is analyzed at-line where lab-time delays the data. As noted above such late entry data will be missed by SIMCA-online, because it reads data only as long as the batch is active.

In SIMCA-online 16 handling of late entry at-line/IPC/discrete data and CQA/batch condition data, so that SIMCA-online can be configured to wait for and read late data without manual re-prediction or refreshing batch condition data.

By adding a new setting to keep-active batches for an additional time after the batch has got a stop time, SIMCA-online will now re-read data longer. Two types of late entry data can be handled by this feature:

  • discrete data in phase models (at-line/IPC-data), and
  • batch condition data (CQA data) used at the batch level

In addition, data for batch conditions can now be re-read at a configurable interval to ensure that data is picked up.

How to configure a project for late entry data

Allowing late entry data is optional and specified per project configuration on the Time page. There are two settings;

  • The time for 'Keep batch active for late entry data' controls how long each batch will be kept active after it gets a stop time in the batch node (where it normally would be ended). We recommend that you keep the batch active just as long as is required to pick up late entry data, so that batches don't stay active too long.
  • The 'Batch condition update interval' specifies how often batch condition data will be read from the data source, and plots and lists in SIMCA-online are updated. We recommend using an interval that is not too short because it will result in more data being read.

Resulting behavior

If the batch is kept active, it will remain active everywhere in SIMCA-online. In Production Overview it has a stop time but with an additional annotation that the batch is kept active. Once the time has expired, the batch will be considered finished, and moved to recent batches as usual.

The increased time that the batch is active results in that discrete phases can continue executing awaiting the late data. If discrete phase data are used in batch level models, those will also be predicted.

Note: Continuous phases are ended when the batch gets a stop-time. They are not kept-active.

When the 'Batch condition update interval' is specified, batch condition data is read regularly after the previous read of batch condition data. Additionally, as in previous versions, batch condition data is still read when the batch starts, stops and whenever a batch level model is predicted. The server log now shows a Debug-entry 'UpdateBatchConditions' when batch condition data is read.

Note; previously we only read batch conditions if at least one variable had missing data. This has changed; we now re-read batch condition data even if we have values for all batch conditions. However we do not trigger more than one alarm of the same type for a batch condition, unless the alarm is reset by the user when it can re-appear the next time batch conditions are refreshed.

The SIMCA-online Web Client and the Web API also keeps the batches active and shows the changed data for discrete phases and batch conditions as described above.

Note: Since batch conditions and discrete data now can be automatically refreshed without user-interaction, we have removed the previous functionality of manually refreshing data that was available in the desktop client, and in the SIMCA-online web api. If data has changed in the data source, and you want to refresh the batch in SIMCA-online, you can still re-predict the entire batch.


Monitoring variables excluded from models

Before SIMCA-online 16 you could only display variables that are used in models, either directly as X or Y, or indirectly such as variables used in lags, hierarchical models, generated variables etc.

Weighting variables close to zero makes them available in SIMCA-online, but this also affects the model. We therefore recommend using the method described on this page to monitor excluded variables in SIMCA-online. These variables are optional variables in SIMCA-online.

For continuous projects, you can now display optional variables in SIMCA-online by associating these to tags in the data source. This makes the variables available in plots, and you can also use target value limits and target value alarms in charts. Control limits are not available for optional variables, but you can use target value limits instead and manually configure them to use computed multiples of the standard deviation you can take from the SIMCA model (use Quick Info in the Workset dialog).

For batch projects, excluded variables are normally not available in SIMCA-online. However, there is a trick you can use: Add the excluded variables to a dummy batch level model and they will show up in SIMCA-online. This works even though the batch level model itself is not displayed in SIMCA-online. Learn more in the knowledge base article Monitoring variables excluded from evolution models in SIMCA-online (Q929) at https://umetrics.com/kb/monitoring-variables-excluded-evolution-models-simca-online.

How to display optional variables in continuous projects

The configuration wizard for a continuous project now shows optional variables on the Tags page so that you can associate them to data source tags like other variables. Optional variables are displayed with parenthesis around the name: (variable name) to indicate that they are not required.

Later when you select variables to display in plots, only optional variables that have been connected to tags are available for selection.

Example

In the following screenshot, the three last variables are not in the model, but only the 'As ppm' variable has been connected to a tag in the data source. Also note that the variable 'Bi ppm' has not been associated, and since this variable is used by the model it is colored red to help you spot this mistake.

Hint: If you want it to be clear that a variable is not included in the model, enter an alias on the Variable aliases page to signal this.

Connected optional variables can be shown in plots in SIMCA-online as any other variable, by selecting it in the ribbon or properties. Only optional variables that have been connected are listed ('As ppm' in this example, while 'Time' and 'Te ppm' are not displayed):

Finally, here is an example of a contribution plot for this model. Notice that the column for the 'Bi ppm' variable is missing, since it's not connected to a tag, and that the 'As ppm' variable and the other two optional variables are not displayed at all, since they are not part of the model.


SIMCA-online alarms

About SIMCA-online alarms

This topic describes how alarms in SIMCA-online work. It applies to all types of alarms; univariate target value alarms for variables, multivariate batch evolution alarms, batch level alarms, and alarms in continuous (non-batch) processes.

For details, including how to set up alarms, see the Project Explorer part of this help.

Rules for triggering alarms

An alarm is triggered in SIMCA-online when all the below statements are true:

  • the value of some parameter is below or above a configurable limit, and

  • the alarm trigger rules are fulfilled, and

  • there isn't already another alarm of the same vector for the current batch or current execution for a continuous project. If the old alarm is reset or soft reset a new alarm can be triggered again.

This is explained further below.

Alarm types

There are two kinds of alarms; univariate alarms and multivariate alarms. These alarm types work differently as described below. Both types of alarms show up in plots as alarm symbols and in the Production Overview pane when triggered.

Univariate alarms - Target value alarms

A univariate alarm is an alarm on an individual variable in a phase model for batch, or a continuous process model. Univariate alarms are configured on the Target values page of the project configuration. Target value alarms are simple; if configured, an alarm will be triggered as soon as the variable is outside the configured limits or missing.

Note that target value alarms are only triggered for variables directly connected to data source tags. This means that alarms cannot be configured for lagged variables, generated variables or python preprocessing variables.

Multivariate alarms

Multivariate alarms are alarms on multivariate vectors such as scores (t) or DModX from the prediction of the models in SIMCA-online. These alarms have two limit levels that can be set;

  • warning level (Lo or Hi), displayed using the color yellow.

  • critical level (LoLo or HiHi), displayed using the color red.

For batch evolution and continuous configuration alarms, the setting for Alarm triggers (on its own page in the configuration for batch) is used to delay the triggering of an alarm, after the first observation is outside the limits, using the settings for Consecutive and Total observations.

Alarm triggers

Alarm triggers apply for both continuous (non-batch) projects and batch evolution projects.

There are no triggers for target value alarms or for batch level alarms; these alarms are triggered as soon as the value of the parameter is outside the limit.

Triggering rules: at most one triggered alarm for a parameter and severity at the time

If there already is an alarm of a specific severity (warning or critical) for a parameter (such as a variable or DModX), the same alarm cannot be triggered again for the current batch or execution for continuous projects, unless the alarm has been reset by an operator. The background for this rule is to reduce the number of alarms being triggered for the same anomaly in the process.

Warning (yellow) and critical alarms (red) severity are independent (starting with SIMCA-online 15.1). A warning alarm is triggered just using its settings, and a critical alarm is triggered using its settings. Alarm elevation from warning to critical alarm, has been removed from 15.1, making alarm triggering easier to understand.

Some examples:

  • If there is a warning alarm for DModX, another DModX alarm will not be triggered for the same batch, unless the first alarm has been reset.

  • If a variable is way outside both the warning and critical limits, two alarms will be triggered (in plots only the critical alarm is visible).

No re-triggered alarms

Starting with SIMCA-online 15.1, alarms are no longer automatically re-triggered after a phase is finished, or a batch level model is predicted again. This means that any alarm reset during live execution, remains reset after the phase has finished. (Thus the alarm does not re-appear which was the case before SIMCA-online 15.1.)

The behavior caused by re-triggering alarms can lead to discrepancies between the positioning of the alarm triggered during live execution and what you see in plots at a later time when the phase or batch was finished. The reason is that when a phase finishes, SIMCA-online applies SIMCA's rules for processing batches for normalization, smoothing, cropping and trimming. All of these can change maturity, remove observations, and/or change data so that predictions change. If the predictions are changed, the live-triggered alarms might not match the alarm position of the finished batch and end up inside the triggering limit.

If you see this in your plots, the recommendation is to not use normalization, smoothing, cropping or trimming in your projects. While those methods work fine in your SIMCA project on the workset batches that you carefully have selected, chances are great that the same rules will not work equally well on unknown batches which is what SIMCA-online predicts. For example: cropping the first 3 observations for all batches in the workset works fine in SIMCA and looks good in plots, but always cropping 3 observations in SIMCA-online might yield unexpected results given that phase execution is controlled by the phase execution condition.

Resetting alarms

Once an alarm has been triggered it can be reset by the user. Resetting an alarm means that it has been acknowledged, and that another alarm can be triggered for the same batch or execution for continuous projects. When an alarm has been reset the counters for consecutive and total observations are reset to zero.

Resetting alarms can be done from Production Overview or Plot details.

Soft-reset alarms

Alarms in a continuous process can also be automatically reset by the Soft-reset alarms functionality. In short, this automatically resets triggered alarms if the process has returned inside the configured limits. This enables the alarm to be triggered again later in the process. Learn more in Soft-reset alarms.

Where are alarms visible

Alarms are visualized in plots and production overview as described in Alarm visualization, Unit overview, Report, and Audit Trail.

Alarms can also trigger Notifications.

More:

Alarms for batch evolution models

Alarms for batch level models

Alarms for regular projects

Alarm triggers


Alarm visualization

When alarms are specified, triggered alarms are displayed in:

  • Project Explorer - showing the alarm state for the open configurations

  • Production Overview.

  • Unit Overview.

  • Plots displaying the vector with the specified alarm.

  • Plot Details pane when a plot with a triggered alarm is active.

  • Report.

The table describes the color coding and symbols displayed concerning alarms.

Alarm | Visualization | Plot, Plot Details and Report
No alarm triggered and the model is not executing | Uncolored | Plots display nothing, Plot Details displays No alarms or notes and the Report displays:
No alarm triggered and the model is currently executing | Green | Plots display the default plot symbols, Plot Details displays No alarms or notes and the Report displays:
Alarm triggered due to point outside a warning limit (Lo/Hi) | Yellow | The triggered point displays a yellow warning sign:
Reset warning alarm | Green with a check mark | The point displays a yellow warning sign with a check mark:
Alarm triggered due to point outside a critical limit (LoLo/HiHi) | Red | The triggered point displays a red octagon with a cross.
Reset critical alarm | Green with a check mark | The point displays a red octagon with a check mark:

Note: After resetting an alarm, Production Overview and Unit Overview again display a green box while the plots, Plot Details pane and the Report display the symbol for reset alarms.


Lags

What are lags

Lagged variables, or lags, allow the study of how past or future values of process variables affect the current observation, thus allowing temporal changes to be modelled.

Lags can be used in SIMCA-online for both batch and continuous processes, and are also used to create the forecast model for Control Advisor projects for continuous processes.

This topic talks about lags in SIMCA-online, and describes differences how SIMCA and SIMCA-online deals with lags.

Lags can be created in two places in SIMCA

Lags can be specified in the models (workset) or in the datasets using generated variables.

Prefer specifying lags in the workset since it supports the full lag feature set including dynamic lags which are not available for generated variables.

Learn more about lags in the SIMCA user guide (and help). Also see the SIMCA-online Technical Guide for a few notes on lags and generated variables in SIMCA-online.

Requirements for lags in SIMCA-online

To be able to compute values for lagged variables, the original variable needs to be associated with tags in the project configuration. For example, if you have included the variable Var1.L1 in your model, you must associate the Var1 variable with a tag in a data source even if you have excluded Var1 from the model.

Dynamic lags

Before SIMCA 15 and SIMCA-online 15 all lags were fixed in size; you specified the number of observation index-steps that were used.

SIMCA 15 introduced support for dynamic lags so that lags now also can be computed dynamically for each observation based on the value of a speed variable or using a time variable or a combination thereof. Interpolation is used when computing dynamic lags, meaning that the data you see in SIMCA-online does not exactly match earlier observations like they do when they are based on observation index, rather the value of the lagged variable is somewhere in-between previous observations.

When using a time variable, the data must be formatted as time in a way that SIMCA and SIMCA-online can interpret. SIMCA-online reads data as text for time variables, which means that the data must be formatted as such, or converted by the SimApi to a text format that SIMCA-online understands.

The format of the time variable must match the format used in SIMCA when creating the variable. If you used a variable that stores minutes in SIMCA ("2018-01-22 11:00"), you must use the same format in the data source that SIMCA-online uses.

Note that this means that SIMCA-online in fact does not use its own timestamp for each observation when computing lags, but instead uses the independent time-variables specified in the SIMCA models which are associated to tags in the data source when the project is configured for SIMCA-online.

Differences compared with SIMCA for dynamic lags

Leads (negative lags that use data from the future for each observation) cannot be displayed in SIMCA-online variable plots. This is because SIMCA-online executes observations one at the time, and cannot know values in the future, nor does it go back to previous observations to fill in the values after the fact. However, leads are always Y-variables, and the predictions of those work fine in SIMCA-online which means you can still create a model that use leads as Y and predict those Ys in SIMCA-online (but you won't be able to compare them with observed values).

SIMCA 15.0 used a slightly different algorithm for dynamic lags that allowed the use of future values when computing dynamic lags. SIMCA-online does not use future observations, and this was also fixed in SIMCA 16.0.

Limitations of dynamic lags

SIMCA-online and SIMCA do not compute dynamic lags over batch phase boundaries nor when a gap in data is too large. Learn more in the SIMCA user guide or help.

As in SIMCA the maximum time an observation will be lagged by a dynamic lag, is 23:59:59 (thus just under 24 hours).

Depending on how the time variable was created in SIMCA, the precision might not be sufficient, causing rounding issues in SIMCA-online.


Notifications

SIMCA-online notifications enable people to learn about what happens inside SIMCA-online without having to be actively logged in.

Here are a couple of key scenarios;

  • Process operators receive email notifications for their project configurations when alarms are triggered, or batches stop.

  • A particular user gets notifications for the specified project configurations of interest.

  • The system owner of SIMCA-online gets an email 60 days before the server license expires.

  • The technical owner of SIMCA-online receives notifications when there are problems accessing the data source which allow for quick problem resolution.

  • IT systems engineers get notifications that the server running SIMCA-online is running at a high CPU utilization, or that the service was started or stopped.

  • IT systems engineers can get route notifications to Windows Application Event log where they can be picked up by third party IT system monitoring software, and in this way integrate SIMCA-online monitoring into their regular IT software monitoring.

Notifications are delivered from the SIMCA-online server computer, and does not require any client to be logged in, or any particular software to be installed. Active Directory no longer is a requirement from SIMCA-online 16.0, however Active Directory email addresses are used as the defaults if available.

Note: Because of substantial changes in the database structure, settings for notifications from SIMCA-online 15.x are not migrated. You have to manually reconfigure notifications in SIMCA-online when migrating from a version before 16.0.

How it works

  • The SIMCA-online server maintains a list of event types that each signifies something potentially important that users may want notifications for. There are two categories of events:

    • Server event types are global to the entire server. For example, licenseExpiry, which is created when the server license is about to expire.

    • Configuration event types apply to a configuration. For example alarmTriggered, which is created when there is a multivariate alarm for a specific configuration.

    • See all Notification Event Types.

  • A user can:

    • Edit their email address.

    • Subscribe to event types of interest.

    • Subscribe to event types for one or more project configurations at once.

    • Easily see and edit all personal subscriptions for all event types and configurations.

  • When things happen inside the server, the SIMCA-online server logs events to a database.

  • If there is a subscriber for an event, the server sends notifications for that events to all subscribers.

  • Notifications are delivered by email, or to the Windows Application Event log of the server computer.

  • An administrator with the Manage Notifications permission can edit notification subscriptions and email addresses for all recipients on the server, including routing events to the Windows Application Event log.

  • The content of Email notifications can be customized by administrators.

Notification delivery tips

Here are some tips on how you can further customize notification delivery by taking advantage of features in your mail software outside SIMCA-online:

  • Configure your email software, such as Microsoft Outlook, to use rules that determine what happens for different notification event types, or event different rules for different project configurations. For example, route most notifications to a sub folder, but display alerts in Outlook for particularly important event types.

  • Use non-personal email addresses, such as operators@example.com, and then control which users receive these emails in your email software.

  • Route email notifications to mobile phones, perhaps even as text messages by forwarding email notifications in your email server to a text message (SMS) gateway.

Learn more

Server administrators, see Configuring the server for Notifications

Subscribing to email notifications


Notification Event Types

User can subscribe to notifications for event types in SIMCA-online. Learn more about Notifications and Managing notifications: subscribing and editing.

Server Event Type

Event

Description

serverStarted

Server started

The SIMCA-online server has started successfully.

serverStopped

Server stopped

The SIMCA-online server has stopped successfully.

unexpectedShutdown

Unexpected server shutdown

Emitted when the server is started when it detects that the server was not stopped successfully previously.

Can be caused by the server process being terminated in task manager, or a server crash.

highCpuUsage

High server CPU usage

CPU usage on the SIMCA-online server computer is above the value for 'Load Warning Percent' (default 80%) specified in SIMCA-online Server Options on the server computer.

Note that is the full CPU usage on the server computer, not just CPU used by the SIMCA-online server.

licenseExpiry

License expiry warning

Emitted once a day when there is less than 60 days before the SIMCA-online server license is about to expire.

simApiError

SimApi error

A SimApi has returned an error code when reading data from (or writing to) a data source.

To learn about the error consult the server log and SimApi log files. Can result in many notifications being sent.

projectAdded

Project added

A new project was uploaded.

projectDeleted

Project deleted

A project was deleted.

projectRestored

Project restored

A deleted project was restored.

projectPurged

Project purged

A deleted project was purged, meaning it is permanently removed from SIMCA-online.

configurationAdded

Configuration added

A new project configuration was added.

configurationDeleted

Configuration deleted

A project configuration was deleted.

configurationRestored

Configuration restored

A deleted project configuration was restored.

configurationPurged

Configuration purged

A deleted project configuration was purged, meaning it is permanently removed from SIMCA-online.

configurationRenamed

Configuration renamed

A project configuration was renamed.

Configuration Event Type | Event | Description
configurationUpdated | Configuration edited | A project configuration was edited, for example changing which data source tags are used or configuring alarms.
executionStarted | Execution started | Execution was started for a project configuration. It starts polling for data and doing predictions.
executionStopped | Execution stopped | Execution was stopped for a project configuration.
executionResumed | Execution resumed | Execution was resumed for a project configuration after the server was started. Controlled by the SIMCA-online Server Options setting 'Resume execution' (defaults to On).
executionAborted | Execution aborted | Execution was aborted for a project configuration. Abnormal behavior, can be caused by a corrupt internal database.
batchStarted | Batch started | A batch was started in a project configuration, i.e. it was picked up by the server.
batchFinished | Batch finished | A batch was finished in a project configuration, i.e. received an stop time (and, optionally, no longer is kept-active).
batchDeleted | Batch deleted | A batch was deleted by a user either explicitly or as part of a re-prediction of a batch.
batchDiscarded | Batch discarded | A batch was discarded (deleted) by the server. Happens when resuming execution of a batch after the project configuration was edited. Can also happen when the batch is changed in the batch node.
noteUpdated | Note updated | A note was added or edited.
alarmTriggered | Alarm triggered | An alarm was triggered.
alarmReset | Alarm reset | A triggered alarm was reset (acknowledged by a user).


Python preprocessing scripts

Python preprocessing scripts can be used in SIMCA to define data preprocessing. SIMCA-online can apply the same preprocessing when the project is used in SIMCA-online with the limitations described below.

Python preprocessing scripts are used to transform variable data for each observation as a model executes in SIMCA-online. New variables can be added by the script, and they can use data for any other variable in the same dataset.

An example of a Python preprocessing script is a transform that reduces hundreds of spectral wavelength variables into fewer important variables, that the models then are built upon.

Python preprocessing is conceptually similar to generated variables but use Python instead of the more limited expressions of the generated variables feature.

Learn more on Python preprocessing scripts in the Python portal at https://umetrics.com/scripting/index.html.

Note: This feature does not implement general Python scripting in SIMCA-online, only preprocessing as described above.

Limitations

  • Only scripts with variables transformations are supported (where new variables can be added), not time-series (observation) filters where data in subsequent observations are transformed and where temporal relationships (such as lags) can be used.

  • Scripts are written in Python 3.7, and can use the Python standard library.

  • The Python libraries numpy (1.15.4) and scipy (1.1.0) can be used with SIMCA-online 16.1. These are standard packages for doing math on multidimensional data. Note: You must use the exact same versions in SIMCA when creating the project. Learn more on this below.

  • A project configuration that uses Python preprocessing scripts takes longer to execute and uses more CPU than a project configuration without scripts.

How to use

  1. Create a project with Python preprocessing in SIMCA 16. If you use numpy and scipy, you must use the versions that SIMCA-online supports. Learn more below.

  2. Test the script in SIMCA on predictions to make sure it works as expected.

  3. Upload the project USP file to the SIMCA-online server. A warning will be displayed that the project contains Python scripts which can potentially be harmful, and you are required to confirm that you trust the project. You can also preview the scripts in SIMCA-online.

  4. SIMCA-online will automatically run the Python preprocessing scripts when models are executed.

Installing the supported versions of numpy and scipy in SIMCA for use in SIMCA-online

To use numpy and scipy in your SIMCA project, you must create the project with SIMCA 16 or later, and make sure you install the same versions as ships with SIMCA-online. If you use different versions in SIMCA and SIMCA-online you can get different results, and preprocessing scripts may not work in SIMCA-online.

Both pip integration and python preprocessing was added in SIMCA 16, however no external packages are shipped with SIMCA. You have to install needed packages manually. When you do this, and intend to use the preprocessing in SIMCA-online, you must specify the correct versions as follows:

import umpypkg as pkg

pkg.install('numpy==1.15.4')

pkg.install('scipy==1.1.0')

SIMCA-online cannot verify the versions automatically.


SIMCA compatibility

SIMCA-online, unlike SIMCA, typically receives data from the data source observation by observation (whereas SIMCA already has ALL data available when modeling). This fact, and that some functionality of SIMCA isn’t meaningful in an online scenario, means that there are number of features available in SIMCA that are unsupported in SIMCA-online or just executed differently. See the list below for details.

  • A batch that meets the conditions for conditional exclude is available in SIMCA-online but with missing instead of values.

  • Cropping downsizing (every Nth observation) is not supported. (Cropping the first N, last N or observations satisfying a condition are supported.)

  • Generated variables that take into account future observations are not supported.

  • Generated variables that take into account results from other models are not supported.

  • The Phase() function in generated variables is not supported.

  • Lags of generated variables are not supported.

  • Lags of hierarchical base variables are not supported.

  • Encrypted .usp-files are not supported.

  • Phase iteration limitations.


Terminology

This section describes the basic terminology of SIMCA-online.

Project – a SIMCA Project (USP-file), containing the models you want to execute on the SIMCA-online server. Projects are uploaded (automatically copied) to the server from the client and then configured. For batch projects only one batch evolution model group, BEM, may be present in the imported project. The single BEM may include several models and the project may also include several batch level models, BLM.

Continuous projects – a.k.a. regular projects, are projects created in SIMCA by clicking Regular project and importing continuous process data. The data in these processes have no natural end point and should only randomly vary around its set points.

Configuration – or project configuration, is a specific instance of a SIMCA project configured to take data from certain tags in your data source, have specific alarms, and a range of other settings. A configuration can be executing the model for new data from the data source or it can be stopped (i.e. not reading new data). You can have multiple configurations for the same SIMCA project. The configurations, for one particular SIMCA project, are managed independently from each other and can have totally different settings. The only thing they share is the same SIMCA project.

Batch – A batch can both refer to a process type, i.e. a batch production, and the actual produced batch (sometimes referred to as lot). A batch process has a beginning, dynamic evolvement and an end, and repeats itself.

Batch node – a node in the data source that contains the names, start and stop times for batches.

Execution – used for continuous configurations (non batch data) defined as follows: An execution starts when play-button for that configuration is clicked, and ends when the stop-button is clicked. Thus if the configuration’s execution is started and stopped multiple times, it will result in multiple executions in the Production Overview pane in the SIMCA-online client. The execution is also stopped when the server is stopped.

Prediction – comparing current production against a reference model created in SIMCA or in SIMCA-online. Sometimes, the name 'prediction' is also used for the predicted/estimated value from a soft sensor measurement.

Forecast – an estimate of the future process behavior based on the start condition (for batch processes) and the recent production history.

Soft sensor/Virtual metrology/Multivariate calibration – a way to estimate a sensor measurement that is difficult/expensive/slow to measure by using the correlation pattern with the other variables in the process.

Repredict data – the process of reading data from the data source again, and then repredicting it. This effectively first deletes data, then reads it again, and then finally predicts it again.

Delete predicted data – the process of deleting already predicted data for a configuration.

Alarms – alarms are triggered when certain user specified conditions are met.

Univariate Alarms on x- or y-variables can be specified in the Target values page in the project configuration. They are always triggered at first value outside the defined limits.


Logging in and out in SIMCA-online and the user menu

The Log in dialog is used to connect to a SIMCA-online server.

When you start the client the first time, it will automatically try to connect to a Server running on the same computer. If the Server is running on a different computer, or the Server has not been started, the connection fails.

In the Log in dialog you provide;

  • The server to connect to

    • Type a server address: A server name or a fully qualified address, such as server.example.com. Optionally, specify the server port number to use by providing the port number after a colon. For example: server:port

    • Note: The port number you specify is the server's port number, as specified in the SIMCA-online Server Options utility. The default server port is 2371.

    • Use the drop down arrow to select among favorite servers. Click Favorites... to edit the favorite servers. See Edit Favorite Servers

  • The user name and password

  • Or, select Use Windows authentication (single sign-on) which uses Active Directory authentication.

Display the Log in dialog

To open the Log in dialog, click Not logged in, in the upper right of the ribbon, and then Log in.

Log out to switch to a different server

If the Client is connected to a server and you want to switch servers, click the server in the upper right corner, click Log out and then connect to the new server.

Clicking Log out closes all open projects and disconnects from the current Server.

Change password

Change password enables you to change your SIMCA-online password.

Active Directory authenticated users cannot change password in SIMCA-online. This is done in Windows.

My notifications

Click My notifications to see and edit your subscriptions to notifications. See Managing notifications: subscribing and editing.

My effective permissions

Click My effective permissions to see your permissions in SIMCA-online. They determine what you are allowed to do.

Administrators grant permissions to groups that users are members of. Learn more in Groups permissions page.


Edit Favorite Servers

Favorite servers are listed in the Log in dialog and is a way to quickly switch between servers. To edit the favorite servers, yo use the Edit Favorite Servers dialog. You open this dialog from the Log in dialog. See Log in/Log out.

Use the dialog to add, remove and edit favorite server.

Each favorite server consists of a name, the server address (for example server, or server.company.com), and the port number of the server.

Note: The server port has to be the same in the client as in the server configuration. The default server port is 2371.

Tip: an alternative to Favorites, is to use SIMCA-online Client Links to connect to specific servers. Shortcuts with these links can be put on a user's desktop, emailed or published to users using Active Directory group policies. Learn more in SIMCA-online client links (URIs)


Communication with the external system

In order to monitor SIMCA project data, SIMCA-online requires access to an external system, i.e. the process data, to read data and make predictions using the models. Process data comes from an interface (software) accessing the process databases on-line in real time.

Connection to external database

SIMCA-online connects to the external database via a SimApi, and samples the data in real time.

The process system, which we refer to as the external system, has a process database, PDB and often an historical database, HDB.

  • The PDB is similar to a process buffer and contains only the current values of all the process variables.

  • The HDB stores the historical values of the process variables.

SIMCA-online Server handles communication

The SIMCA-online Server handles the communication with the external system - process PDB and HDB. The SIMCA-online Server samples the PDB at regular intervals, the phase execution time, to extract the current value of the batch process.

SIMCA-online database stores all data

The batch data read by SIMCA-online as well as result variables computed by the model (output variables such as scores, distance to the model, predicted values, etc.), of both batch evolution models and batch level models, are stored in the SIMCA-online database, SDB (internal database created by SIMCA-online). The location of this database is specified in the SIMCA-online Server Options application on the first tab.


Electronic signature

Electronic signatures, in combination with the built-in Audit trail, enable compliance with 21 CFR Part 11. An electronic signature simply means that the user has to provide a comment and then confirm any change to the system by typing a user name and password.

The comment and who made the change is then available in the audit trails (configuration audit trail or server audit trail depending on which action required the electronic signature).

Electronic signatures can be enabled in the Miscellaneous settings page in SIMCA-online Server Options.

When enabled, the following actions in SIMCA-online require an electronic signature and are logged in the audit trail:

  • Adding and changing a project configuration.

  • Purge of projects and project configurations.

  • Resetting alarms.

  • Deleting predicted data.

  • Repredict.


Command line parameters

SIMCA-online has the following command line parameters:

/nosplash - prevent the splash window from being displayed.

/user UserName - attempt to log in as that user with an empty password to the server that was last connected to on this client.

/openuri URI - opens a SIMCA-online URI.

/w WorkspaceID/WorkspaceName - open a workspace from the server.

Use " " around UserName, URI or WorkspaceID/WorkspaceName if it contains spaces.


File tab

On the File tab the following is available:

  • Info to view server, configuration and project information.

  • New to create project directly in SIMCA-online without using SIMCA.

  • Open project configurations and workspaces.

  • Print to access the regular printing command such as print setup, print preview and print.

  • Share the current workspace or active plot by sending it via email.

  • Extract data from the external database.

  • Close to close the current configuration.

  • Help to view program and license information, version number, and copyright information. From here you can also access the help file and the Umetrics website.

  • Options to view and change general and plot settings.


Create Project

About Creating Project directly in SIMCA-online

It is possible to create project directly in SIMCA-online without using SIMCA first. This is done using a short wizard which guides you in providing the required settings to create a project, and then within minutes SIMCA-online:

  1. Obtains process data directly from a data source.

  2. Creates a SIMCA project process monitoring of either a batch process or a steady-state continuous process, using an automatic algorithm that builds on 30 years of Umetrics' data analytics experience.

  3. Automatically configures the project in SIMCA-online, connects it to the data source and starts execution to obtain live data.

  4. Opens a couple of plots in SIMCA-online enabling immediate multivariate process monitoring.

You can then work with SIMCA-online to explore a multivariate view of your process in real-time, as well as using univariate plots to look at data from the data source.

Benefits

Projects created by SIMCA-online this way are useful:

  • To quickly get started with multivariate process monitoring of a new process, and to quickly get a feel for the benefits of Umetrics multivariate process monitoring technology

  • If you are unsure of how to obtain data from your data source in a way suitable for process monitoring in Umetrics products

  • If you don't want to spend time in Umetrics SIMCA to create models manually. In fact, you don't even need to have SIMCA installed (or a license for it)

  • If you don’t want to wait for a Umetrics Data Scientist to create a custom model for your process data

  • If you don't want to spend time configuring projects in SIMCA-online or learn how to do it

Learn more: if you want to learn the necessary steps and people involved typically needed to install and configure SIMCA-online, see the SIMCA-online Implementation Guide. You'll notice that the Create Project feature significantly shortens the checklist of things you need to do to quickly get started with SIMCA-online.

Target processes and objectives

Create Project supports numeric data (not qualitative/category-variables except for batch identifiers) and two kinds of processes:

  • Continuous steady-state processes where the process is assumed to be stable (the goal is that all variables have basically the same values over time). For this process a single PCA monitoring model is created.

  • Batch evolution processes where each batch has a start time, and evolution, and an end. Batches are overlaid in plots and can be compared. For this process a single OPLS batch evolution model is created, and a single batch level model using raw variable data from the evolution model.

In both cases, if there are deviations in the process, the model will be able to show these using multivariate data analysis in SIMCA-online.

In addition SIMCA-online also supports looking at data without creating a model at all:

  • Data exploration project. This enables monitoring a continuous process using the full range of SIMCA-online trend and scatter plots. No model is created so there are fewer settings to be made. This is an easy way to start monitoring a process within seconds. SIMCA-online collects data for data exploration projects, so you can always create multivariate models later as is described below.

Limitations

Create Project creates PCA models (and there are no Y-variables). You can also only create a single batch evolution phase, and there is no support for batch conditions at the batch level.

You don't have the full control of the modelling process that you have in Umetrics SIMCA, but also you don't get the associated complexity.

We have target Create Project as a way to quickly get started with SIMCA-online.

How to Create a Project

Click File and then New to see the New page.

On this page you see the available process types that you can select; either a continuous process or a batch process. Hover the choices and you'll get an explanation of each on the page itself.

When clicking an option a wizard is then started that guides you through the steps required to create the project and open it in SIMCA-online. Note that the wizard allows you to go back and forth and change settings as needed until you are satisfied with the model that is created (the final page shows information about the created project before you click Finish to open it in SIMCA-online).

Note: for information about the required permissions to be able to create projects, see below (or reference?).

The wizard for creating a project looks slightly different depending on the process type;

Continuous process

For a continuous process the wizard looks like this:

As you can see the wizard consists of four pages. Follow the instructions on screen, and it will guide you to provide the necessary settings. Here we'll just briefly mention the purpose of each page;

  1. Select the data source tags with your process data, the sampling interval, and the time span to obtain data for. Click Next and the data will be obtained from the data source.

  2. You are presented with a spreadsheet showing all data.

    1. Here you can exclude rows or columns that you decide should not be included in the models. Hint: Use the Del-key on the keyboard to exclude rows, and the Ins-key to include rows (multiple rows at the time works fine).

    2. You can also change the variable names in the first row, by simply typing in the spreadsheet.

  3. On the Project Settings page provide the name of the project.

    1. If you like, you can also provide metadata for the project and configuration; such as model title, unit group, unit, product type, product name and geographic location. This metadata is useful for looking at data in the Unit Overview display in SIMCA-online or in Umetrics Suite Active Dashboard.

    2. If you want to control the algorithm that creates the models, expand the Automatic data cleaning category in the grid control and change settings there. You can also turn the algorithm off if you like to include all data in the model. See 'Automatic model creation algorithm' below for details about this.

  4. On the final Review Results page you get to see information about the created project.

    1. Here you'll get information about the model, how well it fits to your data (if it will be able to detect anomalies).

    2. You'll also get to see if data was excluded from your model by the automatic model creation algorithm.

    3. If you are not happy with your model you can go back in the wizard, and change parameters controlling the automatic model creation algorithm and click Next to create a new project.

    4. Click Finish when you're done.

After finishing the wizard, the project configuration is opened with a set of plots that you can immediately start working with. Recent data in the process are automatically predicted and will show up in plots after a couple of seconds. Live data is of course also available showing the current state of the process.

Batch process

For a batch process the wizard looks like this:

The wizard looks similar to the continuous case described above. Refer to the description there how to use it. The differences are;

  1. There is a new first page to select batch node. The batch node is required to execute batch projects in SIMCA-online, and when creating a project it is used to know which batches the include in the project, and their start- and end times. Hint: If you don't have a batch node you can use Batch Context Generator to create one from your process data by clicking the Batch contexts button. See Batch Context Generator.

  2. As before, you select tags, and time to define your process data.

    1. All batches in the batch node, that start and end within the time span you specify, will be included in the dataset.

    2. Note that you must include a tag that contains the batch identifiers in your process data. This means that if your batch node defines that a batch BatchABC123 exists, then a tag in your process data must contain BatchABC123 for all observations that are to belong to that batch.

    3. Hint: If you don't have such a tag you can again use the Batch Context Generator to automatically not just create a batch node, but also provide the batch identifier tag for you. See Batch Context Generator.

  3. As for a continuous process, you can exclude/include rows/columns and edit variable names. Excluding rows is useful to trim beginnings or ends of the batches, or to remove entire batches.

    1. Notice at the end of the page, that it tells you that for a batch process you must also select which tag contains the batch identifiers. Do this by clicking the drop-down in one of the column headers.

    2. You also have the option of specifying which tag contains the batch maturity in the same way. If you don't provide one the model will use automatic time that is incremented for each observations.

  4. The last two pages in the wizard have the same functionality as for the continuous case described above.

After finishing the project configuration is opened with a set of plots that you can immediately start working with. Recent batches in the process are automatically predicted and will show up in plots shortly. If a batch is running in real-time it will also show up.

Data exploration project

The wizard is a simplified and shortened version of the Continuous process wizard described above. It only contains of three pages:

  1. Select the data source tags with your process data and the sampling interval.

  2. On the next page you give the project a name.

  3. On the final page you just read the information text, and then click Finish.

After finishing the wizard, the project configuration is opened with a set of plots that you can immediately start working with. Recent data in the process are automatically obtained and will show up in plots. Live data is of course also available showing the current state of the process.

Required permissions

In order to be able to create a project in SIMCA-online you need the Create Projects permission. These permissions are always held by the built-in Administrator account, but can also be assigned to other users using SIMCA-online group permissions. User administration - Group permissions page.

Next steps: how to improve the created project?

The automatically created project can act a as a starting point for further data analysis.

You can open the created project in SIMCA if you have it installed on the computer where you run the SIMCA-online client (if you don't you can still save the project to your PC and send it to someone who has SIMCA). You do this on the View tab in SIMCA-online.

Any project executing in SIMCA-online automatically collects data from the data source at each execution interval. This means the Update SIMCA Project found on the Administration tab in SIMCA-online can be used to create an additional dataset in the project to be able to improve the model with more data in SIMCA.

In SIMCA you can then model your process manually to fine-tune your models. The updated project can then be pushed back into SIMCA-online, allowing real-time monitoring using your fine-tuned model.

Algorithm for automatic model creation

The algorithm for automatic model creation has been designed to automate certain data-cleaning steps that Umetrics years of experience have shown to be necessary to create good models. Specifically, the algorithm removes outliers determined by how well the data fits to the model. If an observation or batch is far away from the rest of the data it is classified as an outlier and be excluded. A new model is then created without the outliers. This process then repeats iteratively using different ways of detecting outliers. Details are given below.

You can control how the algorithm works by changing parameters in the Create Projects wizard on the Project Settings page. Refer to the descriptions on that page for detailed descriptions of each parameter.

The results of the algorithm are displayed in the last page of the wizard, where you also have the option of going back and changing parameters, or even going further back and changing what data to include. Then when you are satisfied with the resulting model you click Finish and open it in SIMCA-online.

Continuous process algorithm

Here is the algorithm for creating a continuous model:

  1. A PCA model is fitted.

  2. The values of Hotelling's T2 Range for all observations are analyzed.

    1. If the value is above T2Crit (at a configurable level, defaulting to 99.99%) all such observations are excluded from the model. Repeat from step 1, unless this is the last iteration allowed when we go to step 3.

    2. If no observations exists, go to step 3.

  3. Look for observations with DModX outside a configurable value (default 5).

    1. Again, if such observations exist, exclude them and refit the model. Only one iteration.

Available settings to control the algorithm are:

Batch process algorithm

The algorithm for a batch process is similar to the continuous case except;

  1. First batches of deviating length (measured in number of observations) are excluded (shorter or longer by a configurable value, defaulting to 30%). The model is refitted.

  2. The batch level model is used to look for batch outliers.

    1. All batches with Hotelling's T2 Range above the T2Crit (default 99%) limit are excluded. As above, this is an iterative process.

    2. All batches with DModX above the configurable limit (default 5), then those batches are excluded too.

Available settings to control the algorithm are:


Data exploration quick start

This section shows how to quickly get started with SIMCA-online to look at data from a process in plots.

Note: for detailed information about creating data exploration projects or projects for multivariate analysis, see Create Project.

Assumptions

This section assumes you have SIMCA-online installed, and that it has access to the data source you want to obtain data from.

Note that you can always use the database simulation tool DBMaker that is installed as part of a demo installation of SIMCA-online to try the data exploration feature (refer to the documentation that came with the installation for info on how to install this).

How to get started

  1. Log on to the SIMCA-online server as an administrator (so that you have permissions to create projects on the server).

  2. Click File and then New to see the New page.

  3. Hover the mouse over the Data exploration button. Read the information in the right part of the screen that explains what will happen.

  4. Click the Data exploration button to start the wizard:

  5. On the first page, select the data source tags (variables) that you want to see in SIMCA-online, and how often data is to be sampled. Read the description at the bottom of the dialog for each item for more information.

  6. Then click Next and provide a project name.

  7. Click Next again, and read the information on the page before Finishing the wizard.

  8. You are now prompted if you want to configure variable limits:

    If you click Configure limits you are taken to the project configuration page where you can specify limits:

  9. When you are done click OK to save the settings.

Now SIMCA-online automatically opens your new project with a couple of plots showing the first few variables in your process.

What's next?

Now it is up to you to look at your data. Here are some tips on what you can do:

  • Create a new Variable plot from the Home tab.

  • Change what variable is displayed in an existing plot by using the Variable box in the Properties group on the Home tab.

  • Right-click a plot, click Properties and then the Control chart filter tab to view EWMA, or other control chart filters.

  • Right-click a plot, click Properties and then the Color by and Size by tabs to add more dimensions to the same plot.

  • Right-click a plot, click Properties and then the Data vectors tab to add more variables in the same plots.

Want to try a multivariate model of your data?

If you want to try a multivariate model of your process, go back to File and click New again. This time select Continuous process with multivariate model and follow the instructions on screen.

The results will be similar to for Data exploration, but in addition you'll have a multivariate model of your process and can use the full range of SIMCA-online plots to monitor your process.


Info, File tab

The Info section on the File tab displays Server Information, Configuration Information, and Project Information.

Server Information

Under Server Information the following information about the SIMCA-online server is listed:

  • Version - software version including build and architecture (32/64-bit)

  • Host and port of the SIMCA-online server

  • Processor load - current server processor load

  • Require electronic signature - Yes if each change in the configuration or such requires a sign-off using electronic signature

  • SimApi connected - currently used SimApi.

Configuration Information

Under Configuration Information you can select one of the open configurations and see:

  • Modified date and time

  • Execution - On or Off.

Project Information

Under Project Information, information about the relevant project for the current project configuration is listed:

  • Name - project name

  • Original location - path to where the project was uploaded from

  • Uploaded - date and time for when the project was uploaded

  • Modified - save date and time for the original project.

  • Updated with data from SIMCA-online - date and time.

  • Generation - project version number.


Open

Open, File tab

In the Open section on the File tab, you can access all configurations and workspaces saved to file available for the client.

Recent items

Recent items lists the most recently opened configurations and workspaces saved to file.

Clicking the pin to the right of the recently opened project or workspace will pin that item to the top of the list.

Browse items

Browse items provides access to all configurations and workspaces saved to file available for the client. You can select to see available Workspaces and Configurations together or individually by clicking ALL, WORKSPACES, or CONFIGURATIONS.

For a project configuration to be known to the Server, it must have been added and configured in the Project Explorer pane in the Client.

For a workspace to be available, it must have been saved on the server by clicking Save workspace on the View tab.

More:

11 - Project explorer


Print, Print preview, Print setup

The standard print utilities are available by clicking File | Print.


Share, File tab

In the Share section on the File tab, you can share workspaces and plots.

Workspace

Send your current workspace, currently open plots, configurations and Unit Overview in your Client, in an email as an attachment. This file can then be opened in SIMCA-online by double-clicking it.

To be able to open this workspace, the recipient needs to have the SIMCA-online client installed, be able to connected to the server the workspace was created for, and have a user that has the permission to see the included configurations.

Active plot

The active plot can be shared, as an attachment via email, in the formats;

  • EMF - vectorized format that generally gives the best quality picture.

  • PNG - rasterized format that loses quality if scaled up.

  • JPEG - uses lossy compression and loses quality if scaled up.

More:

Project Explorer pane


Extract Data to Spreadsheet

Extract, available under File | Extract, uses SIMCA-online's ability to obtain data from data sources through SimApis. Thus it is useful:

  • after installing a new SimApi on a SIMCA-online server to test that the SimApi works as intended.

  • when troubleshooting project execution when you compare the data extracted from the data source with the settings made in the configuration. SIMCA-online 15 introduces an automated way to do this as described in Troubleshoot batch project execution.

  • when gathering data from a data source for subsequent model-building in SIMCA.

How to use

After clicking File | Extract a two-step wizard is started.

  1. You first select a set of tags (variables) in the data sources to obtain data for. See Extract Data - Select Tags

  2. Next you select which method to use to extract the data and the time range. See Extract Data - Select Extraction Method and Time Range

When you click finish, SIMCA-online will use the method you specified and query data from the tags you specified. A list is created with the extracted data.

You can save the list to file, by right-clicking on it and selecting Save as, or by using the Tools ribbon.

Hint: You can also copy and paste to other programs such as Excel.

Notes

  • Extract can handle two types of data; text and numerical. Text are used for batch- and phase ids, and numerical data for measurements. Missing values (no data) can also be returned. Date/Time values such as start and end time for batches or synthetic batch age tags for OBDC SimApis are not handled since Extract doesn't know how to interpret the data in those tags.

  • SIMCA-online will use the method you specified to read the data for the tags. The method corresponds to a function in the SimApi. Not all SimApis support all methods. See user guide of the SimApi you are using for more information.

  • If the data source and SimApi cannot obtain data using the specified method missing values are returned (or error logged depending on the SimApi).

  • You can extract data for tags across several SimApis at the same time, but you can only extract using one method at the time.

  • The SIMCA-online Server log file and the log file of the SimApi you are using will contain error and debug logging information to troubleshoot problems with Extract. See this knowledge base article for more information: umetrics.com/kb/making-use-simca-online-server-logging-finding-problems

  • Read more on SimApis at umetrics.com/simapi and in SIMCA-online Technical Guide.


Extract Data - Select Tags

On the first page you select which tags in the data source you want to extract data from.

  1. Under Data Sources all data sources currently known are listed. Each data source corresponds to a SimApi that is installed on the SIMCA-online server.
    Mark a node to view which tags are available.

  2. The tags of the selected node appear under Tags to the right of the data sources.
    Mark the wanted tags and click the down-arrow to select them, or use the Return-key to add them with the keyboard.

  3. The selected tags are displayed in the Selected tags for extraction list. Mark the selected tags, and use the X-icon or the Delete-key to remove tags from the list.

Note: Extract for Discrete data (method selected on the next page) requires that in addition to tags from a discrete node, one tag from the batch node is selected. The tag from the batch node is used by SIMCA-online to identify the batches to extract data for.


Extract Data - Select Extraction Method and Time Range

On this page you select extraction method and time range for the data.

SIMCA-online will use the method you specified to read the data for the tags. The method corresponds to a function in the SimApi. Not all SimApis support all methods. See user guide of the SimApi you are using for more information.

Data type | Description | Settings
Current data from continuous tags | Reads the most recent data from the data source. Always results in just a single observation (row) of data. | No settings.
Historical data from continuous tags | Read a block of observations for the time range and sampling interval selected. A SimApi typically can provide data at any interval, and what data you get depends on the SimApi implementation. A typical behavior is to return the most recent values at or before each sampling time. | From date/time and To date/time. Sampling interval also has to be specified. Select a interval that matches the project configuration execution interval if you are troubleshooting project execution.
Batch data from batch tags | Batch condition data for batches in the selected time range. Batch data typically is found in batch nodes. The resulting spreadsheet has one row per batch. | From date/time and To date/time. Click the Find batches button to locate batches in the time range and to see how many there are in the dialog. If there are no batches make sure you have selected a tag that has batch data (typically a tag from a batch node) or modify the time range.
Discrete data from discrete tags | Discrete data for batches in the selected time range. In order for SIMCA-online to know which batches to extract data for, you must select at least one tag in a batch node. This batch node is used to determine which batches to list discrete data for. | From date/time and To date/time. Click the Find batches button to locate batches in the time range and to see how many there are in the dialog.

Then use the Time range section to specify the range and sampling interval.

Hint1: To change the date, click the arrow to display the calendar.

Hint2: To change the time, start with the To time, position the cursor on the hours or minutes or seconds, and use the up and down arrows in the dialog or on your keyboard.


Close, File tab

To close the current project in the SIMCA-online Client;

  • click File | Close or

  • right-click the configuration tab and click Close or

  • middle-click the configuration tab.


Help

When clicking File | Help you see the following general information about SIMCA-online:

  • SIMCA-online version number of the client.

  • The SIMCA-online server license that is installed on the server you are logged in to. If you haven't logged in to a server this information is not available. The license information includes the expiration date, and which features are allowed.

  • Copyright information.

You can also click on the commands in the left hand side of the page to:

  • View help - shows the help file for using SIMCA-online. Help opens in its own window where you can use the browse through the contents, index, or search for keywords (tip: use quotation marks to search for "phrases like this").

  • Go to the Sartorius Stedim Data Analytics website.

  • Go to the knowledge base for Umetrics Suite products for up-to-date technical information.

  • Go to the Webshop where you can purchase and download other Umetrics Suite products.

  • Go to the SimApi web page where you can read more about SimApis - the software interfaces between the SIMCA-online server and data sources.


SIMCA-online options

SIMCA-online client options

You make settings for the client in the SIMCA-online Options dialog which is accessed from File | Options.

There are two categories of settings, each in its own tab:

  • General - settings that control the overall behavior of the client.

  • Plot options (per project configuration) - settings for the active project configuration that control things like the defaults for new plots.

These settings are made for each Windows user of a PC. Thus they are not shared between different Windows users of the PC, but also not between the same SIMCA-online user when using another PC.


SIMCA-online options - General

SIMCA-online Options, General tab

In the General tab, various options for the Client are available.

These settings apply for all project configurations you open on this PC. The settings on the General tab are made per Windows user on the PC by default, but this can be changed. See Client options - technical details.

Make settings in the dialog and click OK to save them. See the description of each item in the dialog, and refer to the text below.

The options available are:

Paths

Ini file – view or change the Client Ini file path where the settings on this page are stored.

Log file

Log file size (kB) – view or change the maximum Client Log file size.

Log level - view or change the minimum severity Log level for messages that should be written to the client log file.

Server log file

Max display size (kB) – view or change the Max display size which is the maximum log file size that will be displayed. If the log file exceeds the limit, the last max size part will be displayed. Default 10 kB.

Text editor - View or change the current Text editor when opening the log file. Default notepad.exe.

Miscellaneous

Info tip show level - View or change the Info tip show level, which is the minimum importance level of server messages to the Client, also shown as info tips. Default Warning.

Startup - Select what to do on Startup: (a) Show Connect to SIMCA-online Server dialog (default), (b) Show empty environment which results in that the client does not connect to the last server and does not display the Connect to Server dialog box. Default Show Connect to SIMCA-online Server dialog.

Session workspace - Select whether to open the last workspace or not. Default Open last workspace. With Open last workspace selected the current workspace is saved at close. See Workspaces

Plot engine - Switch between the available plot engines Direct2D and GDI+. The default is Direct2D.

Interface

Window tabs – Each tab represents an open project configuration or an open window such as a plot. The available settings are described in The SIMCA-online client windows

Rolling view – Rolling view is used to automatically cycle between open tabs at regular intervals. This enables hands-free monitoring of current activity. Learn more in Rolling view for hands-free monitoring.

Language - SIMCA-online has been prepared for translation into other languages but is currently only available in English.

Audit trail comparison tool

To see what differs between two versions of the configuration, the Audit trail comparison tool used from the Audit Trail views in SIMCA-online.

  • In File comparison utility select the file comparison utility to use. ExamDiff is automatically installed and used as the default comparison utility. For more about ExamDiff, visit http://www.prestosoft.com/edp_examdiff.asp.

  • The Command line parameters content specifies the command line parameters sent to the file comparison utility. Change this according to the documentation of the specified File comparison utility if changed from the default utility. $File1 and $File2 are expanded to the full paths of the files to compare.

The comparison tool is opened by clicking the Compare button after marking one or two versions in the configuration or server audit trails. When marking only one version, clicking the Compare button compares with version 1.


SIMCA-online options - Plot options

Plot options, SIMCA-online Options

Plot options under File | Options are settings for the active project configuration that mainly control the defaults for new plots. Individual plots can be changed using the Properties pane.

Plot options are made per project configuration. The configuration name is listed in the Plot options tab in the dialog:

Each Windows user on the PC has their own settings (not shared between users).

Make settings in the dialog and click OK to save them. See the description of each item in the dialog, and refer to the text below.

The available plot options are listed for batch projects and continuous projects below.

Plot options for continuous projects

  • Limit and annotation settings in Plot defaults.

  • Sorting and rearrangements of contribution columns in Plot defaults - contribution plots.

  • The Identifiers to be listed in plots and lists

Plot options for batch projects

  • Limit, annotation and control advisor series settings in Plot defaults for batch.

  • Sorting and rearrangements of contribution columns in Plot defaults - contribution plots.

  • Batch control chart settings in Plot defaults - batch evolution.

  • Batch level plot defaults in Plot defaults - batch level.

  • The Identifiers to be listed in plots and lists

  • The Production overview options.


Plot defaults in SIMCA-online Options Regular

Plot defaults for continuous projects

General plot defaults for continuous project configurations concerning limits, annotations and Control Advisor, are found in the Plot defaults section on the Plot options tab.

Show alarm limits

To show or hide the alarm limits of the current plot, select or clear the Show alarm limits check box. To show or hide the alarm limits by default, see the SIMCA-online options topic in Chapter 4, File.

Note: When displaying plots by clicking in the Production Overview pane, the created plots always display the alarm limits.

Read how to specify alarm limits for in the Alarms for regular section in Chapter 10, Project Explorer.

Show control limits

For continuous, select the Show control limits check box to display DCrit, T2Crit, Hotelling's ellipse, and standard deviation in the relevant plots.

Show annotations

To display notes for points for which a note has been added, select the Show annotations check box.

Show Control Advisor series

Control Advisor series are by default displayed. To not display these series, clear the Show Control Advisor series check box. Only applicable for configurations with Control Advisor set up.

Clamp plot axis ranges

A plot with clamped axis ranges shows just the normal range, and is never auto-scaled to show spikes in the data (hiding the other variation). Normal range is defined by the limits seen in plots, and other factors. Learn more in Clamp plot axis ranges.

Show workset observations

Show workset observations by default in worm or scatter plots. This setting can be overridden in each plot in its plot properties.

More:

Plot defaults - contribution plots

Identifiers


Plot defaults in SIMCA-online Options Batch

Plot defaults for batch

General plot defaults general for batch project models are found in the Plot defaults section.

Show annotation

To display notes for points or batches for which a note has been added, select the Show annotations check box.

Show alarm limits

To show or hide the alarm limits of the current plot, select or clear the Show alarm limits check box. To show or hide the alarm limits by default, see the SIMCA-online options topic in Chapter 4, File.

Note: When displaying plots by clicking in the Production Overview pane, the created plots always display the alarm limits.

Read how to specify alarm limits in the Alarms for batch evolution and Alarms for batch level sections in Chapter 10, Project Explorer.

Clamp plot axis ranges

A plot with clamped axis ranges shows just the normal range, and is never auto-scaled to show spikes in the data (hiding the other variation). Normal range is defined by the limits seen in plots, and other factors. Learn more in Clamp plot axis ranges.

More:

Plot properties of the batch evolution plots

Plot defaults - regular

Plot defaults - batch level


Plot defaults - contribution plots

The Plot defaults - contribution plots section holds default settings for the visualization of the contribution plots.

Sort variables by

In the Sort by variables box, select to default display the columns in contribution plots by Original sort order (default), Absolute value, Value or by Name. Sorting of the contribution plot can also be done using Sort on the Tools tab.

When the contributions are displayed in a Sources of variation plot and there are batch condition variables displayed as columns, the batch condition variables can be sorted.

Missing values first

Select the Missing values first check box to automatically display the variables with missing to the left in the plot. Only applicable when the sorting is by value or absolute value.

Zoom in on top variables

When the variables are sorted by Absolute value you can select to zoom in on the largest variables by entering a number in the Zoom in on top variables field. This option only takes effect when the default sorting specified in this dialog is Absolute value.

More:

Plot Properties dialog for batch evolution plots

Plot defaults - regular

Plot defaults - batch


Plot defaults - batch evolution

The Plot defaults - batch evolution section holds default settings for visualization of the batch evolution model control charts.

Layout

In the Layout box, select to default display the batch evolution control charts by Units or by Phases. See also the Layout box section in Chapter 6, Home.

Zoom in active phase

Select the Zoom in active phase check box to automatically zoom in the subplot displaying the phase of the currently active batch. For this option to take action Phases must be selected in the Layout box. Note that automatic zooming cannot be selected in the properties of the individual plot.

Show recent batches

Select to display or not display recent batches by selecting or clearing the Show recent batches check box.

How many batches that are considered recent is specified in the configuration.

Show target values

Select the Show target values check box to display the target values specified in the project configuration, in the plots for which target values were specified.

Read how to specify target values in the Specifying Target Values section in Chapter 10, Project Explorer.

Show subheader

Select the Show subheader check box to display the subheaders for all plots in multiplots.

Show T2Crit

T2Crit is by default displayed in the Hotelling's T2 plots. To hide these limits, clear the Show T2Crit check box.

Show Control Advisor series

To display the forecast and advised future series in batch evolution and batch level plots. Only applicable for configurations with Control Advisor set up.

More:

Plot Properties dialog for batch evolution plots

Plot defaults - regular

Plot defaults - batch


Plot defaults - batch level

The Plot defaults - batch level section holds settings for visualization of the batch level plots.

Layout

In the Layout box, select for the plots to display Individual models (default) or Combined.

Show recent batches

Select to display or not display recent batches by selecting or clearing the Show recent batches check box.

How many batches are considered recent is specified in the configuration.

Show workset batches

Select to display or not display workset batches in plots by selecting or clearing the Show workset batches check box.

Show significance limits

Select to display the significant limits in the score scatter plot, DModX plot, and Hotelling's T2Range plot by selecting the Show significance limits check box.

Significance level

In SIMCA you can define the significance level to use for DCrit, TCrit and T2Crit that best suit the data used to build the model. The default significance level is 0.05, which represent a confidence level of 95%.

In the Significance level field enter the significance level to use in the score scatter plot, DModX plot, and Hotelling's T2Range plot, or leave empty to use the significance level of each batch level model (this means that the significance level can be different in the different sub-plots per model).

Note: In existing plots you can right-click and go to Properties > Plot options, under Show significance limits, Significance level where you can enter the significance level for this specific plot.

Show standard deviation limits

Select to display the standard deviation limits in the score plot displaying one component by selecting the Show standard deviation limits check box.

Number of standard deviations

In the Number of standard deviations field, enter the number of standard deviations to display in the score plot displaying one component.

Show subheader

Select the Show subheader check box to display the subheaders in all plots.

Show Control Advisor series

To display the forecast and advised future series in batch evolution and batch level plots. Only applicable for configurations with Control Advisor set up.


Identifiers

Select the way you want variable and batch identifiers to be displayed in plots and lists. The details of the variable and batch IDs are displayed in the header row.

Variable ID

For regular projects

  • In the Variable ID box select:

    1. One of the available IDs to display the primary or secondary ID as in SIMCA.

    2. Alias to display the Alias specified in the project configuration.

  • Use the Start at and Length fields to define which part of the names to display.

Batch evolution

For batch projects, in the Batch evolution section

  • In the Variable ID box select:

    1. One of the available IDs to display the primary or secondary ID as in SIMCA.

    2. Alias to display the aliases specified in the project configuration.

  • Use the Start at and Length fields to define which part of the names to display.

Batch level

For batch projects with batch level models, in the Batch level section

  • In the Variable ID box, select:

    1. One of the available IDs to display as listed in the dataset spreadsheet in SIMCA.

    2. Phase to display the phase ID.

    3. Maturity to display the maturity of the variable. When the batch level holds summary variables, the maturity is the name of the function, for instance MIN or MAX.

    4. Source to display the source of the batch level variable, for instance t[1] or variable id.

  • Use the Start at and Length fields to define which part of the names to display.

Batch ID

For batch level plots displaying the batch ID, use the Start at and Length fields to define which part of the identifiers to display.


Production overview options

You can toggle the visibility of the workset batches category in Production Overview using its check box in SIMCA-online options - Plot options

You can also click the browse-button [image] to select a subset of workset batches if you don't want to display all of them:

To exclude batches, clear the Select all check box and then clear the check boxes of the batches to exclude.

Note: Multi selection is available in the Select Batches dialog. Consequently, if you mark several batches and then select or clear one of them, all marked batches will be selected or cleared.


Client options - technical details

The settings in both tabs of File Options (together with additional settings listed below) are stored in a folder on the client PC, that is unique to each Windows user.

The folder used is %APPDATA%\Umetrics\SIMCA-online\16.1. If you paste this into Windows File Explorer, it translates to a folder that looks like C:\Users\FirstnameL\AppData\Roaming\Umetrics\SIMCA-online\16.1).

These settings are stored in the folder:

  • the SIMCAonlineclient.ini file with all settings from the General options page.

    This file also specifies the known list of servers in the client, and the last used server.

  • the projectoptions.uxl file that contains settings for all project configurations where you have changed its Plot Options (changes are only saved when the default are saved).

  • the plot settings (Plot/glplotconfig.xml) that you can customize using Format Plot or the Appearance sub-pane of the Properties pane,

  • any plot settings templates you create from Format Plot (the Plot/Templates folder)

  • session workspaces (session[server.port].solws). See Workspaces.

  • the SIMCAonlineclient.log which contains log entries made by the client

As noted above, the settings are per user. The only setting that can be shared between users of a PC are the General options. This is described in Client options - technical details.

Some settings cannot be overridden

Some settings are made programmatically in SIMCA-online and cannot be fully controlled in settings. This includes the indication of the current observation with a larger point in plots, and colors of batches and trend series in plots. There are 16 colors, and the color used is determined from the internal batch number, or the type of data vector for continuous plots. The colors used can be changed in the glplotconfig.xml file, but that affects all coloring. An individual batch color cannot be overridden.

Tip: you can color by Batch Attributes to be able to differentiate groups of batches. See Batch Production Overview.

Sharing General options between users

If you want to share the General options between Windows users, instead of each user having their own settings, you can do so. However, there are some limitations;

  • this does not affect the Plot options or the other settings listed above, only the General options tab.

  • if you do this and two SIMCA-online clients use the shared settings at the same time, the settings will be overwritten each time a client is closed.

Start by configuring SIMCA-online as you like it for one user of the PC. As mentioned above, these settings will be stored in %APPDATA%\UCmetrics\SIMCA-online\16.0.

Then go to File | Options, on the General tab, and change the Ini Path to point to a shared location on the PC, for example D:\somefolder\SIMCAonlineclient.ini. Restart the client so that is uses the new location.

Note that all users need write-access to the selected folder to be able to save settings. By configuring read-only access for some users, those will not be able to save any settings.


Settings at many levels

In addition to the client PC settings described in Options and Client options - technical details, there are other settings that affect SIMCA-online.

The following table outlines available settings, where they apply and if they are shared between users. The Item listed first is the most global setting, and the last item is the most local.

Setting

Applies to

Shared with

SIMCA-online Server Options server-level settings on the server computer. See Configuration of the Server.

The project configurations contain settings like variable aliases, control limits and alarm limits to display in plots.

server

all users of the server

The default plot settings file on each client PC, glplotconfig.xml, located in C:\Program files\SIMCA-online. This file controls the default appearance of plots. It can be changed by an administrator using a text editor, or by copying a customized file from a user's client options folder. It can also be overridden by each user.

client PC

all users of the PC

The client options under File | Options where each Windows user on the client PC can change settings. See Options.

Windows user of the client PC

not shared

Workspaces. Workspaces save the properties and appearance of all plots in open configurations on the client. This includes plot settings.

Workspaces are saved on a server and can be shared between users, including on different PCs. Settings in a workspace override local settings on the PC.

users that open the workspace

users that open the workspace

Changes made to individual plots override settings read from a workspace. If a workspace is overwritten, it will contain the updated plot's settings.

each plot

not shared


Quick Access Toolbar

The Quick Access Toolbar is by default positioned at the top above the ribbon tabs and allows you to have your favorite commands easily accessible. The Quick Access Toolbar is standard in Windows software with ribbons.

The Quick Access Toolbar displays the following features by default:

  • Open (Ctrl+O) - to open a configuration or workspace.

  • Copy (Ctrl+C) - to copy the active plot or selection.

More:

Customizing Quick Access Toolbar


Customizing Quick Access Toolbar

You can add buttons to and remove buttons from the Quick Access Toolbar and also reposition the Quick Access Toolbar to below the ribbon.

Quick Access Toolbar menu

Quick Access Toolbar shortcut menu

Removing buttons from Quick Access Toolbar

To remove a button from the Quick Access Toolbar use one of the following methods:

  • Right-click the button and click Remove from Quick Access Toolbar.

  • Click the arrow to the right of the available Quick Access Toolbar buttons and clear the relevant check box.

Adding buttons to Quick Access Toolbar

To add a button to the Quick Access Toolbar, right-click the button on the ribbon and click Add to Quick Access Toolbar.

Moving the Quick Access Toolbar

To position the Quick Access Toolbar closer to the workspace you can select to position it below the ribbon by clicking the Show Below the Ribbon in the Quick Access Toolbar menu. Click Show Above the Ribbon to move it back to its original position.


Minimizing the ribbon

To maximize the area where plots and lists are displayed, you can minimize the ribbon so that it folds away like a menu.

The Minimize the ribbon command is available:

  • When you right-click a button in the Quick Access Toolbar.

  • In the Quick Access Toolbar menu.

  • When you right-click a button in the ribbon.

  • By clicking the arrow between the current server and the ?-mark to the far right of the tabs.


Copy and save plot

The Save Plot and Copy to Clipboard dialog boxes are very similar, merely the presence/absence of the Format drop down differentiates them. When copying, the plot format can be selected in this dialog box while, for save, it is selected in the Save As dialog which opens after OK.

Note: Copy plot is by default available on the Quick Access Toolbar. Alternatively use the keyboard shortcuts Ctrl+C/Ctrl+S to access copy/save plot.

Size preview

Selecting the Size preview check box displays the plot exactly as it will be saved or copied. This feature allows you to verify that the layout and text formats harmonize with the selected save/copy size before inserting/pasting it.

Print quality and plot format

The default print quality is 96 dpi. This is sufficient for the web and presentations, but not for high quality print where 300 dpi is recommended.

The plot formats available are Bitmap (BMP), EMF (only 2D), PNG, JPG, Encapsulated PostScript (EPS), and SVG (only 3D and only when saving).

Note: Using EPS with high dpi creates a very large plot file.

Size

The size of the plot is defined by the values in the Width and Height fields. These fields are automatically updated when switching between the predefined sizes in the Size box. Likewise, the content of the Size box is updated when changing the width and height.

Note: To keep the aspect ratio of the plot while customizing the size, select the Lock aspect ratio check box before changing.

The available options in the Size drop down box are,

  • Original size - the current plot size

Suitable for documentation

  • 600x375 - standard size

  • 300x300 - square, fits two side by side

  • 600x600 - square

Suitable for presentations

  • 755x465 - fits one plot per slide

  • 755x270 - fits two above and below

  • 375x465 - fits two side by side

Custom sizes

  • Add custom size - opens the Add Custom Size dialog box with the current plot size predefined. Clicking OK adds the specified size under the Custom sizes header.

Edit, delete and restore

To edit the current size, click the Edit current size pencil to the right of the Size drop down.

To delete customizations and restore the Size list to default factory content, click Delete customizations.


Home tab

The Home tab holds the commands most commonly used. On the Home tab you can:

  • Launch the SIMCA-online Web Client and connect to the server your are using

  • Display the Unit overview to display all units on the server that are used in project configurations you have access rights to.

  • Display the Project Explorer

  • Display the Production overview

  • Create plots

  • Change the properties of the active plot in the Properties group. This is only for continuous (non-batch) projects. For batch projects all such changes are made in the Properties pane.

  • Zoom, change selection type, clamp axis ranges to normal range, and sort in the Plot tools group. For more about the plot tools, see Chapter 9, Tools. All plots, except for the variable plots, display predicted values.

  • Manage notifications you are subscribed to.

Figure: The home ribbon for a batch project.

Figure: The home ribbon for a continuous (non-batch) project.

Learn more on the ribbon for Batch project or Continuous projects.


Unit overview

The Unit Overview shows the current activity in units on the SIMCA-online server.

The units listed are all units on the server that the logged in user has permissions to see, or just units in open project configurations depending on a setting in the toolbar. Units are specified for each project configuration on the Units group page of a batch configuration, or the Model page of a continuous configurations.

Triggered alarms do not linger and units where no configuration is active are gray signaling inactivity. For a continuous configuration activity is defined as simply executing, and for a batch configuration activity means a currently executing phase (striped in production overview). Notice that this means that as soon as a phase has finished executing (has an end time), it does not affect the unit's state in Unit Overview.

The list of units can be filtered by name or status as described below. A unit can be pinned to always be displayed on top.

Data displayed for each unit

Each unit is represented by a box in the Unit overview window. Units are sorted alphabetically.

Each box holds the following information:

  • The unit name, and a pin-icon. Click the pin-icon to always show the unit at the top of the list.

  • Current status:

    • green - when no alarm has been triggered, or if all alarms has been reset, or if there are no alarms configured at all

    • yellow - warning alarms have been triggered

    • red - critical alarms have been triggered

    • gray - no configuration is executing in the unit (for batch, no executing phase)

  • Configurations executing compared to configurations available in the unit (1/5 means that 1 configuration is executing out of the 5 available in the unit). Click a unit to open all configurations that are executing and have this unit.

  • Hover the mouse over the last row of a unit, so see a list of all project configuration for that unit.

Unit overview refresh rate

Unit Overview is refreshed every 10 seconds if you show all units on the server, but if you only show units in open configurations, data is refreshed more frequently.

Unit overview is a dockable pane

Unit Overview is a dockable pane. This enables you to position it anywhere you like and resize it as needed, and you show plots at the same time.

As with all panes, you can show and hide it on the View tab. You can also click the button in the Home-tab to show the Unit Overview.

You can unpin the Window so that it hides when not needed, by clicking the pin icon in the pane's upper right corner. This enables you to use it as a way to quickly open projects configurations by clicking a unit, without the unit overview staying visible afterwards.

You can also drag the pane out of the SIMCA-online client, for example to display it on a second screen.

Toolbar button 'Only show units in open configurations'

This toolbar button makes the Unit Overview focused on the project configurations you are looking at, instead of always loading and showing all units on the server. It also significantly improves performance, since no additional data needs to be read from the server at each update.

Filter field in the toolbar

Use the Filter units field to filter what is displayed in the Unit overview.

From the filter menu you can select a few predefined filters, that allows you to focus on for example units with alarms, or units that have current activity (see screenshot above).

More:

User administration

Active Directory authentication


Home tab for batch

Home tab for a batch project

The Home tab for a batch project is where you can

  • use the shortcuts to the Web Client and panes, and My notifications as described in 06 - Home.

  • create batch evolution plots:

    • Scores

    • Hotelling's T2

    • DModX

    • Variable

    • Dual Variable

    • Y Predicted

  • create batch level plots:

    • Scores including Score scatter

    • Hotelling's T2

    • DModX

    • Variable

    • Y Predicted

    • All Y Predicted

  • work with plots using the Plot tools group, which displays a sub set of the separate tab Tools.


Batch evolution plots

In the Batch evolution plots group on the Home tab, find the control charts: Scores, Hotelling’s T2, DModX, Variable , Dual variable, and Y predicted .

Batch evolution plots display active and historical batches and the appropriate limits for the respective plots. Batches with observations outside the limits are in some way different from the workset batches.

More:

Batch evolution plots background

Not Available instead of plot

Scores

Hotelling's T2

DModX

Variable

Dual Variable

Y Predicted

Control Advisor plots

Calculating limits to build control charts


Score plot - Batch evolution

Score

Batch Evolution control chart for the scores (T) of the active batches. The default is to display scores for the first component, t[1].

More:

Displaying triggered alarms

Batch plot properties pane

Contribution plot from score plot

Customizing plots using Format Plot


Displaying triggered alarms

When alarms have been defined, triggered alarms are displayed as described in the Alarm visualization section in Chapter 8, View.

More:

Alarm visualization

Batch plot properties pane

SIMCA-online options


Hotelling's T2Range plot - Batch evolution

Hotelling’s T2Range

Batch Evolution control chart of Hotelling’s T2Range. The default is to display from component 1 to the last component. For OPLS the last component includes the last orthogonal component and the range cannot be changed.

More:

Displaying triggered alarms

Batch plot properties pane

Contribution plot for Hotelling's T2Range

Customizing plots using Format Plot


DModX - Batch evolution

DModX

Batch Evolution control chart of the distance to the model, DModX, after the last component.

More:

Displaying triggered alarms

Batch plot properties pane

Contribution plot for DModX

Customizing plots using Format Plot


Variable plot - Batch evolution

Variable plot for batch evolution

Batch Evolution control chart of the individual variables. By default the first variable available is displayed.

The normal variability is described by the standard deviation limits. This chart is often referred to as a 'SPC' (statistical process control) chart.

Use the Properties pane to switch variable.

More:

Batch plot properties pane

Customizing plots using Format Plot

Displaying triggered alarms


Dual variable plot - Batch evolution

Dual variable

Batch Evolution control chart of two variables. By default the first and second variables available are displayed.

Use the Properties pane to switch variables.

The plot is opened by clicking Dual variable in the Batch evolution plots group on the Home tab.

More:

Customizing plots using Format Plot

Batch plot properties pane

Displaying triggered alarms


Y predicted - Batch evolution

Y Predicted

Batch Evolution control chart of predicted maturity (Y). This chart indicates if the production is producing faster or slower than the model.

More:

Displaying triggered alarms

Batch plot properties pane

Contribution Predicted Y Plots

Customizing plots using Format Plot


Control Advisor plots for batch evolution

Control Advisor plots - Batch evolution

Batch Evolution control charts with Control Advisor active display one (Forecast) or two (Forecast and Advised future) additional series. The Forecast series is displayed in a lighter color than the regular predicted series but with the same symbol, while the Advised future is displayed in yet a lighter color and with symbol Box.

More:

Displaying triggered alarms

Batch plot properties pane

Contribution plot from score plot

Customizing plots using Format Plot


Empty instead of plot

When the space where you expected a plot is empty, the reason is one of the following:

  • There is no data to display.

  • The plot cannot be displayed since some of the necessary variables and/or components are missing. Can happen for subplots.

  • The x-axis annotation is too large.

To switch variable or component, use the Properties pane.


Batch level plots

In the Batch level plots group on the Home tab, find Scores, Hotelling’s T2, DModX, Variable, Y predicted , and All Y predicted.

The Score Scatter plot can be opened from the Score menu.

The batch level plots by default display the completed batches (Recent batches) in a plot grid with one plot for each model. Using the Layout box, the plot can be displayed one for each plot type so that the prediction for each model is displayed for each batch. See also the Layout box for batch level topiclater in this chapter.

With hierarchical models or partial models, you can also display the active batches as they are still evolving in the batch evolution level. Without hierarchical or partial models, active batches are unavailable in the batch level plots.

How many batches are considered recent is specified in the configuration.

More:

Not Available instead of plot

Scores

Hotelling's T2Range

DModX

Y Predicted

All Y Predicted

Variable

Control Advisor plots

Layout box


Scores - Batch level

Scores

The Batch Level Score plot is a scatter plot of a score vector; scores for the first component are shown by default, t[1].

Use the Properties pane to switch layout between individual and combined.

More:

Batch plot properties pane

Customizing plots using Format Plot


Score scatter - Batch level

Score scatter plot

The Batch Level Score Scatter plot displays the scores. The default is to display the first two score components, e.g. t[1] vs. t[2], t[1] vs. to[1].

The plot can be displayed Individual models (default) and as Combined using the Layout settings in Properties Pane. When Individual models is selected the Hotelling’s T2 ellipse (99%) is also displayed.

Figure: Batch Level Score Scatter plot Individual models

The plot is opened by clicking Score and then Score Scatter in the Batch level plots group on the Home tab.

More:

Batch plot properties pane

Customizing plots using Format Plot


Hotelling's T2 Range - Batch level

Hotelling’s T2

The Batch Level Hotelling’s T2Range plot is a scatter plot displaying the distance from the origin in the model plane (score space) for each selected batch. The default is to display from component 1 to the last component. For OPLS the last component includes the last orthogonal component and the range cannot be changed.

The plot can be displayed Individual models (default) and as Combined using the Layout box to switch.

Figure: Batch Level Hotelling's T2Range plot Individual models

More:

Batch plot properties pane

Customizing plots using Format Plot


DModX - Batch level

DModX

The Batch Level DModX plot is a scatter plot displaying the distance to model after the last component.

DModX is proportional to the RSD (Residual Standard Deviation) of batches in the X space.

The plot can be displayed Individual models (default) and as Combined using the Layout box to switch.

Figure: Batch Level Distance to Model X plot Individual models

More:

Batch plot properties pane

Customizing plots using Format Plot


Variable plot - Batch level

Variable plot

The Batch Level Variable plot is a scatter plot displaying the selected variable. By default the first variable in the variable list is displayed.

Use the Variable setting in Properties Pane to switch variables.

The plot can be displayed Individual models (default) and as Combined using the Layout box to switch.

Figure: Batch Level Variable plot Individual models.

More:

Batch plot properties pane

Customizing plots using Format Plot


Y Predicted - Batch level

Y Predicted for batch level

The Batch Level Y Predicted plot is a scatter plot, default displaying the predictions of the first y-variable. When the y-variable is a batch condition and it's tag has been associated with a variable feeding with the observed values, these are also displayed in this plot.

The plot can be displayed Individual models (default) and as Combined using the Layout box to switch.

Figure: Batch Level Y Predicted plot Individual models.

The confidence intervals displayed in this plot were derived from Jack-knifing. For details about Jack-knifing, see the SIMCA user guide.

More:

Batch plot properties pane

Customizing plots using Format Plot


All Y predicted plot

All Y Predicted

The Batch Level All Y Predicted plot displays the predictions of all y-variables in the same plot. When the y-variable is a batch condition and it's tag has been associated with a variable feeding with the observed values, these are also displayed in this plot. The predictions of all y-variables are displayed for each batch in this plot.

Figure: Batch Level All Y Predicted plot.

The plot is opened by clicking Y Predicted and then All Y Predicted in the Batch level plots group on the Home tab.

More:

Batch plot properties pane

Customizing plots using Format Plot


Control Advisor plots for batch level

Control Advisor plots - Batch level

Batch level plots with Control Advisor active display the Forecast and optionally the Advised future points after the first control maturity until the batch has finished and the regular predicted batch level point is displayed. The Forecast and Advised future points are displayed in a the same color and shape in the batch level as in the batch evolution plots.

More:

Displaying triggered alarms

Batch plot properties pane

Contribution plot from score plot

Customizing plots using Format Plot


Batch plot Properties pane

The Properties pane shows the properties for the active plot. Any changes you make are immediately applied. Learn more about Properties pane.

Note: If you want to change the default settings that affect new plots for the open configuration, go to File | Options, and the Plot options tab.

The available properties for a batch plot are:

  • Y-axis for specifying the data to see for score plots; t[1], t[2], etc

  • Components - specify component range for T2Range plots, or specify x-axis and y-axis in batch level score plots. For OPLS, the components are locked to displaying from first predictive to last orthogonal.

  • Variable - select variable in variable plots

  • Layout - select how sub plots are used to visualize multiple phases, units or batch level models. Learn more in Layout.

  • Color by - add an additional dimension in the plot by coloring the points in the plots by other data. See Color by and size by.

  • Size by - add an additional dimension in the plot by sizing the points in the plots by other data. See Color by and size by

  • Control limits - select the limits to display: +3, +2, +1, -1, -2, -3 std. dev. (standard deviations), Average (batch). Default is to display +3 standard deviations and the Average. To add/change limits to choose from, see the Control limits section in Chapter 10, Project Explorer.

  • Alarm limits - alarm limits for multivariate alarms, and for univariate target value alarms.

  • Annotations - display icons for notes and for alarms in plots.

  • Subheader - the sub header is typically the model name

  • Active batches - the currently executing batches

  • Recent batches - batches that have executed within the Recent time range for the project configuration. See Time ranges. In evolution plots, these are displayed as lines without point symbols.

  • Select batches button. Displays a dialog for selecting older batches in the plot. Selected batches are displayed with point symbols. Select batches in Plot Properties.

  • Significance limits for batch level DModX and T2Range plots. Use the model signifiance as configured in the SIMCA project, or enter a custom value. 0.0.1 means 99%.

  • Standard deviation limits for batch level score plot - change the number of standard deviations by providing a number

To modify the visual appearance of plots, use the Appearance sub-pane as described in Properties pane.

Contribution plots have no properties, except a page displaying which observations were used to calculate the contributions. See Contribution observations.


Layout box

Layout for batch evolution plots

In Layout in Properties pane, select whether to view the batch evolution plot by Phase or by Unit (default).

  • When displaying the plot by Phase the phases are displayed one after the other from left to right in the model order.

  • When displaying the plot by Unit the cells are displayed to visualize according to the unit group and units in the configuration.

See also the Plot defaults - batch evolution.

Layout for batch level plots

In Layout in Properties pane for batch level plots, select whether to view the plot as Individual models (default) or Combined in one plot.

  • When the plot displays Individual models (subplots), the predictions for each batch level model are displayed in one plot.

  • When displaying the plot Combined, the plot is reorganized to display the predictions for all models for each batch. The batches are displayed on the x-axis, one after the other from left to right, in the order the batches were executed.

See also the Plot defaults - batch level.

Layout for batch level contribution plots

The default batch level contribution plot is displayed in a Sources of variation plot.

To change to a column plot, use Layout in Properties pane.


Color by and size by

About

'Color by' and 'Size by' are used in plots in SIMCA-online to add more dimensions in a plot by coloring the points in the plots by different data than is already seen in the plot, or by sizing the points by the value of the data.

Thus, if a normal plot shows time on the X-axis and t[1] (the first score component) on the Y-axis, it can be improved by 'Color by' and 'Size by' by coloring points according to the value of T2Range and sizing them by the value of DModX, thus effectively making the plot four-dimensional.

How to use Color by

In the Properties pane you can specify settings for color by.

Continuous coloring

To apply a continuous coloring, select "Value of data" and a vector to color by. Each point in the plot will now use a color scale ranging from blue to red. If the vector for some reason is missing a value it will be represented with a gray color. The colors can be changed in format plot to any user-defined value.

Categorical coloring

For batch projects it is also possible to use categorical coloring. This could be categorical values taken from metadata, from the configuration layout, or from batch attributes.

For categorical coloring there are 16 colors and a gray color indicating missing values.

Colors are assigned using a hashing algorithm which means that different categories might end up with the same color.

Also two values that are close to each other will get different colors (this is not continuous coloring). For example a batch attribute with values 1.0 and 1.0001 would result in two different colors.

Notes bout coloring by batch identifier

When coloring by batch identifier, the internal numerical id is used with a modulus calculation. This means that subsequent batches in production will get different colors. However it also means that if you repredict a batch, that batch gets a new number and thus a new color. You can work around this problem by using Batch attribute coloring, and color by a batch attribute instead. If you make the batch name available as a batch attribute in your data source and use that, it means that colors remain after repredict.

Defaults

For batch projects the default choice for Color by is by Batch identifier. This means that the same batch always has a particular color in all plots (see above under Category coloring).

For a continuous project, the default choice for Color by is by Type of data. This means that the same data vector (such as DModX or t[1]) always will use the same color.

How to use Size by

Right-click in a plot and select properties, on the Size by page is it possible to select the values from different vectors to inflect the size of each point in plot. If the value for the Size-by vector is missing the default size will be used for that point.

Defaults

The default choice for Size by is by "Current observation". This alternative means that the current observation is always drawn at twice the size. This makes it easy to spot the most recent observation.

About plots with many sub plots

Plots with many smaller subplots in them, such as batch evolution level plots with more than one phase, may not display the same data in all phases. If you select to color by one variable or data vector only subplots that show that data will be colored or sized by it. If the values are missing it will be grey or use the default size.

For example one phase can have maturity $Time while another has the variable MyMaturity. If you select to color by MyMaturity, the color in the first phase will be grey, because there are no values for MyMaturity in that plot. For this example a better solution would be to color by the special data vector Maturity which always translates to the correct maturity in each phase.

This also applies to batch level plots which can show different data in different sub plots.


Selected observations in Plot Properties

Observations used in contribution plot

Contribution plots are displayed for one point/group of points versus another point/group of points/average.

In the case with groups, use the Selected observations page to see which points were included in the group.


Select batches in Plot Properties

Select batches

By default the most recent historical batches are plotted in the background. The number of recent batches displayed is specified in the Time ranges page in the Configure dialog.

Change which batches are displayed in the current plot by specifying a new time range in the Select batches tab in the Plot Properties dialog.


Home tab for regular

Home tab for a continuous project

The Home tab for a continuous project is where you

  • use the shortcuts to the Web Client and panes, and My notifications as described in 06 - Home.

  • create plots (The number of observations displayed in a plot by default is specified on the Time ranges page of the project configuration):

    • Scores

    • Hotelling's T2

    • DModX including PModX

    • Worm

    • Y predicted

    • Trend plot, Scatter plot

    • Control Advisor plots for regular

  • work with plots using the Plot tools group, which displays a sub set of the separate tab Tools.

  • step back, pause/start, step forward the current plot so that it display a different time window


Score Trend Plot

Scores

Trend plot displaying scores (T). The default is to display t[1].

More:

Contribution plot from score plot

Customizing plots using Format Plot


T2Range Trend Plot

Hotelling's T2Range

Trend plot of Hotelling's T2Range. The default is to display from component 1 to the last component.

For OPLS the components are locked to 1-last.

More:

Contribution plot for Hotelling's T2Range

Customizing plots using Format Plot


DModX trend plot

DModX

Trend plot of the distance to the model, DModX, after the last component.

From the DModX menu, the trend plots for DModX+, PModX and PModX+ can be displayed. Trend plots of PModX and PModX+ display of the probability that each point belongs to the model.

More:

Contribution plot for DModX

Customizing plots using Format Plot


Worm plot

The Worm Plot displays:

  • Scores, default the first two components, e.g. t1 vs. t2 or t1 vs to1, as a line plot.

  • Head (larger circle) of the worm (line).

  • The workset observations.

  • Hotelling’s T2 ellipse.


Y Predicted trend plot

Y Predicted

Trend plot of observed and predicted y-variables. By default the first y-variable is displayed.

See also the Data vectors and Plot options topics later in this chapter.

More:

Customizing plots using Format Plot


Custom plots for regular projects

Custom plots

Use Trend and Scatter to create plots using any combination of vectors. Trend and Scatter are found in the Custom plots group on the Home tab for regular projects.

When clicking Trend or Scatter a dialog opens allowing you to select which vectors to plot.

Identifiers are displayed according to plot defaults in SIMCA-online options.

Note: To switch component or variable, click the (blue) number/variable ID and select another one.

More:

Customizing plots using Format plot


Control Advisor plots for regular

Control Advisor plots - Regular

Control charts with Control Advisor active display one (Forecast) or two (Forecast and Advised future) additional series. The Forecast series is displayed in a lighter color than the regular predicted series but with the same symbol, while the Advised future is displayed in yet a lighter color and with symbol Box.

More:

Appendix B: Control Advisor

Displaying triggered alarms

Properties group

Properties of the batch evolution plots

Contribution plot from score plot

Customizing plots using Format Plot


Creating and using variable plots

Variable plots for continuous projects

There is a Variable button on the Home tab that opens a trend plot with the first available variable when clicked on.

If you click on the arrow below the button it shows a filterable window with all available variables and when you select your desired variable a trend plot with this variable is opened.

When already viewing a variable trend plot it is easy to change the variable to another by clicking the Variable combo box in the Properties group on the Home tab. Just as the Variable button, a filterable window pops up, when clicking a variable the plot will update. In the case that there is a variable plot with many variables, changing variable this way will only change the first variable in the plot. It is also possible to change variable by using the up and down arrow keys on the keyboard, just like a variable plot in a batch project.

The list of variable also shows optional variables that are excluded from the model, but still connected to data source tags in SIMCA-online. Learn more in Monitoring variables excluded from models.


Continuous plot properties

For continuous projects, properties for the active plot are found in the ribbon on the Home tab, and in the Property pane:

Properties group for continuous

The Properties group on the Home tab of the ribbon for continuous processes contains the stepping buttons and the Pause button. Pausing affects only the active plot (it does not affect project execution). Stepping is done in steps of 10% of the total window length.

The Plot Properties dialog for the current plot is opened by:

  • clicking the Properties group dialog dispatch launcher on the Home tab or

  • right-clicking the plot and clicking Properties.

The Plot Properties dialog tabs: Plot options, Data vectors, Control chart filter, Time, Size by, Color by, and Selected observations (contribution plot only) are described in the sections that follow.

Continuous plot properties pane

The Properties pane shows the properties for the active plot. Any changes you make are immediately applied. Learn more about Properties pane.

Note: If you want to change the default settings that affect new plots for the open configuration, go to File | Options, and the Plot options tab.

The available properties for a continuous plot are:

  • Variables - select the data to display in the plot. Multiple data vectors can be displayed in the same plot. You can also select to display different data on different y-axis to scale data independently in the plot. See Data vectors and Independent scaling of series in a plot.

  • Color by - add an additional dimension in the plot by coloring the points in the plots by other data. See Color by.

  • Size by - add an additional dimension in the plot by sizing the points in the plots by other data. See Size by.

  • Alarm limits - alarm limits for multivariate alarms, and for univariate target value alarms.

  • Control limits - Depending on plot, the relevant critical limit or standard deviation limits are displayed.

  • Workset observations - scatter plots can display workset observations, i.e. the data used in the SIMCA model when creating the project. Workset observations are displayed as light grey circles.

  • Lines - for scatter plots you can display line between points, to highlight the temporal relationship between data. Turning off the line can be useful if the line is in the way of observations and makes the plot hard to interpret.

  • Annotations - display icons for notes and for alarms in plots.

  • Control Advisor series - toggle the additional control advisor series in the plot for configurations using Control Advisor.

  • Apply control chart filter button - control chart filtering can be applied to a trend plot. Learn more in Control chart filter.

  • Select time range button - Specify the time window displayed in the plot, and if it should update automatically. See Time.

To modify the visual appearance of plots, use the Appearance sub-pane as described in Properties pane.

Contribution plots have no properties, except a page displaying which observations were used to calculate the contributions. See Contribution observations.


Data vectors in Plot Properties

Data vectors

In the Data vectors page you can change vectors to display, remove vectors, add new vectors, and change components.

Actions available:

  • Remove all vectors by clicking Delete all in the header.

  • Remove a vector by clicking the delete-button.

  • Add a vector by clicking the new-button at the bottom of the list.

  • In the Type column, change the displayed vector by clicking the vector and selecting a new vector in the list that expands.

  • In the Vector column, change components or variables by clicking the blue item to change.

  • In the Vector column, display all components or variables by right-clicking the blue item and clicking Expand.


Independent scaling of series in a plot

SIMCA-online trend plots can show multiple data series in the same plot. This makes is possible to compare how two variables evolve over time in a single plot instead of having to create two plots side by side. However, if the data range of the two series in the plot are very different it will be hard or impossible to see the trends because that both series share the same y-axis scale as you can see in this plot where both series look like flat lines.

To make the above plot readable you have the option to specify that the second series uses another y axis. This means that both series will scale independently and the plot looks like this:

How to scale a series separately

In any supported plots, add at least two series by going into the plot properties (rich-click on the plot) and on the data vector tab add two series.

For one of the series, select to show it on the Y2 axis. Click Apply (or OK) to apply the settings. Now the series will scale independently. Limits such as alarm levels attached to the series will use the correct axis scale too.

Note; if you add more series to the plot, you can also uses more y-axes such as Y3, Y4 and so on.

Supported plot types

Scaling series independently works for trend- and scatter plots in continuous (non-batch) projects.

Most batch plots show only a single variable at the time, so there this functionality is not available.

See also

An alternative way of showing more dimensions in the same plot is to use the Color By and Size By functionality as described in Color by and size by.


Control chart filter

Control chart filters

The regular trend plots can all be turned into control charts by applying a control chart filter in the Control chart filter tab in the Plot Properties dialog. The available filters are Shewhart, EWMA, and CUSUM. For all control charts there are a number of settings, which can be customized or left default, available under Filter settings.

When selecting Shewhart, Mean/Range or Mean/StdDev must be selected. In addition to the displayed control chart for the selected vector, a second plot displays the range or standard deviation within the groups in a second subplot. These second subplots are only meaningful with sampling greater than 1.

Note: Changes in options in the Plot Properties dialog apply to the current plot only.


Time in Plot Properties

Time

In the Time page you can select to display a specific interval in time by changing the From and To dates and times. This applies only to the current plot.

The default is to Automatically update to show the latest available data on the server.


Color by in Plot Properties

Color by in Plot Properties for continuous

On the Color by tab you can select to color the plot line and symbols either by Type of data (default) or by Value of data.

To color by Value of data you have to select a vector to color by and click Apply. The coloring is present in the current plot only.


Size by in Plot Properties

Size by in Plot Properties for continuous

On the Size by tab you can select to size the plot symbols either by Current observation (default) or by Value of data.

To size by Value of data you have to select a vector to size by and click Apply. The sizing is present in the current plot only.


Properties pane

The Properties pane makes properties for the active plot easily accessible allowing quick edits of the contents of the active plot, or the appearance of the plot. Changes made in the pane are immediate and immediately applied to the plot.

Learn more about the Batch plot properties pane and Continuous plot properties.

To display the pane, press Alt + Enter, or right click a plot and click Properties, or select the Properties check box on the View tab.

By clicking the drop down arrow in the upper right, or by clicking anywhere outside the plot area (for example the title), you can switch to the Appearance sub-pane, where you can control the look of the plot. The settings here correspond to the ones that can be found in the Format plot dialog.

The Properties pane consolidates settings from the three different places where they could be found before SIMCA-online 16: the Properties dialog, previously available from the context menu of a plot, the Properties group on the Home tab, Format plot dialog where you can control the appearance of plots.

Note that for a continuous project configuration, there still is the ribbon group to pause a plot, or page back and forth in the data as described in Continuous plot properties.


Clamp axis ranges in plots

Clamp plot axis ranges

Sometimes a spike in data makes a plot autoscale to show the spike, but at the same time hiding the normal variation in the other data (for example batches without the spike). In these situations, the Clamp axis ranges feature is useful. Clamping overrules autoscaling and instead scales the plot to the normal range of the data that is displayed.

The following picture shows the same plot without and with clamping:

A plot is only clamped if data is outside the normal range. 'Normal range' is defined to be the range that spans the control- and alarm-limits displayed in the plot, or for contribution plots the range [-20, 20]. Note that this means that if a plot shows no limits, or even a single limit, clamping will not work. Add additional limits to make clamping work.

Clamping works for the y-axis in all plots, and for the x-axis in scatter plots, both for continuous and batch project configurations.

The x-axis in batch evolution plots is also clamped. In this case the workset range of the maturity is used to define the normal range.

Note that clamping and manually zooming cannot be used at the same time. If you want to zoom manually, turn off clamping for that plot first. Otherwise the plot will automatically rescale to the clamped mode as soon as the plot is updated (for example when more data arrives).

How to use

Toggle clamping by clicking 'Clamp axis ranges' in the Plot tools group on the Home-tab. This allows you to quickly switch between modes to investigate both spikes, and the normal variation.

The default behavior of clamping axis ranges in new pltos can be set in File > Options, under Plot options.


Subscribing to email notifications

Managing notifications: subscribing and editing

This topic is about subscribing to notifications and editing them. About Notifications.

To subscribe to notifications, you need to be logged on to a SIMCA-online.

  • Each user can click the My Notifications button the ribbon, or in the user menu on the Home-tab to manage his or her own notifications.

  • An administrator that has the Manage Notifications permission can click the Manage All Notifications button on the Administration tab to manage notifications on the server for all users and all configurations, as well as the Windows Application Event log.

The dialog that is used to manage notifications has two pages which are described below;

  • Summary shows your recipient email address, and how many subscriptions you have. You can also edit them.

  • Details show all your subscriptions over all event types and project configurations. Here you can group and sort as needed and easily remove subscriptions and edit them.

Subscription summary

On the Summary page you can see how many subscriptions you have and you can edit your email address. Double-click the email address to edit, alternatively mark the recipient and click Edit email. Double-click a recipient to edit the subscriptions, alternatively mark the recipient and click Edit subscriptions. This starts the Edit subscriptions wizard, explained below.

If you get here from My notifications, you will only see your own recipient. An administrator that comes here from Manage all notifications will see all recipients on the server.

Subscription details

On the Details page all subscriptions are shown in a different way to make it easy to remove individual subscriptions over many configurations at once.

If you get here from My notifications, you will only see your own subscriptions. An administrator that comes here from Manage all notifications will see all subscriptions on the server.

A list of all subscriptions are displayed. The sort and group feature in the list can help you find what you want. For example you may want to;

  • Sort by event type, by clicking the Event header, to quickly find all subscription for a particular event type.

  • Sort by project configuration to find all subscriptions for a particular project.

  • Sort by recipient to quickly see all subscriptions for a particular user.

  • Drag the header Recipient to the box above the list to group by recipient.

Once you have found the subscriptions you want to delete, select them and click the Delete button. It is also possible to edit a subscription by either double clicking it or selecting it and clicking on the Edit subscriptions button. This will open the subscriptions dialog and let you add and remove subscriptions for that particular user and project configuration.

Edit subscriptions wizard

The wizard has the following steps,

  1. Select the project configurations requiring notifications. The list of configurations is grouped by project, and does not show the entire hierarchy like the Project Explorer does. The filter box filters on configurations name and can help you find the configuration you're looking for. If you don't select a configuration only server event types are listed on the next page.

  2. Next select the event types you want to subscribe to. Server event types are listed separately from configuration event types for the project configurations you selected in step 1. Put checkboxes in the events you want to subscribe to. There is also a description of each event type at the bottom of the dialog.

1. The text will be highlighted in bold if the value for that row has been changed from its original state.

2. If you have selected two or more configurations which does not have the same notifications configured it will be shown like this which means that the state is indeterminate. If you click a checkbox in this state you will set the same setting for all configurations to that state (all on or all off), however you will always be able to get back to the indeterminate state (nothing changed) until you finish.

Finish the wizard to save your new subscriptions.

Manage All Notifications for administrators

The Manage Notifications permission is required to manage notifications for others. Assign this permission to groups in User Administration, available on the Administration tab in the ribbon as described in Group permissions page.

Clicking Manage all notifications on the Administration tab shows the Notifications dialog. The dialog works in the same way as for My notifications, but lists all available recipients on the server. A user is listed here as soon as he or she has logged on at least once to SIMCA-online.

Windows Event Log is listed as a recipient. Subscriptions that are assigned to this recipient are logged to the Application Event Log of the server computer.

The administrator can double-click an email address to change it or mark the row and click Edit email. The administrator can also double-click the number of subscriptions, or mark the row and click Edit subscriptions, in order to edit subscriptions. The Add notification wizard, described above, is then opened.

The Subscription details page can also be used by the administrator as described above to easily see, edit and delete subscriptions on the server for all recipients.


Administration

On the Administration tab you can (with the right permissions):

  • Update the configuration. See Configuration for batch project and Configuration for regular project sections.

  • Troubleshoot the open configuration.

  • Repredict data for old batches or Repredict data for continuous (non-batch) projects.

  • Delete predicted data for batch projects.

  • Update SIMCA project with new data.

  • Open the User administration to access and specify permissions.

  • Specify Out limits for all projects on the server.

  • Open the Server audit trail, Configuration audit trail, Server log, Client log to view server and configuration logged events and server and client logged information.


Update SIMCA project

You can add new data from SIMCA-online to the SIMCA project using the Update SIMCA project feature. A copy of the project is created, including the current configuration (.bcg-file) and the data from SIMCA-online you specify to add to the project.

This allows the models in the project to be improved with new data from the process. After the projects have men updated you work in SIMCA to re-fit the models with the new data, and can then upload and configure the updated project in SIMCA-online.

Step by step instructions

To add data to the SIMCA project of the current configuration;

  1. On the Administration tab, click Update SIMCA project.

  2. Click Select data and find the data to include in the updated project.

  3. Specify the new project name and where to save it. Leaving the After downloading, start SIMCA and open the project check box selected, automatically opens SIMCA.

Then in SIMCA, open the updated project and:

  1. Mark the BEM and on the Home tab, click Edit | BEM.

  2. Add the new dataset and click OK.

  3. Click Yes, create all dependent datasets and models and OK. The batch level models are now automatically recreated.

  4. Continue working with the models as needed.

  5. In SIMCA, save the project and click File > Share and then SIMCA-online.

This opens the SIMCA-online client on your PC, let's you log in if needed, and then automatically uploads and re-configures the project on the SIMCA-online server.

You can then start execution of the update project and begin monitoring the process with the updated project.


Update SIMCA project versus Open SIMCA project

Update SIMCA project saves the current project configuration in the project, and allows addition of new data. The purpose here is to update and refine the project. This feature is targeted at people responsible for maintaining models/projects.

Open SIMCA project, on the other hand, does not modify the project, but instead downloads it an opens it in SIMCA allowing you to see all details about all models in the project. Open SIMCA project does not save the BCGs in the project by design because that would leak information about configurations in every project that the user downloads from the server.

Permissions required

Update SIMCA project requires Download Projects permission.

Open SIMCA project requires Download Project permission.

More:

Group permissions page

User administration

Open in SIMCA

Update SIMCA project


User administration

For a SIMCA-online client to connect to the SIMCA-online Server, the user must first log in to the server using a user name and password.

The Server maintains a list of users allowed to log in to the server. Each user can either have a SIMCA-online password, or be authenticated against Active Directory to simplify password management.

Groups and access rights

A user can be a member of one or more groups. Groups are used to control access to folders (and their contents of other folders project and configurations) in Project Explorer and the Open dialogs. If access is not granted for any of the groups of a particular user, that user will not see the folder or any of its contents.

Permissions are assigned to groups

Groups are also used for granting permissions for members of the group. Permissions specify different tasks that users can do, such as user administration or modifying project configurations.

Default Administrator account

By default the account Administrator is created with an empty password. This account has full rights to the server and can upload projects and create configurations on the server.

The administrator has to set up other user accounts with passwords for the individuals that will use the system. These new users may have other permissions, for example cannot delete projects from the server or cannot add new users.

Adding users, modifying group memberships, and assigning permissions is done using the pages in Administration | User administration:

  • Users

  • Groups

  • Group permissions

  • Effective permissions

Roles and their permissions are migrated to groups when upgrading

If you (in SIMCA-online 16.0 and earlier) used roles to grant permissions to users, these roles are now migrated into groups and the same effective permissions will be granted for users after installing this update. This means that all users will have permission to perform the same tasks as before.

As permissions are more granular, you may want to explore the new permissions and perhaps remove some of the permissions for certain user groups.


User administration - Users page

Users page in the User Administration dialog

The Users page in the User Administration dialog displays the users present in the system, which groups the marked user is a member of.

By default there is one user, the Administrator, which is member of the groups Everyone and Administrators.

Users can be added by clicking;

  • New | New individual user - adds an individual user that can be a SIMCA-online user, or authenticated against a specific user in Active Directory.

  • New | New group-authenticated user - adds a group-authenticated user that uses an Active Directory group to authenticate users.

  • Import users - to import users from Active Directory.

Hint: In case you misplace the master administrator password, contact support.


User administration - Users page, New individual user

Adding individual user - Users page, User Administration dialog

To add an individual user,

  1. Click New (default New individual user).

  2. Enter the User name and password, With a SIMCA-online password or a With Active Directory user credentials, in this latter case authenticated against Active Directory using the distinguished name you provide. This means that the user types the password corresponding to the Active Directory when logging in.

  3. Click OK and in the Users page, specify the groups the new user should be a member of.

  4. Repeat this procedure as needed.


User administration - Users page, New group-authenticated user

Adding group-authenticated user - Users page, User Administration dialog

To add a new group-authenticated user, do as follows:

  1. Click New | New group-authenticated user.

  2. Enter the User name and type the distinguished name for the group that will be used to authenticate the user or click ... to browse for the domain group). Members of the group in Active Directory can then log in to SIMCA-online as this group-authenticated user.

  3. Click OK and in the Users page, specify the groups the new user should be a member of.


User administration - Import users

Import users - User page, User Administration dialog

To import users, click Administration | User administration, and click Import users.

The Add Users from Active Directory dialog lists users from Active Directory matching the settings in the Miscellaneous settings page in SIMCA-online Server Options specifically the OU. For each user the dialog lists the full name, a suggested SIMCA-online user name and status information.

In the dialog, select/clear users to be added in SIMCA-online, and modify the user name as desired. Then click Create users to add all selected users and automatically configure the distinguished name for each user so that they are authenticated against active directory.

More features in the dialog

Multi-select - Use spacebar to toggle the check boxes.

Status column - Already existing users in SIMCA-online cannot be selected. The status-column shows this.

Rename user name - Double-click (or click and wait or hit F2) to rename the user to be created in SIMCA-online.

Copy group membership from an existing user - Facilitates setup of complex group memberships for new users.

More:

Users page


User administration - Groups page

Groups page in the User Administration dialog

The Groups page in the User Administration dialog displays the groups present in the system and which members the marked group has.

By default there are two groups, Everyone and Administrators, both with one member: Administrator.

To add a new group, do as follows:

  1. Click New.

  2. Enter the new group Name in the Add Group dialog and click OK.

  3. Repeat this procedure as needed.

Using groups

When groups have been specified, permissions can be granted to the groups as described in Groups permissions page, and access rights can be specified by clicking Access rights in the Project Explorer pane.

Note: Access rights is only available for folders, and control access to all child folders, projects and project configurations in the folder.


Group permissions page

Group permissions page in the User Administration dialog

The Group permissions page in the User Administration dialog displays the groups present in the system and which permissions the marked group has.

Change permissions for the marked group by selecting or clearing the Permission check boxes. All users who are a member of the group will effectively be granted the permission.

See Permissions for a list of all permissions in SIMCA-online.


Effective permissions page

Effective permissions page in the User Administration dialog

The Effective permissions page in the User Administration dialog displays the users present in the system and which effective permissions the marked user has. The effective permissions are the sum of permissions for all groups a user is member of.

Each SIMCA-online user can also see their effective permissions by clicking their user name in the ribbon, and selecting My effective permissions. Learn more in Log in/Log out.

Use the Group permissions page to change permissions for a group.

See Permissions for a list of all permissions in SIMCA-online.


Permissions

Permissions specify different tasks that members of a group can perform.

A user can be a member of multiple groups. The effective permissions for a user are the sum of the permissions for each group the user is a member of.

By definition the Administrators group have all permissions, and by default the Everyone group has only the List Data permission.

An administrator can create groups and assign permissions as required.

The available Permissions are listed in the below table. The Context is used to group related permissions in the list.

Context | Permission | Description
Access Rights | Manage Access Rights | Folder access rights that determine which folders, and their contents, users see and can open in Project Explorer.
Alarms | Reset Alarms | Resetting a triggered alarm means that it has been acknowledged, and that a new alarm of the same type can be triggered. About SIMCA-online alarms.
Batch Context Generator | Manage Batch Context Generator | Batch Context Generator provides a way for SIMCA-online to execute batch projects when the data source doesn't provide the necessary metadata regarding when batches begin and end.
Configurations | Execute Configurations | Start and stop execution for project configurations. Execution means that the server reads data from a data source, evaluates execution conditions, and executes models resulting in predictions. Project execution.
Configurations | Manage Configurations | Add new project configurations for uploaded projects, edit configurations, delete configurations and restore deleted configurations. Project Explorer. Also see Manage projects below.
Configurations | Purge Configurations | Permanently remove a deleted project configuration in Project Explorer. Removing and restoring project configurations.
Data | Delete Data | Delete data for batches stored in SIMCA-online. This refers to data read from the data source, all generated data when the project executes such as predictions, and information about reset alarms and notes.
Data | List Data | Create lists from specific plots (from the right-click context menu) and use View | Data list to list all SIMCA-online data in lists.
Data | Predict Data | Perform predictions on past data, that is, use Administration | Predict data to predict finished batches, or past time ranges for continuous projects.
Data Source | Manage Data Source Out Limits | Manage data source out limits: add, edit, and delete. Out limits replace data source values for tags outside the limits with missing value.
Data Source | Read Data Source | Read data from a data source, such as using File | Extract or to peek at data in a tag. Also required for troubleshooting project execution.
Folders | Manage Folders | Work with folders in Project Explorer: create, rename, move, and delete.
Notes | Manage Notes | Add, edit and remove notes.
Notifications | Manage Notifications | See and edit notifications for all recipients on the server, as well as the Windows Application Event log. Each user always has permission to see and edit own notifications.
Projects | Create Projects | Create new projects (multivariate or for data exploration) based on data from a data source using File | New.
Projects | Download Projects | Use the Open in SIMCA feature to download the project to a client PC and optionally look at it in SIMCA. Also required to use the Update SIMCA project feature.
Projects | Manage Projects | Work with projects in Project Explorer: upload new projects, move projects, and restore deleted projects. Also see the Manage Configuration permission above.
Projects | Purge Projects | Permanently remove a previously deleted project in Project Explorer. Removing and restoring project configurations.
Users | Manage Users | Control the users, groups and permissions on the server. User_Administration.
Workspaces | Manage Workspaces | Save all open configurations and plots as a workspace that can be used to restore all windows. Rename, overwrite, move and delete workspaces in Project Explorer.


Active Directory authentication

Microsoft Active Directory can be used for authentication of users in SIMCA-online. This simplifies user management in SIMCA-online for administrators, and simplifies the log in for users since they need not remember any additional passwords.

Active Directory brings the following benefits:

  • Individual users can be authenticated against Active Directory by specifying each user's Active Directory distinguished name in SIMCA-online. They can then type the same Windows domain password they already know to log in.

  • Users can be imported from Active Directory and automatically assigned the right distinguished name.

  • Users can log in without typing a password using Windows authentication (single sign-on). Introduced in SIMCA-online 14.

  • Group-authenticated users can be created that use Active Directory group membership to grant access. Introduced in SIMCA-online 14. Members of the Active Directory group log in either by:

    • using their Active Directory account name (for example JohnS) and password.

    • using Windows authentication (single sign-on) without typing anything

Setting up Active Directory was simplified in SIMCA-online 15 with an automatic way to specify server settings, as well as better documentation (what you are reading now).

Requirements

Setting up Active Directory authentication requires knowledge of the name of a domain controller in your domain, Distinguished Names (DN) for users and groups, and optionally for an Organizational Unit (OU) in your domain where the users are located. Your IT department will be able to assist you.

It is the SIMCA-online server that contacts a domain controller in the domain to authenticate a user. The server runs as a specific service account on the server computer. This account needs to have permissions to access Active Directory which it has if it is a domain account or LocalSystem when the server computer is a member of the domain.

If you want to use single sign-in the client, client PCs need to be members of the same Active Directory forest as the server. For manual login with user names and passwords, the client PC need not be a member of the same forest.

You make settings for Active Directory authentication and users in two places;

  • In the SIMCA-online Server Options utility you configure server settings for Active Directory.

  • In the SIMCA-online client you configure each user you wish to authenticate through Active Directory so that there is a mapping from the SIMCA-online users to an Active Directory user or group.

Read more about these steps in the Setting up Active Directory authentication topic.

Recommendations

Here are some recommendations for how to make user authentication in SIMCA-online:

  1. Create Active Directory groups for each kind of SIMCA-online user you want to use. For example Read-only viewers, Operators, Project administrators. Groups cannot contain other groups, and each user must be a member of a single such group as is explained further in the next section.

  2. For each such group, create one SIMCA-online group-authenticated user.

  3. For each group-authenticated user;

    • Add the user to SIMCA-online Groups (for example Administrators or Users). Groups are used to set access rights for folders of projects and configurations.

This results that users of SIMCA-online can log in using Windows-authentication, and they will automatically be logged in as the right group-authenticated users with the permissions and access rights to projects specified for it.

Learn more about groups and the steps how to create users in User administration.

Notes and restrictions

Note that the SIMCA-online user name for a user can be completely different from that user’s Active Directory user name. SIMCA-online uses the distinguished name you configure for a user for authentication.

If a user is configured for Active Directory authentication with a distinguished name that maps to a specific user it takes precedence over any groups that that user is a member of, meaning that the user can never log on as a group-authenticated user.

If a user is a member of multiple Active Directory groups and several of those groups have been configured in SIMCA-online in group-authenticated users, only the first group in alphabetical order will match the user and the user will be logged in as that user with the associated permissions and access rights.

SIMCA-online does not support nested Active Directory groups. Thus, only users in a group able to log in as a group-authenticated user (but not users that are members of a group inside the first group).

The server audit trail contains information on which Active Directory user has logged in as a group-authenticated user.

Troubleshooting and tips

If you have problems getting Active Directory to work, look in the server log on the servers for any error entries. See umetrics.com/kb/making-use-simca-online-server-logging-finding-problems.

To find the DN of your own user account, go to a command prompt on your own computer, and type "whoami /fqdn". This will also show you the OU your account is located in, which you can use as the Base DN; simply remove the "CN=Your Name," part in the beginning of the string.

In PowerShell, you can use the following commands to search for a specific user (JohnS in this example) and show its DN:

$searcher = [adsisearcher]"samaccountname=JohnS"

$searcher.FindOne().path


Setting up Active Directory authentication

Setting up Active Directory authentication in Server Options

You configure the Active Directory settings on the server computer in the SIMCA-online Server Options utility, on the Miscellaneous tab.

Automatic settings

Use the button Use automatic settings to automatically provide the settings, by setting the Active Directory server to the name of the nearest domain controller, and Base to the Active Directory container of the user running SIMCA-online server options. After obtaining these values, the settings are automatically tested and you are informed if they work.

The default values can serve as a starting point, but please consult your IT department for help with these settings. You want to use a Base which holds all your users and groups that you plan to use in SIMCA-online (see below).

More about the settings

In Server Options, you can provide a Base distinguished name. This should be the DN of an OU in your domain which holds user accounts. Base can be left empty, and then Active Directory authentication will still work. But then you won't be able to import users in SIMCA-online, or list users for making setting the FQDN of Active Directory authenticated users easier. Tip: if you don't know which OU to choose, you can always remove everything from the default Base except the Domain Component (DC) parts. For example: DC=example, DC=com.

It is recommended to use Transport Layer Security as the network transport.

Use the Test-button to verify connectivity to the Active Directory server. Notice that this tests as the user account running Server Options, and not as the SIMCA-online service account.

After making changes for Active Directory in Server Options, the SIMCA-online server service needs to be restarted for the changes to be effective.

Next steps

Now that the server has been configured for Active Directory authentication, the next step is to create users that take advantage of the feature. This is done in User Administration on the File tab under Administration.

More:

Active Directory authentication


Data source out limits

Out limits for tags define the valid range of a tag. Outside these limits, the value of a tag is set to missing.

To add an out limit, click the Add tag-button and select the tag to add the out limit for (see below).

Then enter the out limit values.

Managing data source out limits

To exclude a tag and replace it with missing, select Yes in the Exclude column for that row. This can be useful when an instrument is malfunctioning.

To include the tag again, select No in the Exclude-column.

Turn on or off the usage of out limits by selecting/clearing the Use out limits check box.

Note: Out limits are global and independent of configurations and take action before the data reaches the clients.

Shortcut menu

You can copy, paste, and delete the values in the spreadsheet using the shortcut menu.

Right-clicking and clicking Print prints the spreadsheet.


Batch Context Generator

Batch Context Generator provides a way for SIMCA-online to execute batch projects when the data source doesn't provide the necessary metadata regarding when batches begin and end.

This topic explains this feature, and how it is used in SIMCA-online.

Background

To be able to execute batch projects in SIMCA-online, a batch context, or batch node, is required. The purpose of a batch node is to keep track of when batches begin and end.

Many data sources, and the SimApis that connect them to SIMCA-online, provide the batch node functionality and thus can be used directly with SIMCA-online. However, if the data source doesn't have the batch node functionality, or if you want to get started quickly with batch project execution you can use the Batch Context Generator.

When to use Batch Context Generator, and when not to

Batch Context Generator is useful in these situations:

  • To quickly get started with batch projects in SIMCA-online when the data source isn't properly configured for it.

  • If you have recurring batch identifiers over time (the same name for two or more distinct batches).

When Batch Context Generator doesn't work:

  • If you have many executing project configurations on a server, adding Batch Context Generator nodes adds additional load to the server because of the amount of extra data that needs to be queried from the data source. This can lead to performance issues.

  • If you have need of advanced control of when batches start and end, or have many units and want to run batches in parallel then you should use the batch management functionality of a real data source, such as OSIsoft PI with their Event Frames or PIBatch functionality.

  • If you want to use mirrored batch nodes (to deal with recurring batch identifiers/names specifically in OSIsoft PI), want to use batch conditions or have other special needs, then the Batch Table Wrapper SimApi can work better.

Further reading

  • The technical use of a batch node is described in the Project Execution chapter in the SIMCA-online Technical Guide.

  • Available SimApis and which ones support the batch node feature can be seen at umetrics.com/simapi.

  • The Batch Table Wrapper SimApi is described on that same page.

What does Batch Context Generator do?

Batch Context Generator uses process data, and user-configurable batch trigger and other settings, to automatically populate one or more batch context nodes with the start times and stop times of batches. This information is used by SIMCA-online allowing it to execute the projects successfully.

Each generated batch context node:

  • Reads data from the SimApis installed and configured on the SIMCA-online server.

  • Has settings that control what triggers a batch, and their names.

  • Populates itself with batches using continuous process data, the settings, and a set of rules.

  • Is updated on demand, when it is used by an executing batch project configuration, or when Extract or Find batches is used.

  • Can be used by many project configurations.

Technically, each batch context node is a node in the node tree of SIMCA-online, added below a new data source, called Batch Context Generator as you can see here:

Notice that the node contains a single tag BatchID. This is continuous process tag that automatically has the name of a batch for any time during the lifetime of that batch. This tag is used on the Execution conditions page of the project configuration wizard.

How to use:

Managing batch contexts in SIMCA-online

Troubleshooting and technical details for Batch Context Generator


Managing batch contexts in SIMCA-online

Administrators* can manage batch contexts created by Batch Context Generator on the Administration-tab in the ribbon, in the Server Administration group, by clicking the Batch contexts button. This shows the Batch contexts dialog:

*) To be able to manage batch contexts the user needs to have the Manage Batch Context Generator permission.

  • Click New to create a new node (see below).

  • Click on a node in the node tree to select it. This shows status information on that node in the right pane. There you are able to tell if the node has valid settings.

  • Click Edit to view/edit settings for a node. If you make changes to settings, SIMCA-online will remove all data in the batch context node.

  • Click Find batches to see the batches the node contains with a time range (see below). This will either just show bathes already known by the batch context node, or use your settings and the process data to populate the node with batches.

  • Click Troubleshoot to help troubleshoot problems with a node, when it doesn’t contain the batches expected.

  • Click Delete to remove a node.

Adding a new batch node

When a new batch node is added you are prompted how you want batches to be generated in the new node.

Select 'batch identifier tag' if you have such a tag in your process data. Otherwise select to use 'start- and stop-trigger expressions'. The following pictures illustrate the two alternatives, and shows how the batches Batch1 and Batch2 start and stop using either a batch identifier tag, or a start and stop trigger:

Regardless of which you select, you'll then complete the settings for the new node (see next section). There you can also change all settings as needed and even specify all three triggers. Remember to give the node a good name (it cannot be changed later).

Finally when done, clicking OK to save the settings and return to the Batch contexts dialog.

Specifying batch context node settings

The settings dialog for a batch node looks like this:

In it, you provide:

  • Batch triggers that control when batches start and end. Select combinations of:

    • Batch identifier tag - a continuous process tag with the same value for all observations that should belong to a batch. When the value changes the current batch is ended, and a new batch is started/becomes active.

    • Start trigger - a logical expression that when evaluates to true starts a new batch, unless one is already active.

    • Stop trigger - a logical expression that when evaluates to true ends an active batch.

  • A batch identifier template, that defines the names of the batches that are generated in the batch context node. In this template string you can use:

    • Use $(BatchID) to represent the value read from the batch identifier process tag.

    • Use time placeholders (%Y, %y, %m, %d, %H, %M and %S) to represent the start time of the batch in different formats.

    • Tip: you should specify a template that ensures that the generated batch identifiers become unique over time, since this is a requirement of SIMCA-online.

  • The sampling interval - the time between sampled observations of your process data. Set this to match the execution interval in your project configurations.

  • Maximum batch age - how long a batch can be at most. Batches shorter than this are guaranteed to be picked up by the Batch Context Generator, but a longer batch may be skipped because of how the server optimizes data retrieval.

The settings dialog also provides the Effective rules given your settings. This shows how the Batch Context Generator will generate batches using your settings (see the next section).

Batch trigger rules:

  • Either a batch identifier tag or start expression is required (both can be used in combination).

  • A stop expression is required when there is no batch identifier tag, otherwise it is optional.

Verifying a new batch context

The Find batches button in the dialog prompts you for a time range where you want to find batches. It then lists batches found during that time, with the start and end times of each batch.

This can be used to verify your settings, that they result in the right batches.

Note: searching for batches in a time range that haven't already been processed will result in queries for process data by the Batch Context Generator. It uses the data in order to evaluate the batch triggers to generate the batches in the batch node. This can take a long time for larger time spans.

Using the Troubleshooting-button

If a batch context generator node doesn't contain the batches you expect, you can use the Troubleshoot-button to help finding out why. It shows a short Troubleshoot Batch Context Generator wizard that allows you to specify a time range to troubleshoot.

When finishing the wizard you'll see a spreadsheet covering the time range, showing data for all control tags used by the Batch Context Generator node (batch identifier tag, tags used in start/stop triggers). This allows you to see if your control logic for the node is correct by comparing what you see with what you expect.

You can also click Next in the Troubleshooting wizard, to see the tags that will be displayed, and also other settings. The subsequent pages of the wizard are the same as the regular File | Extract wizard. See Extract.

Learn more in Troubleshooting and technical details for Batch Context Generator.


How to use a batch context batch node

This section shows how a batch node is used in SIMCA-online, once you have configured it as described above.

Using a batch context node

To use a batch context node in SIMCA-online you need to specify it in the Project Configuration wizard when configuring a batch project:

  • On the Batch node page of the Project Configuration wizard you pick your batch context node.

  • On the Execution conditions page, you select the tag BatchID inside your batch context node, as the batch identifier tag used by your units. The value of this tag is automatically set to the generated batch id of your node during the lifetime of each batch.

Now when the project is executed by SIMCA-online the batch node will be populated by data following the rules and by using your settings for it. It will then allow SIMCA-online to execute the batch project. This works in all forms of executions; real-time, repredict or catch up.

Repredict for testing and adding old data

Once you have started using a batch context batch node in a batch project configuration, you can also use the Repredict-dialog to populate the node with historical batches, and repredict those batches.


Troubleshooting and technical details for Batch Context Generator

Troubleshooting

Changes relating to Batch contexts are audited to the server audit trail. The SIMCA-online server log contains events relating to the population of data for a batch context. Both of these sources are thus useful for troubleshooting.

If a batch context doesn't appear to work, here's what you can do:

  • Verify that the batch node is correctly configured (green check mark).

  • Use Find batches to see the batches SIMCA-online has found in the batch node (see above).

  • Use Troubleshoot to see data for all control tags (the batch identifier tag and start- and stop expressions) and see if those appear correct. Compare with settings for your batch node.

  • Consult the server log files, and audit trail, and see what it says.

  • For general troubleshooting for project configurations, see the SIMCA-online Technical Guide.

If you find errors in your batch node, and want to fix them, make changes to the node, and repopulate it with data using Find batches. Then you have to repredict any existing batches in your configurations that use the batch context node (SIMCA-online doesn't remove already predicted data just because you make changes in a batch context node).

How batches are generated - the algorithm

This section explains in detail how batches are generated in a batch context node:

Only a single batch can be active in a batch node at the time.

An active batch is ended (at the previous sampled observation time) when either or both:

  • If provided, the value of the batch identifier tag changes from the previous observation.

  • If provided, the stop trigger evaluates to true.

A new batch is started when ALL are true:

  • A batch is not already active

  • If provided, the value of the batch identifier tag is non-empty, and has changed since the previous observation,

  • If provided, the start trigger evaluates to true as long as the stop trigger is not also true.

  • The generated name (defined by the batch identifier template) has not occurred before

Generated batch names:

  • The batch identifier template is used to create the names for the batches.

  • Tip: Use the batch identifier template to ensure uniqueness by using time-based format strings in it.

Data will not be re-read for a time span that has previously been analyzed for this node. Tip: If you want to re-read data, make changes to the batch node, as this will remove all generated batches, and allow them to be populated again.

Troubleshooting batches that end because of data source issues

A generated batch ends if the batch identifier tag is used by the batch context generator, and SIMCA-online fails to read the batch id from the data source.

To prevent this from happening, the Control Tag Cache can be enabled on the server computer. This means temporary problem accessing the batch identifier tag does not automatically end a generated batch.

Learn more about Batch execution resiliency: Control tag cache.


Troubleshoot Project Execution

If a project doesn't execute as expected in SIMCA-online, an administrator needs to troubleshoot it to find out why.

The following table shows common project execution symptoms, and their likely causes.

Symptoms / situation | Likely cause
Project execution used to work fine previously, but no longer works. | Data source issue
No data in plots for continuous projects. | Data source issue
A new project configuration doesn't work. | Project configuration issue. A mistake in the project configuration.
No batches listed in Find batches or the Predict dialog. | Data source issue Project configuration issue: A batch identifier filter is used in the configuration and no batches matches.
Trying to predict a past batch in the Predict dialog results in no data, and the batch status is listed as Not predicted. | Data source issue or Project configuration issue: No process data for the batch that fulfilled the phase execution conditions and batch identifier tag
No active batches while batch node shows an active batch in Find batches or Predict. | Project configuration issue: Phase execution conditions doesn't evaluate to true resulting in no phase starting, and thus no batch.
A batch or phase ends early. | Project configuration issue: The phase execution conditions in combination with the data read from the data source.

Learn more how to diagnose and fix these likely causes below:

Data source issues

The data source is a requirement for project execution. Here's what you can do:

  • To test the data source, use File | Extract, or the built-in troubleshoot functionality (see below).

  • If extract doesn't work, or show no data, you should compare with the data source's own tools, such as PI System Explorer to see how the data looks in the data source.

  • A SimApi is used by the SIMCA-online server to connect to the data source. For this reason, the SimApi log files on the server computer are useful when diagnosing issues.

  • If an administrator of the data source has added new tags, or removed tags, the SIMCA-online server service must be restarted to be made aware of this.

Project configuration issues

A project configuration contains many settings, many of which can cause problem with project execution.

SIMCA-online 16 introduces built-in validation of many project configuration settings. This validation happens automatically when you start execution and in other situations. Learn more in Validation of project configurations.

You can also look for errors manually: edit the configuration, and go through all configuration pages and look for settings that are colored red which indicates an error.

Tip: You can use the audit trail to see when administrators have made changes in the configuration. Look for the event configuration_updated.

Troubleshoot by comparing data with settings

Often the cause of execution problems is a combination of project configuration settings and the data read from the data source. To find the problem, an administrator needs to look at the data and compare it with the project configuration settings, and evaluate settings in the same way as the server does when executing the project.

The built-in troubleshooting wizard helps with extracting data which you then can compare with the project configuration settings to locate issues that prevent project execution.

Learn more in

  • Troubleshoot batch project execution

  • Troubleshoot continuous project execution


Troubleshoot batch project execution

Batch project configurations in SIMCA-online have many settings and use quite complex rules that control execution as you can read more about in Batch project execution. Thus it can be difficult to know why problems like these happens in SIMCA-online:

  • the Predict-dialog not showing any batches

  • when trying to predict a finished batch it ends up being 'Not predicted'

  • a batch doesn't start, or starts late

  • a batch or phase ends early

Learn more about general approaches to troubleshooting in Troubleshoot project execution.

Troubleshoot real-time execution problems

It can happen that a batch exhibits problems when executing in real-time, but can be successfully predicted after it is finished, or when the batch is deleted and allowed to catch up. This indicates there were problems reading data in real-time that were fixed before the server read the data for reprediction.

When this happens you can consult the server logs for the time when the batch was executed, to see the data that the server read for control tags used in phase conditions and for batch identifiers. The automated troubleshooting described below cannot be used, because like repredict it doesn't tell you what the SIMCA-online server saw when the batch was exhibiting problems, but rather how the data looks after-the-fact. Learn more on logging in umetrics.com/kb/making-use-simca-online-server-logging-finding-problems

In general, it is important that the data SIMCA-online sees in real-time is the same as it sees when repredicting a batch. This is fundamental for successful running of SIMCA-online. Learn more in umetrics.com/kb/historical-data-different-data-real-time and the SIMCA-online Implementation Guide and Technical Guide.

Troubleshoot from the Administrator-tab of the ribbon

The ribbon button Troubleshoot on the Administrator tab in the Manage group can be used to help troubleshooting the open configuration. It automates common troubleshooting-steps to let you focus on interpreting the process data and comparing it with the configuration settings.

Note: Your user needs to have the Read Data Source permission for this functionality to be available.

When you click Troubleshoot this happens:

  1. The configuration is checked for common errors relating to the batch node, batch identifier tags, phase execution conditions (referred to as "control tags" below), and the maturity tag for phases. If any issues are found a message will be displayed allowing you to correct them. If no issues are found, no message is displayed.

  2. After that the Troubleshoot Project Execution wizard starts.

    1. Select a batch to troubleshoot, using the … buttons in the dialog. The life span of the batch will be used as the time span to troubleshoot. If no batch is found, it means that the problem is with the batch node. Learn more further down on this page.

    2. Or select a time range directly, without selecting a batch.

  3. Optionally click Next through the wizard to fine tune the selected tags, and how data is extract (the rest of the wizard is the same as the regular Extract-wizard).

  4. Otherwise, click Finish and you are presented with a table of control tag data for the time range selected. Compare this list with the settings in the configuration and the data in your data source to locate the problem.

Troubleshoot from the Predict dialog

You can also launch the troubleshooting wizard from the Repredict dialog in SIMCA-online:

Click the Troubleshoot-button without selecting a batch to launch the Troubleshoot Batch Execution wizard with the time range specified in the Predict dialog. Or select a batch with a check mark to troubleshoot that specific batch.

Troubleshoot from Production Overview

You can also right-click a batch in Batch Production Overview and select Troubleshoot.

More about Troubleshooting

Above you learned how to use the new Troubleshooting wizard. This section explains how to perform each of the four steps manually, and explains the details and purpose of each step.

What

Why

Check the settings for the project configuration (Administration-tab, Configuration in the ribbon-group Manage).

Double-check that your settings are what you intended, and that nobody else have made changes that you didn't expect.

Look for batches in the batch node used by the configuration using the Find batches functionality of the Batch node page in the configuration.

Without batches in the batch node, the project configuration will not work.

Do File | Extract to extract process data from the data source for the tags used by your configuration. In particular tags used as batch identifier tags, control tags in phase execution conditions, and the maturity tag for each phase.

Data for these tags are important, since they control the execution.

Compare the extracted data with the settings made in the Execution conditions page of the configuration.

For phase- and sleep conditions; verify that you have matched the data type of your tag with the logical operator used: use Text (TextTag) for text contents, and Value (ValueTag) for numerical data. Learn more in Configure condition dialog explanation.

See if your execution conditions are correct given the extracted data.

Look at the extracted maturity data for each phase. Verify that it is monotonically increasing, and that there are data for all observations for a phase.

The values for maturity are used as the Y-values for the evolution models. Without proper maturity values, the batch evolution modelling will not work.

Note: to troubleshoot problems that occur only for a batch when it executes in real-time, you have to use a different technique as described above in Troubleshoot real-time execution problems.

If you want to dive deep into technical troubleshooting, you can consult the SIMCA-online Technical Guide. It explains how SIMCA-online executes batch configuration executions, including all the little details. It also has many troubleshooting-tips which you can refer to.

Note: phases with discrete data retrieval mode cannot be troubleshot the automated way describe above. They are simply ignored. Instead you have to manually click through the wizard and to the following additions;

  • Add any tags used in the phase execution conditions for the discrete phase. At the same time remove any tags for continuous phases since they cannot be troubleshot at the same time. Also a tag from the batch node to the list of selected tags (so that the batches in scope are identified).

  • Change Data retrieval mode from Continuous Historical to Discrete data retrieval.

See also

The Batch Context Generator also has built-in troubleshooting functionality, similar to the above. See Troubleshooting and technical details for Batch Context Generator.

See Extract data for details how to extract data.

See Batch execution resiliency: Control tag cache for information how to handle glitches in data which can end phases prematurely.


Troubleshoot continuous project execution

Continuous projects are simpler than batch projects and have fewer settings in the project configuration in SIMCA-online. For this reason, troubleshooting project execution is also simpler for continuous configurations. Still, the prediction condition or general problems with the data source can prevent execution from working for continuous project configurations.

Learn more about general approaches to troubleshooting in Troubleshoot project execution and on SIMCA-online project execution in Project execution.

Troubleshoot from the Administrator-tab of the ribbon

The ribbon button Troubleshoot on the Administrator tab in the Manage group can be used to help troubleshooting the open configuration. It automates common troubleshooting-steps to let you focus on interpreting the process data and comparing it with the configuration settings.

Note: Your user needs to have the Read Data Source permission for this functionality to be available.

When you click Troubleshoot this happens:

  1. The configuration is checked for errors in the prediction condition expression and if tags are valid. If any issues are found a message will be displayed allowing you to correct them. If no issues are found, no message is displayed.

  2. After that the Troubleshoot Project Execution wizard starts.

    1. Select a time range to troubleshoot.

  3. Optionally click Next through the wizard to fine tune the selected tags, and how data is extract (the rest of the wizard is the same as the regular Extract-wizard).

  4. Otherwise, click Finish and you are presented with a table of data for the time range selected:

  5. Compare this list with the settings in the configuration and the data in your data source to locate the problem. In this example the prediction condition looks like this, and as you can see the condition results in SIMCA-online NOT predicting any data:

See also

See Extract data for details how to extract data.


Project validation

Built-in validation of project configurations

The SIMCA-online client validates the project configuration before it is used, so that any errors that would prevent successful prediction of batches or process trends in SIMCA-online are caught earlier.

If any issues are found, a message is displayed telling you what's wrong and where, so that you can address the problem. For example:

This validation happens automatically when you

  • start execution for a configuration,

  • predict a past batch ("repredict"),

  • launch the built-in troubleshooter for batch projects, on the Administration tab of the ribbon.

If there are no problem with the project configuration, there is no message.

If you want to continue troubleshooting, use the Troubleshoot functionality on the ribbon tab for a batch project, or for a continuous project use File | Extract manually. See Extract data.

Validation rules

These settings are checked by the validation:

  • For continuous project configurations the prediction condition and tags are checked for all variables in the model.

  • For batch project configurations more settings are checked; the batch node, Batch Context Generator settings (if used), phase execution conditions, sleep conditions and evolution model tags.

  • When tags are validated, a check is made that the specified tag name exists in the data source. For example, a tag used in an old configuration might refer to a tag that has been since removed from the data source, or the entire data source has been renamed or removed from the SIMCA-online server.

  • Control Advisor settings are also verified both for continuous and batch configurations.


Server audit trail

The server audit trail records events on the server. Here all events in the Server audit trail are listed with details about the event.

Open the audit trail by clicking Server a udit trail in the Audit trails group on the Administration tab. The audit trail of the server is then opened.

Note: All events are accompanied by date and time. All events but the first 4 in the list below are accompanied by a session ID. Project ID includes the project name.

Event

Description

Event details

audit_integrity_warning

The audit trail may have been compromised.

server_starting

The server is initialized.

The application name, version and platform.

server_started

The server has started.

  • The path and name of the used server ini-file including ini-file content.

  • SimApi name and path.

  • License information including license number, user, company, features and expiration date.

  • Local server information including port and network address.

  • Database directory path.

  • Electronic signature required.

server_stopped

The server has stopped.

folder_created

The folder <folder name> has been created.

FolderID, ParentFolderID, FolderName

folder_deleted

The folder <folder name> has been deleted.

FolderID

folder_renamed

The folder <folder name> has been renamed <new folder name>.

FolderID, NewFolderName

folder_moved

The folder <folder name> has been moved to <parent folder ID of new position>.

FolderID, ParentFolderID

folder_group_access_granted

The access rights to <folder name> have been granted for the current group.

FolderID, GroupID

folder_group_access_revoked

The access rights to <folder name> have been revoked for the current group.

FolderID, GroupID

project_created

The user has commenced the import of a SIMCA project.

ProjectID, ParentFolderID

project_deleted

<project name> has been deleted.

ProjectID

project_restored

<project name>,which was previously deleted, has been restored.

ProjectID

project_purged

<project name>,which was previously deleted, has been permanently deleted.

ProjectID, Electronic signature comment when applicable.

project_initialized

A SIMCA project has been imported and copied. A unique project ID has been assigned.

ProjectID

project_moved

<project name> has been moved to <folder name>.

ProjectID, ParentFolderID

configuration_created

A new configuration has been created defining how a SIMCA project should be handled in SIMCA-online.

ConfigurationID, ParentProjectID, ConfigurationName

configuration_deleted

<configuration name> has been deleted.

ConfigurationID

configuration_restored

<configuration name>, which was previously deleted, has been restored.

ConfigurationID

configuration_purged

<configuration name>, which was previously deleted, has been permanently deleted.

ConfigurationID, Electronic signature comment when applicable.

configuration_renamed

<configuration name> has been renamed <configuration new name>.

ConfigurationID, NewConfigurationName

configuration_updated

<configuration name> has been changed.

ConfigurationID, version and comment added to summary.

workspace_created

A workspace has been created.

WorkspaceID, ParentFolderID, WorkspaceName

workspace_deleted

A workspace has been deleted.

WorkspaceID

workspace_renamed

<workspace name> has been renamed <workspace new name>.

WorkspaceID, NewWorkspaceName

workspace_updated

<workspace name> has changed <workspace new name>.

WorkspaceID, ParentFolderID

workspace_moved

<workspace name> has been moved to <folder name>.

WorkspaceID

user_created

<user name> has been added to the user list.

UserID

user_deleted

<user name> has been removed from the user list.

UserID

user_password_changed

The password for <user name> was changed.

UserID

user_distinguished_name_changed

The distinguished name for <user name> was changed.

UserID, DistinguishedName, Type

group_created

<group name> has been added to the groups list.

GroupID

group_deleted

<group name> has been deleted from the groups list.

GroupID

group_user_added

A user has been added to a group.

GroupID, UserID

group_user_removed

A user has been removed from a group.

GroupID, UserID

group_permission_granted

<permission ID> has been granted for <group name>.

GroupID, PermissionID

group_permission_revoked

<permission ID> has been revoked for <group name>.

GroupID, PermissionID

out_limits_enabled

The Use Out Limits check box was selected in the Administration | Out limits dialog.

out_limits_disabled

The Use Out Limits check box was cleared.

out_limits_updated

The out limits were updated.

Settings

user_session_started

<user name> has logged on to the server.

user_session_ended

<user name> has logged off the server.

More:

Audit trail toolbar features


Configuration audit trail

In SIMCA-online the Audit trail is always turned on. The actions and incidents listed in the table are recorded in the audit trail with time and date stamp:

Open the audit trail by clicking Configuration audit trail in the Audit trails group on the Administration tab. The audit trail of the current configuration is then opened.

Event | Description | Details included in the event
configuration_updated | <configuration name> has been updated to version <version number>. | UserSessionID, Version number and comment added to summary.
execution_started | The execution of <configuration name> has started. | UserSessionID, ExecutionID
execution_stopped | The execution of <configuration name> has stopped. | UserSessionID, ExecutionID
execution_resumed | The execution of <configuration name> has resumed (started again after being stopped). | ExecutionID
execution_aborted | The execution of <configuration name> was interrupted, for instance error when reading from external data source. | ExecutionID
repredict_started | Repredict has started. | ExecutionID, Electronic signature comment when applicable.
repredict_stopped | Repredict was stopped. | ExecutionID, Electronic signature comment when applicable.
batch_started | <batch ID> has started. | BatchID, Type
batch_finished | <batch ID> has finished. | BatchID, Type
batch_deleted | <batch ID> has been deleted from the server. | UserSessionID, BatchID, Electronic signature comment when applicable.
batch_discarded | <batch ID> has been discarded. Happens when a batch is not read to completion. | BatchID, Reason
batch_suspended | <batch ID> has been suspended. | BatchID
batch_resumed | <batch ID> has been resumed. | BatchID
batch_refreshed (see below) | Batch conditions for <batch ID> has been refreshed. | UserSessionID, BatchID, Electronic signature comment when applicable.
phase_started | <phase name> has started. | BatchID, PhaseNumber
phase_finished | <phase name> has finished. | BatchID, PhaseNumber
note_added | A note has been created at with <content>. | UserSessionID, Severity, NoteID, note text and point ID (Batch ID, Phase Number, time point) added to summary.
note_deleted | <note ID> has been deleted. | UserSessionID, Severity, NoteID, note text and point ID (Batch ID, Phase Number, time point) added to summary.
note_updated | <note ID> has been updated to hold <content>. | UserSessionID, Severity, NoteID, note text and point ID (Batch ID, Phase Number, time point) added to summary.
alarm_triggered | The alarm <triggered alarm ID> has been triggered for <vector>. | TriggeredAlarmID, Severity, vector, point ID (Batch ID, Phase Number, time point) added to summary.
alarm_elevated (see below) | The alarm <triggered alarm ID> has been elevated to critical for <vector>. | TriggeredAlarmID, Severity, vector, point ID (Batch ID, Phase Number, time point) added to summary.
alarm_reset | The alarm <triggered alarm ID> has been reset for <vector>. | UserSessionID, TriggeredAlarmID, Severity, vector, point ID (Batch ID, Phase Number, time point) and user entered reset-comment added to summary.

Note: Alarm elevation has been removed from 15.1, but old audit trail entries may still use this event type.

Note: Batch refresh has been removed from 16, but old audit trail entries may still use this event type.


Audit trail toolbar features

In the audit trail, use the toolbar to organize, select range, compare configuration revisions, view configurations, roll back to a previous revision of a configuration and filter search.

The table describes the different features available for batch and regular projects.

Toolbar features | Result
Organize - see Organize.
From | Select the event to start from. Negative values indicate how many events backing up from the value in To to back up.
To | The last events displayed. Last means the last event at all times.
Refresh | Updates the Audit Trail pane. Has to be clicked to update after changes in the From and To fields.
Compare | Displays what differs between the two marked revisions of the configuration using a File comparison utility. When only one revision is marked, the comparison is made versus previous revision. For options, see the SIMCA-online Options - General topic.
View configuration | Opens the marked revision of the configuration. No changes can be made in the dialog.
Roll back | Creates a new revision with the content of the marked revision.
Filter field | The content of the audit trail is filtered to only display rows matching the filter field.

The Configuration audit trail and Server audit trail are available in the Audit trail group on the Administration tab.


Organize in the audit trails

In the Organize menu the following features are available:

  • Show system events - in addition to showing regular events, system events are displayed.

  • Show details - displays details of the events currently displayed in the audit trail.

  • Field chooser - displays the columns currently not displayed in the audit trail. Drag headers from the Field chooser to the audit trail to add columns. To remove a column, drag the header down from the header row.

  • Copy - is available when something is marked in the audit trail and then copies the selection.

  • Select all - selects all contents of the audit trail thus allowing all contents to be copied.

  • Expand all groups - expands all groups when some or all collapsed. Groups are created by dragging a header to the area above the headers.

  • Collapse all groups - collapses all groups in the case when some or all are expanded. Groups are created by dragging a header to the area above the headers.

  • Restore default layout - removes all customizations and displays the default layout.


Server log file

The Server log displays information about the server the Client is connected to. The content of the Server log file depends on the severity level selected in the Server options Miscellaneous settings.

To open the server log file, you need to have configuration management permissions. Open it by clicking Administrator | Server log.

The server log only displays the latest entries. To see the full log, open the log on the server computer, for example using the shortcut View server log in the context menu of the SIMCA-online Server Monitor in the Windows notification area.


Client log on the Administration tab

The Client log lists information such as:

- Connection/disconnection to server.

- Log level specified in SIMCA-online options.

- Days until license expires.

The Client log is available in the Log files group on the Administration tab.


Repredict data - batches

Repredicting historical batches

When the SIMCA-online server is turned off, it does not receive any data for new batches. If an entire batch has passed while the server has been turned off you can use Repredict data to monitor that batch once the server is running again.

Note: Repredicting batches can take a while and the server may become unresponsive.

To repredict do as follows:

  1. Enter the From date/time and To date/time that contain the (missed) batches.

  2. Click Show batches.
    The batches that match the specified time limits are displayed with their start time, stop time, duration and current status. The status can be:

    1. Missing - The batch has not been predicted.

    2. Predicting - The batch is currently predicting.

    3. Predicted - Predicted results exist for the batch.

    4. Workset duplicate - A batch with the same name exists in the workset.

    5. Active in batch node - A batch which is currently active in the batch node.

  3. In the list, select the batches to predict.

Note: To multiselect, mark and press <SPACE>.

  4. Click Predict at the bottom of the dialog box.

Note: All batches within the date/time range will be displayed when clicking Show batches, including batches already displayed in plots. However, the batches may display different status.

More:

Repredict data - continuous

Troubleshoot batch project execution


Repredict data - continuous

Repredicting data for continuous

When the SIMCA-online server is turned off, it does not receive any data. Use Repredict data to monitor the data not predicted once the server is running again.

Note: Repredicting data can take a while and the server may become unresponsive.

To repredict do as follows:

  1. Enter the From date/time and To date/time that specifies the time range to repredict.

  2. Click Repredict at the bottom of the dialog box.

Note: All data within the date/time range will be predicted when clicking Repredict, including data already displayed in plots.

More:

Repredict data - batch


Delete predicted data

Deleting predicted data

Batches can be deleted from the server. After deleting a batch, it can no longer be displayed in plots or lists.

To delete batches, click Delete predicted data and on the Delete batches tab, specify the From date/time and To date/time and click Show batches. The batches listed are the ones that SIMCA-online knows about. To delete a batch, select it with a check mark, and then click Delete.

The batch status in the last column can be:

  • Predicted. A historical batch that has finished (has an end time). The time when the SIMCA-online server predicted the batch is also listed.

  • Active. This is a batch that still is executing (does not have an end time). Deleting an active batch means that it can restart from the beginning. This can be useful if incorrect data has been read, and the data has been corrected in the data source. Also see Batch execution resiliency: Control tag cache.

  • Suspended. A suspended batch is a batch that was active when execution was stopped for the project configuration. It can be deleted as well. When execution is later started it is resumed.

Note: To multiselect, mark and press <SPACE>.


View tab

On the View tab, find the following features:

  • Open group with Data list, Open in SIMCA and Report.

  • Save workspace to be able to later restore the workspace with all open configurations and plots. See Workspaces

  • Show group where the visibility of the panes can be toggled. See Plot details and Production overview.

  • Window arrangements in the Window group. See Window group.

More:

Plot properties dialog of batch evolution plots

Plot properties dialog of batch level plots


Open group - View tab

Open group, View tab

The Data list, Open in SIMCA and Report are all available in the Open group on the View tab.


Data list

Data list on the View tab

The data in the internal database can be listed by clicking Data list on the View tab.

In the dialog that appears, select the data to display in the spreadsheet using the From and To date and time fields. For batch projects you can also select among the batches listed for the specified interval. Still active batches (without an end time) can also be selected.

In the table below, the content of the tabs in the created list are described.

Sheet | What is listed
Batch evolution data | Original measured variables plus the computed parameters, scores, DModX, etc available in the selected batch evolution model.
Batch level data | Original measured variables plus the computed parameters, scores, DModX, etc available in the selected batch level model.
Batch condition data | Batch condition variables.
Local centering data | Local centering data used in the selected batch evolution model.
Continuous trend data | Original measured variables plus the computed parameters, scores, DModX, etc available in the selected model.


Open in SIMCA

Open in SIMCA on the View tab

Open SIMCA Project in SIMCA dowloads the SIMCA project from the server, and enables you to open it in SIMCA to look at it, create model plots, etc (things not possible to do in SIMCA-online).

When you select to open a project in SIMCA from SIMCA-online, a copy of the project is created to avoid disturbing the current configurations. The copy of the project does not include a copy of the current .bcg-file.

To open a SIMCA-online project in SIMCA;

  1. On the View tab, click Open in SIMCA.

  2. A Save As-dialog is displayed where you get to select where on your local PC to save the project and change its name.

  3. Click Save and the project will be downloaded from the server, and then opened in SIMCA if you have it installed on your PC.

Tip: If you don't have SIMCA installed, you still know where you saved the project from step 2 so you can for example copy it to another computer where SIMCA is available.


Report on the View tab

The Report displays a summary of all triggered alarms and notes, in the current configuration for the selected time period/batches.

In the Report you can reset alarms and add, edit and remove notes.

Note: After resetting alarms or adding/editing/removing notes, you have to refresh to see modifications.

The table describes the features available in the report.

Report features

Description

Toolbar features

See the Report toolbar features topic.

Saving of the report

Can be done by printing it to pdf or copying to clipboard.

Group

Drag a column header above the header row to group by that property.

The report for batch configurations is grouped by batch and model by default.

Shortcut menu

The shortcut menu allows you to:

  • Select more/other columns in Columns.

  • Group by this field adding a group to the group area.

  • Hide column to not display the right-clicked column.

  • Sort ascending according to the right-clicked column.

  • Sort descending according to the right-clicked column.

  • Copy the selection.

  • Select all items in the report.

  • Print the content in the report.

The Report is available in the Open group on the View tab.

More:

Report columns description

Report toolbar features

Organize


Report toolbar features

In the Report use the toolbar to organize, select range, display plots, reset alarms, and add/modify notes.

The table describes the different features available for batch and regular projects.

Toolbar features

Result

Organize - see the Organize topics later in this section.

Select batches

Select time range

  1. Click Select batches/Select time range.

  2. Specify the From and To dates and times.

  3. For batch projects, mark the batches to display in Available batches and click ->.

Display triggered alarms

Plots displaying the triggered alarms marked in the Report are opened.

Reset alarm

See the Reset alarms topics later in this section.

Add note, Edit note, Delete note

See the Add note and Adding note to batch/phase/model topics later in this section.

Enter filter text here

The content of the report is filtered to only display rows matching the filter field.

Refresh

Updates the Report window.

The Report is available in the Open group on the View tab.


Add note

Adding notes

Notes can be added to a point marked in a plot or in the Report as follows:

  • Plot: mark a point and click Add note:

    • in the mini-toolbar,

    • in the Marked items group on the Tools tab or

    • on the shortcut menu.

  • Report: mark the row and click Add note in the toolbar or in the shortcut menu.

When adding a note the following dialog appears.

In the Add Note: Specify Severity and Text dialog, select the Severity level, and enter the text for the note in the Comment field.

The Severity levels available are: Low, Medium (default), or High where they result in different note symbols in the plot, in the Plot Details pane, and in the Report:

  • Low -

  • Medium -

  • High -

Editing notes

To modify a note use one of the following methods:

  • In the plot, mark the point with the note and click Add note.

  • In the Report, mark the note and click Edit note in the toolbar.

  • In the Plot Details pane, double-click the note.

Deleting notes

To remove a note use one of the following methods:

  • Mark the note in the Report and click Delete note in the toolbar.

  • In the Plot Details pane, mark the note and press DELETE on your keyboard.

More:

Adding note to batch/phase/model

Report toolbar features


Adding note to batch/phase/model

Adding Note in Note wizard

Notes can also be added to a batch, phase model, batch level model or observation using a wizard in the Report.

To add a note to an entire batch:

  1. In the Report mark a row that does not relate to maturity.

  2. Click Add note in the toolbar.

  3. In the Add Note: Select Note Type dialog box, select Batch, Phase/Model, or Observation.

    1. With Batch selected you must select a batch.

    2. With Phase selected you must select a batch and a phase or batch level model.

    3. With Observation selected you must select a batch, a phase, and an observation.

  4. After stepping through the wizard making selections according to step 3 the Add Note: Specify Severity and Text page opens allowing you to enter severity and text.


Reset alarms

Triggered alarms can be reset in three places:

  • In the Production Overview pane by clicking the model with the triggered alarm and clicking Reset alarms in the menu.

  • In the Plot Details pane by double-clicking the triggered alarm.

  • In the Report by marking a triggered alarm row and clicking Reset alarms in the toolbar.

In the Reset Alarms dialog, after clicking Reset the Sign and Comment dialog appears where you must or may (depending on whether electronic signature is turned on) enter a Comment and also your Password.

Alarm symbols after resetting:

  • Warning level:

  • Critical level:


Organize in the Report

In the Organize menu the following features are available:

  • Show alarms - results in that all alarms triggered during the time period are displayed. By default selected.

  • Show reset alarms - results in that triggered alarms during the time period that were reset are displayed. By default selected.

  • Show phases/models with no alarms - displays all phases and models for the time period even if no alarms were triggered and no notes added for them. By default selected and only available for batch models.

  • Show notes - displays all added notes for the time period. By default selected.

  • Field chooser - displays the columns currently not displayed in the Report. Drag headers from the Field chooser to the Report to add columns. To remove a column, drag the header down from the header row.

  • Copy - is available when something is marked in the Report and then copies the selection.

  • Select all - selects all contents of the Report thus allowing all contents to be copied.

  • Expand all groups - expands all groups when some or all are collapsed. Groups are created by dragging a header to the area above the headers.

  • Collapse all groups - collapses all groups in the case when some or all are expanded. Groups are created by dragging a header to the area above the headers.

  • Save layout - saves the current column headers and groups as the default for next time the report is opened.

  • Load saved layout - opens the saved layout for column headers and groups.

  • Restore default layout - removes any customization of the layout and displays the default layout.

Note: Save layout does not save changes to the selection in Organize.


Report columns description

The columns in the Report window are described in this topic.

To add columns, use the Organize | Field chooser from the toolbar, or Columns on the shortcut menu. To remove columns, just drag the column from the header row.

The default layout is different depending on whether the project is batch or regular, but the columns available are the same.

Column | Description and illustration
Severity | Icon signaling severity: - a HiHi/LoLo alarm was triggered, then reset: - a Hi/Lo warning was triggered, then reset: - a note was added, here displayed with increasing importance:
Importance | Icon signaling importance: - no alarms were triggered or there is a note of low importance : - a warning alarm was triggered or a medium importance note was added: nothing. - a critical alarm has been triggered or a high severity note has been added: - reset alarm:
Type | Icon signaling which type of event has happened: - an alarm: - a note:
Model | Model name from SIMCA, for instance "M1, Process under control".
Vector | Vector that the alarm was triggered in, for instance 'YPred'.
Observation | Time the alarm was triggered or note was added.
Batch specific
Batch | Batch ID from the external database
Maturity | The maturity value at the triggered alarm or note.
Batch start time | Start time, in the external database, for the batch.
Batch stop time | Stop time, in the external database, for the batch.
Phase start time | Start time, in the external database, for the phase.
Phase stop time | Stop time, in the external database, for the phase.

More:

Report


Show group, View tab

Show group

The Show group includes the Plot details and Production overview panes.


Plot Details pane

Plot Details

The Plot Details pane displays all triggered alarms and all notes present in the active plot.

In the Plot Details pane you can reset alarms and edit notes by double-clicking the respective rows. You can also delete notes by marking and pressing DELETE.

Select to display the Plot Details pane by selecting the Plot detail check box in the Show group on the View tab.


Production Overview pane

Production Overview

The Production Overview pane displays the status of the currently active configuration; current and recent activity including alarms. It does not show the overall status of the entire server like the SIMCA-online Web Client does.

For a batch project, Production Overview shows batches. This is described in Batch Production Overview.

For a continuous/non-batch project, Production Overview shows executions. Learn more below.

Tip: you can filter the contents of the production overview pane. This can be useful to search for batches with a particular name, or look for alarms in the process. Learn more in Filter production overview.

Continuous project Production Overview

For a continuous / non-batch project production overview shows Executions. An execution starts when execution is started for the project configuration, and ends when execution is stopped.

The active execution is listed at the top. Previous executions are listed under the RECENT heading.

The header row for an execution displays the execution start time, and current overall status: green when no alarm has been triggered or if all alarms has been reset, yellow for when a warning alarm has been triggered, and red when a critical alarm has been triggered. A check mark icon is shown if an alarm has been reset.

Below the header row the Start and Stop times are displayed. If the execution is still active, the stop time is Active.

The executing model is represented by a color coded box with its model number and title. The box is green when there is an active batch or execution but no alarm has been triggered, yellow when a warning alarm has been triggered, red when a critical alarm has been triggered, and uncolored before data has reached that model. The width of the box is unrelated to the Execution, and is determined by the Overview time range setting in the Time ranges page of the configuration.

If Control Advisor is used, its status is visualized in the Production Overview: earn more below on Control Advisor..

Right-click a model to show this context menu:

  • Reset alarms returns the color for the model to green until the next alarm is triggered.

  • Display triggered alarms opens the triggered vectors zoomed in on the subplot with the triggered alarm for the model. These plots also display the specified alarm limits, warning limits in yellow and critical limits in red.

  • Display configured alarms opens plots displaying all alarms specified in the configuration. These plots also display the specified alarm limits, warning limits in yellow and critical limits in red.

Control Advisor indications in Production overview

For projects where the Control Advisor is enabled, there is a Control Advisor section under the Stop time row that lists;

  • Control Advisor status as Operative, Inoperative or N/A. The status is Operative once the first control maturity/control point has been passed and the current point is within operational limits. Inoperative when the current point is outside the specified limits for the Control Advisor. Tip: Hoover the mouse over Inoperative to get a tooltip with the current values for DModX and T2Range for the forecast model. N/A is displayed before the first control maturity has passed and after the phase has ended.

  • Control maturity/Latest run displaying latest passed control maturity/previous optimization time point.

  • Setpoint values for the applicable variables.


Batch Production Overview

Batch project Production Overview

For a batch project, the Production overview pane shows batches. Besides displaying the current status of the project configuration, the pane can also be used to select batches in plots for easy comparison. Learn more further down this page.

The active batches are listed at the top and finished batches below it. Batches that have lived within the Recent time range in the project configuration are always displayed. When batches become too old they automatically fall out.

The header row displays the batch name and current overall status for the batch: green when no alarm has been triggered or if all alarms has been reset, yellow for when a warning alarm has been triggered, and red when a critical alarm has been triggered. A check mark icon is shown if an alarm has been reset.

The color of the batch in plots are also indicated with a colored ball to left of the batch ID, making it easier to identify batches in plots. Note that the colors are the default color for batches, so if colors have been overridden in a plot, they won't match.

Below the header row the batch's start and end times are displayed.

Each model is represented by a color coded box with its model number and title, or phase name. The box is white for a model that has not executed yet, striped for an executing phase, and solid for a phase or model that has finished executing.

Batch level models and batch conditions are collapsed by default. Click to expand to see details.

A box is green when there is an active batch or execution but no alarm has been triggered, yellow when a warning alarm has been triggered, red when a critical alarm has been triggered, and uncolored before the model has started execution.

If Control Advisor is used, its status is visualized in the Production Overview, learn more in Production overview.

Right-click a batch to show the context menu for it. Here you can:

  • Reset all alarms for the batch in one go

  • Troubleshoot batch execution (If you have the Read Data Source permission)

  • Repredict the batch (If you have the Predict Data permission)

Right-click a model to show this context menu:

  • Reset alarms returns the color for the model to green until the next alarm is triggered.

  • Display triggered alarms opens the triggered vectors zoomed in on the subplot with the triggered alarm for the model. These plots also display the specified alarm limits, warning limits in yellow and critical limits in red.

  • Display configured alarms opens plots displaying all alarms specified in the configuration. These plots also display the specified alarm limits, warning limits in yellow and critical limits in red.

Selecting batches in Production Overview displays them in all plots

If you select a batch in production overview, using a check box, it becomes automatically select in all open plots, and any new plots you create. Bathces selected this way are displayed with circle point symbols. This is a good way to highlight important batches over all plots. The yellow batch in this plot is selected in production overview:

The batches visible in an Individual plot can be changed using the Properties pane.

Selected batches can be shared between users

Selected batches in production overview are saved in workspaces; both in server workspaces that can be shared between users, and in the per-client-user session workspace that saves the open plots when you log out from a server, and restores them when you log in again.

Note that batch selection is personal to the individual user on a PC, and cannot be shared between different users of a project configuration, except for when sharing a workspace.

Display older reference batches in Production Overview

If you want to see older batches, for example good batches that you want to compare with the active batch or a recent batch, you can use the Reference batches... link to add them. Locate the older batches in the select batches dialog that is displayed. After clicking OK, the batches you selected are automatically selected and displayed in all plots:

Notice the horizontal line separating Recent batches above the line from the two reference batches that just were added.

A batch that has been selected will remain in Production Overview. This is true even if you clear it. To remove batches that were once selected, you can right-click and click Remove unselected reference batches. Closing and reopening the project configuration also removes no longer selected batches.

Workset batches in Production Overview

Workset batches are displayed at the bottom of Production Overview. The selected workset batches are displayed in all plots.

If you want to control whether and which workset batches are displayed in Production Overview, you can do so in Plot Options. See Production overview options.

If a workset batch only exist in the batch level in a separate dataset from those in the model, its name will have the suffix "(BL only)" to indicate this.

Global plot properties - applied to all plots for the configuration

Production overview has a new collapsible category called 'GLOBAL PLOT PROPERTIES'. The settings within that category applies to all open plots for the project configuration.

You can quickly hide the active batches from all plots by clearing the Show active check box. Click once more to show them again.

Similarly, if you want to hide the recent batches from all evolution plots or batch level plots, clear the corresponding check boxes. This also changes the default for new plots (unlike for active batches which are always displayed for new plots).

The settings for global plot properties are also saved in workspaces, making it possible to easily share those settings.

Color by batch attributes over all plots

The Global Plot Properties category also has functionality for changing the batch coloring in all open and new plots.

If the project configuration has Batch attributes, you can easily switch between batch ID (default) and batch attribute coloring. This makes it easy to quickly see batches of different categories in all open plots, for example comparing batches with different raw materials.

Only batch attributes that are connected to a data source tag are listed, and you can see the data source tag in the tooltip.

When coloring by batch attribute there is also a tooltip for each batch's color, where you can see the value of the batch attribute.

Coloring by batch attribute uses categorical coloring and there are only 16 colors which are assigned programmatically and there can be clashes even when fewer than 16 colors are used. Learn more on how the coloring works in Color by and size by.

Settings for coloring are saved in workspaces, and can thus be shared between users that way.

Notes that color can be changed for an individual plot using Color by in the Batch plot properties pane.


Filter in production overview

Filter the production overview

It is possible to filter the contents of the Production Overview pane. This can be useful to search for batches with a particular name, or look for alarms in the process.

How to use

Type a string in the filter edit in the production overview, and the contents of the window will be updated to match your search string. Multiple words can be used to refine your search and surrounding two or more strings with quotation marks can be used to match multi word strings exactly.

What can be searched for

Currently filtering matches name and alarm status for the visible batches/executions. When filtering for alarms the phrases 'critical', 'warning' and 'alarm' will show you items which overall alarm state is critical or warning, when filtering using 'alarm' you get all items that has an overall state of either critical or warning.

Search string syntax

The search string can use substring matching, wildcards (?,*), or regular expressions (to use regex start and end with '/', for example: /batch[0-9]/). Learn more about the syntax in Batch node page which uses the same syntax.

Filter menu

From the filter menu you can select a few predefined filters.

Examples

The filter string 'batch1' will show all batches containing the text 'batch1'.

The filter string 'critical' will show all batches with an alarm level of 'critical'.


Window group

The Window group contains the window commands Cascade, Tile horizontally, Tile vertically, Close, and Switch windows.

Clicking the Window group dialog box launcher opens the Arrange Windows dialog.


Tools tab

The Tools tab holds the features: Add plot element, Templates, Create list, Drill down, Add note, Select, Zoom, Zoom out, and Sort.


Layout group, Tools tab

The Layout group holds features pertaining to how the plot is displayed. These features are described in the Add plot element and Templates sections that follow.


Add plot element - Layout group

Add plot element in Layout group

The Add plot element menu, available on the Tools tab and on the mini-toolbar, contains a number of features that can be turned on and off for the active plot.

  • Maximize plot area .

  • The Header, Footer, Legend, Axis titles, Axes, and Timestamp check boxes which results in that the respective item is displayed if selected and hidden when cleared.

  • Regression line.


Maximizing the plot area

Each plot displays a plot area and also a header and a footer.

To view only the plot area and not the header and footer, on the Tools tab, in the Layout group, click Add plot element | Maximize plot area.

To again view header and footer, click Maximize plot area again.


Regression line

The regression line and equation can be displayed for any plot.

Open a plot, and on the Tools tab, in the Layout group, click Add plot element | R egression line.

The attributes of the line and equation can be changed in Format Plot, in the pages Region style, Font, and Label style.


Templates in the Layout group on the Tools tab

The Templates menu holds features pertaining to the formatting of plots.

The following features are available:

  • Save as default and Save as described in Saving format plot template topic.

  • Load template described in Switching plot formatting templates topic.

  • Open templates folder - opens the folder holding the templates.

  • Restore default settings described in Restoring to default plot formatting topic.

The Format Plot dialog is described in the Format plot section in Chapter 11, Customizing plots.


Saving format plot template

After customizing the plots using Format Plot you can save the settings of some attributes, such as fonts, gridlines, symbol type etc., to a template.

To save a template, with the plot open, in the Layout group, on the Tools tab, click Templates | Save as default, or Save as and specify a name.

Note: Only the formatting available in the current plot is saved to the customized plot formatting configuration. All other formatting will remain default. This means that formatting of headers, footers etc. apply to all plot types (e.g. scatter, column, line) while default line color, default symbol shape are plot specific and need to be specified with that plot type open.

More:

Restoring to default plot formatting


Switching plot formatting templates

After having added customized plot formatting templates, these templates can be selected by clicking the relevant template under Templates in the Layout group, on the Tools tab.

After loading a new template, that template is applied to all open and future plots.


Restoring to default plot formatting

To restore to the default plot formatting template, on the Tools tab, in the Layout group, click Templates | Restore default settings. This restores the Default plot template to the default plot formatting and switches to it.

Under the Manage templates header you can also select to Open templates folder to view and delete templates.


Create list on Tools tab

The data in each plot can be displayed as a list with tabs by clicking Create list on the Tools tab. This list includes data for dynamic limits.

For multiplots, the data from each subplot is found in a tab named by the phase ID.

Note: Creating a list can also be done by pressing CTRL+L or right-clicking the plot and clicking Create list.


Drill down

Drill down becomes available in the Marked Items group, on the Tools tab, after marking one or more points.

The table lists, the different results possible when clicking Drill down.

Marked points | Drill down result
Time points for regular or batch evolution. | A contribution plot.
Batch points in batch level. | A contribution plot of the points vs. average batch.
Contribution column for regular or batch evolution. | A variable plot.
Score (t) contribution column in batch level. | A batch evolution contribution plot.
Contribution column for a batch condition in batch level. | A batch level variable plot.
Contribution column that is not score and not a batch condition, in batch level. | A batch evolution variable plot.


Contribution plots for batch projects

When a time point or batch point deviates from the expected, a contribution plot displays which variables that have contributed to the deviation.

In the table, the types of contribution plots available are listed.

Plot type | Using Drill down
One point compared to the average. | Mark a point and click the Drill down button.
One point compared with another point. | Click on one point and then on the other. Note that they are marked in different colors. Click the Drill down button.
A group of points compared to the average. | Mark all points in the group by circling them or by holding down the CTRL key and clicking the points. Then click the Drill down button.
One point compared to a group of points. | Mark all points in the group by circling them and then click the single time point (without holding down the CTRL key). Click the Drill down button.
A group of points compared to another group of points. | Mark all points in the first group by circling them or by holding down the CTRL key and clicking the points. Then mark all points in the second group by circling them or by holding down the CTRL key and clicking the points. Click the Drill down button.

Note: When marking a group of points and then clicking Drill down, the Select Observations dialog opens. To not include all points when calculating the contribution plot, clear the relevant boxes.

Contribution plots not available

The following contribution plots cannot be created in SIMCA-online batch projects

  • Contribution plots of time points in different phases or sub-batches in batch evolution.

More:

Drill down


Display a contribution or variable plot

To display a contribution or variable plot, use one of the following methods:

  • Double-click the point or column.

  • Mark and click Drill down in the mini-toolbar.

  • Mark and on the Tools tab, in the Marked items group, click Drill down.

  • Mark, right-click, and click Drill down.

Marking first one point or group and then another, in a score or y predicted plots, results in a contribution plot of the first marking vs. the second marking.

When marking in a contribution plot of a regular or batch evolution model, and clicking Drill down, the result is a variable plot.

When marking in a batch level contribution plot, where the model was built from score variables from the batch evolution model, the resulting plot is a batch evolution contribution plot.

More:

Drill down

Contribution plots for batch projects

Contribution plots for regular projects


Contribution plot for time points outside the limits

For batch evolution models, the active batches are projected in control chart plots as they are evolving.

When a batch time point is outside the limit, this indicates that at this time point the batch data vector has some variables that are larger or smaller than the variable of the average batch computed from the workset in SIMCA offline.

More:

Display a contribution or variable plot

Contribution plot from score plot

Contribution plot for Hotelling's T2Range

Contribution plot for DModX

Contribution Predicted Maturity Plots

Contribution plot for the difference between two selected time points


Contribution score plots for batch evolution

Contribution score plots

When a point is found outside the limits, double-click the selected time point to display the contribution plot.

The contribution plot displays the difference between the variables of the active batch at the selected time point and the variables of the average batch at that same time point, weighted by the loading p for OPLS and w* for PLS of the corresponding dimension.

Trend plot of the variable

Double-click a variable with the large value in the contribution plot to display the dynamic trend plot of that variable. This plot is also updated in real time as the active batch evolves.


Contribution Hotelling's T2Range plots for batch evolution

Contribution Hotelling's T2Range plots

When the value for Hotelling's T2Range is outside the limit, double-click the time point to display the contribution plot.

The contribution plot shows the deviations for the selected time point weighted by the loading p for OPLS and w* for PLS of the corresponding dimensions.

Trend plot

Double-click a variable to display its trend plot.

More:

Contribution score plots


Contribution DModX plots for batch evolution

Contribution DModX plots

When a time point has a DModX or DModX+ outside the critical limit, double-click the time point to display the contribution plot.

The contribution plot shows the variables residuals for the selected time point weighted by the variable importance in the model, RX.

Trend plot

Double-click a variable to display its trend plot.

More:

Contribution score plots


Contribution Y Predicted for batch evolution

Contribution Y Predicted plots

When a time point in the Y Predicted plot is outside the limits, double-click the time point outside the limits to display the contribution plot.

The contribution plot shows the deviations for the selected time point weighted by p1 for OPLS and w*1 for PLS.

Trend plot

Double-click a variable to display its trend plot.

More:

Contribution score plots


Contribution plot of the difference between batches at a selected time point

To display the contribution plot between the active batch at a selected time point and a reference batch, do the following:

  1. Select the reference batch from the Batches box.

  2. Mark the two points by clicking one, and then the other.

  3. Click Drill down in the Marked items group on the Tools tab.

  4. Double-click the variable if you want to display the trend plot.


Contribution plot for batches - batch level

Contribution plot for batch points outside the limits

When the last observation of a new batch or model has been read from the server, the batch level observation for that batch is created and the batch is displayed in the batch level plots.

When a batch point is positioned outside the limit, this indicates that the batch differs from the batches used in the workset in SIMCA offline.

To see which variables that are responsible for the deviation, mark the point and on the Tools tab, click Drill down to open the relevant contribution plot.

By default the contribution plot is displayed as a Sources of variation plot. To change to the regular column plot, use the Layout box in the Properties group on the Home tab.

More:

Display a contribution or variable plot

Contribution score plots

Contribution plot for Hotelling's T2Range

Contribution distance to the Model

Contribution plot for Y Predicted

Variables in the batch level model are scores from the batch evolution model


Contribution score plots for batch level

Contribution score plots

When a batch is found outside the ellipse in the score scatter plot, mark the batch, and click Drill down to display the contribution plot.

The batch level score contribution plot (in the Sources of variation form) shows the difference in the X variables between the selected batch and the model center, weighted by the loadings p1 & p2 for PCA and OPLS and w*1 & w*2 for PLS.

More:

Batch evolution contribution from batch level contribution

Display a contribution or variable plot


Contribution Hotelling's T2Range plots for batch level

Contribution Hotelling's T2Range plots

Double-click a deviating batch in the Hotelling's T2Range plot to display the contribution plot.

The batch level Hotelling's T2Range contribution plot shows the deviations for the selected batch weighted by the loading p for OPLS/PCA and w* for PLS of the corresponding dimensions.

More:

Batch evolution contribution from batch level contribution

Contribution score plots


Contribution DModX plots for batch level

Contribution DModX plots

Double-click the deviating batch in the DModX plot to display the contribution plot.

More:

Batch evolution contribution from batch level contribution

Contribution score plots


Contribution Y Predicted plots for batch level

Contribution Y Predicted plots

When a value is large or small in comparison with the others in the Y Predicted plot, this indicates something unusual about that batch.

Double-click the batch to display the contribution plot.

The contribution plot shows the deviations for the selected batch weighted by CoeffCS when there are more than one y-variable. For models with only one y-variable, w*1 is used as weight.

More:

Batch evolution contribution from batch level contribution

Contribution score plots


Batch evolution contribution from batch level contribution

When the variables in the batch level model are scores from the batch evolution model, the variables displayed in the batch level contribution plots are scores, t1, t2 etc over the evolution of the batch. Double-clicking a score column in the batch level contribution plot then opens the batch evolution contribution plot.


Contribution plots for regular projects

When a point deviates from the expected, a contribution plot displays which variables have contributed to the deviation.

In the table, the types of contribution plots available are listed.

Plot type | Using Drill down
One point compared to the average. | Mark a point and click Drill down.
One point compared with another point. | Mark one point and then the other. Note that they are marked in different colors. Click Drill down.
A group of points compared to the average. | Mark all points in the group by circling them or by holding down the CTRL key and clicking the points. Then click Drill down.
One point compared to a group of points. | Mark all points in the group by circling them and then click the single time point (without holding down the CTRL key). Click Drill down.
A group of points compared to another group of points. | Mark all points in the first group by circling them or by holding down the CTRL key and clicking the points. Then mark all points in the second group by circling them or by holding down the CTRL key and clicking the points. Click Drill down.

Note: In the DModX contribution plot, the columns indicate the deviations from the normal correlation structure (model), NOT from the average point or another reference point. The dominating columns indicate which variables deviate most from the correlation structure, and the sign of the column (down = minus and up = plus) indicate in which direction the variables deviate.

More:

Contribution plots for batch projects


Contribution plot for deviating points

The points in the process are projected in plots as they are evolving. When a time point deviates from normal behavior, this indicates that at this time point the data vector has some variables that are larger or smaller than the variable of the average computed from the workset in SIMCA offline.

Independent of which type of contribution that is being created, the Select observation tab is available in Plot Properties enabling revision of the selection. For batch, this dialog opens automatically before creating the contribution plot.

More:

Display a contribution or variable plot

Contribution plot from score plot

Contribution plot for DModX

Contribution plot for Hotelling's T2Range

Contribution plot for YPred

Contribution plot for the difference between selected time points


Contribution plot of the difference between selected time points

To display the contribution plot between a selected point and another point:

  1. In the relevant plot, mark the two points by clicking one, and then the other.

  2. Click Drill down in the Marked items group on the Tools tab.

  3. Double-click the variable if you want to display the trend plot.


Contribution score plots for continuous

Contribution score plots

When a point deviates, double-click the selected time point to display the contribution plot.

The contribution plot displays the difference between the variables of the marked point and the variables at the workset average, weighted by the loading p for OPLS/PCA and w* for PLS of the corresponding dimension.


Contribution Hotelling's T2Range plots for continuous

Contribution Hotelling's T2Range plots

When the value for Hotelling's T2Range deviates, double-click the time point to display the contribution plot.

The contribution plot shows the deviations for the selected time point weighted by the loading p for OPLS/PCA and w* for PLS of the corresponding dimensions.

Trend plot

Double-click a variable to display its trend plot.

More:

Contribution score plots


Contribution DModX+ plots for continuous

Contribution DModX plots

When a time point has a DModX that deviates, double-click the time point to display the contribution plot.

The contribution plot shows the variables residuals for the selected point weighted by the variable importance in the model RX.

Note: When DModX+ is displayed in the plot, the resulting plot is a plot displaying Hotelling's T2Range and DModX since these plots reveal which of the two, if not both, is responsible for the deviating observation.

More:

Contribution score plots


Contribution Y Predicted plots for continuous

Contribution Y Predicted plots

When a point in the Y Predicted plot deviates, double-click it to display the contribution plot.

The contribution plot shows the deviations for the selected batch weighted by CoeffCS when there are more than one y-variable. For models with only one y-variable, w*1 is used as weight.

More:

Contribution score plots


Select - Marking tool

The Select tool is used to select which type of marking to use.

Click the bottom part of the Select split button and click the type of marker from the menu. The available marking types are:

  • Free-form selection: Allows marking to take any shape (default).

  • Rectangular selection: Marks in a rectangular shape.

  • Select along the X-axis: Marks as a vertical bar.

  • Select along the Y-axis: Marks as a horizontal bar.

Note: To keep the marked points marked, while marking new points, hold down CTRL. The marked points then belong to the same group of marked items.

Deselecting/unmarking points

To deselect points in a plot, click a white area in the plot.

To deselect points in a list, mark the first row.

Displaying properties of the item

When positioning the cursor on an item in a plot, the marker behaves as a pointer and displays the name and coordinates of the observation or variable.

Creating contribution plots

With any marker:

  1. Double-click an observation in a score plot for instance. The contribution plot opens, comparing the variable values of the selected observation to the average of all the observations in the workset. This plot indicates why the selected observation is different from the average.

  2. Click the first observation, and then double click the second observation. The resulting contribution indicates why the first observation differs from the second.

For more about creating contribution plots, see the Drill down section earlier in this chapter.


Zooming in and out

Zoom

To zoom in a plot, click the Zoom tool in the Zoom group on the Tools tab. By default Zoom in is selected.

Use the Zoom menu to select the type of zoom from the drop down menu:

  • Zoom in: Magnifies a rectangular region

  • Zoom X: Magnifies a region along the x-axis

  • Zoom Y: Magnifies a region along the y-axis

  • Zoom subplot: Magnifies a subplot in a multi-plot display.

Then mark the desired region, or subplot, of the plot to zoom.

Note: With any zooming type selected, double-clicking a subplot automatically zooms the subplot.

Zooming out

Click Zoom out to revert zoom to original scale in the steps taken when zooming.


Sort on the Tools tab

The contribution column plots can be sorted ascending or descending.

To sort

  1. Open the contribution column plot.

  2. On the Tools tab, click the Sort arrow and select the sorting type.

    • Sort by absolute value - sorting the plot with the largest column, in absolute values, to the left and the smallest to the right.

    • Sort by value - sorting the plot with the largest positive column to the left and the smallest value to the right.

    • Sort by name - sorting the plot alphabetically using the displayed variable ID.

    • Original sort order - reverting the sorting to standard order, that is, the variables are displayed in the same order as the SIMCA workset.

    • Missing values listed first - resulting in that in addition to the selected sorting, the variables with missing are displayed to the left in the plot. This option is only available when selecting to Sort by absolute value or Sort by value.

More:

Plot defaults - contribution plots


Project Explorer pane

Project Explorer

The Project Explorer pane displays a list of currently open configurations, and a folder tree with available projects, configurations and workspaces on the server.

Toolbar

Located at the top of the Project Explorer pane, the toolbar contains commonly used tools.

  • From the ☰ menu the following commands are available:

    • New folder - Create a new folder in order to group projects/configurations/workspaces as desired.

    • Upload SIMCA project - Upload a SIMCA project to the selected folder. This will also Add a configuration for the uploaded project.

    • Add configuration - Add a new configuration for the selected project. See Configuration for batch project and Configuration for regular project sections.

    • Save workspace - Save the currently open plots as a workspace on the server.

    • Show deleted items - Display/hide deleted items, that have not been purged, in the tree.

    • Help - Display help.

  • Update configuration - View or update the settings for the selected configuration. See Configuration for batch project and Configuration for regular project sections.

  • Start execution - Start the execution for the selected configurations.

  • Stop execution - Stop the execution for the selected configurations.

  • Filter - Enter a filter to filter the folder tree on name, or use the quick-filter button to filter on workspaces, projects, configurations, executing configurations, or configurations that are open in the client.

Open configurations

The open configurations section displays a list of configurations currently open in the client, along with their current status and a button to close the configuration.

The currently active configuration is displayed in bold. Single-click a configuration in the list of open configurations to activate it.

Server

The server section displays a folder tree with projects, configurations and workspaces on the server currently accessible for the logged on user. If a configuration is open in the client it will be displayed as [open] in the folder tree. The currently active configuration is displayed in bold.

Double-click a configuration in the list to open it in the client. If you instead want to update a project configuration, you can use the toolbar, or right-click on it.

From the right-click context menu and the ⋮ menu the following commands are available:

  • Open - Open the selected workspace/configurations.

  • Close - Close the selected configurations.

  • New folder - Create a new folder in order to group projects/configurations/workspaces as desired.

  • Upload SIMCA project - Upload a SIMCA project to the selected folder. This will also Add a configuration for the uploaded project.

  • Add configuration - Add a new configuration for the selected project. See Configuration for batch project and Configuration for regular project sections.

  • Save workspace - Save the currently open plots as a workspace on the server.

  • Folder access rights - Control which user groups can access the selected folder.

  • Open project in SIMCA - Download the SIMCA project from the server to a specific location on your computer and open it in SIMCA.

  • Update SIMCA project - Download the SIMCA project with additional datasets from the selected configuration and open it in SIMCA.

  • Update configuration - View or update the settings for the selected configuration. See Configuration for batch project and Configuration for regular project sections.

  • Start execution - Start the execution for the selected configurations.

  • Stop execution - Stop the execution for the selected configurations.

  • Copy link - Copy a link to the selected workspace/configuration.

  • Create desktop shortcut - Create a shortcut to the selected workspace/configuration on your desktop.

  • Rename - Rename the selected folder/workspace/configuration.

  • Delete - Delete the selected items.

  • Restore - Restore the selected projects/configurations.

  • Purge - Permanently delete the selected projects/configurations from the server.

Use drag and drop to move folders/projects to other locations in the folder tree.

Note: Certain commands may be unavailable, depending on the permissions of the current user.


Folder access rights

To expose a limited selection of configurations, create folders for the projects and configurations, and configure the access rights so that only subsets of the folders are displayed for different users.

To specify access rights, mark a folder and click Folder access rights.

Note: Permissions are controlled in the User administration dialog.

More:

Groups page


Configuring batch project

To import a new batch project and configure it:

  1. Click Upload SIMCA project.

  2. Select the SIMCA project and click Open. The configuration wizard opens.

You can modify previously added project configurations. Before modifying a configuration, the execution has to be stopped.

The project configuration wizard allows you to configure your project step by step by going through the pages and do changes to each page. If you have imported a configuration from a file or from the SIMCA project you may want to use the Fast-Forward Finish button in order to fast-forward through the pages. The fast-forward finish will stop at any page containing errors, so there is no risk of an invalid configuration.

When uploading a SIMCA project a copy of it is created on the server.

Note: The configuration done on the Batch evolution, Unit groups, and Batch level pages cannot be modified. To make such changes, add a new configuration for the project.


Import configuration for batch in Configure dialog

Import configuration for the batch project

If you have a SIMCA-online configuration file you want to use, click Import from file, in the Import configuration page, and select the .bcg-file. If the SIMCA project includes the configuration file you want to use, click Import from SIMCA project.

After importing the configuration file, the Description section displays the name of the selected configuration file warnings if there are obvious mismatches between the selected project and the imported configuration file.

To start configuring, or view/modify the configuration in the case where you have imported a configuration file, click Next.

Note: The current configuration is saved with the SIMCA-online copy of the project.

Importing configuration file from previous version

You can import a .bcg-file from a previous version. However some parts of the configuration are not imported when the .bcg-file was created in SIMCA-Batch On-Line.

This means that when importing a .bcg-file created in SIMCA-Batch On-Line, the batch level model settings are not imported, nor are export settings (write back) or execution intervals for phases.

More:

Import configuration for regular


Use alarm settings from the SIMCA project

SIMCA 15 introduced the possibility to specify limits and settings for alarms in SIMCA. This enables data scientists to work with the models in SIMCA and compute and define good alarm limits there. The limits are then automatically used when the project is configured in SIMCA-online.

Scope and requirements

Alarms in SIMCA-online can be configured for both continuous and batch processes, for both target value alarms (for variables) and multivariate alarms. Learn more on SIMCA-online alarms.

These types of alarms and settings can now also be specified and SIMCA (starting in 15.0), and when present be imported to SIMCA-online when the project is configured.

How to use in SIMCA-online

The Project Explorer pane is used to configure projects in SIMCA-online. Once you have uploaded a SIMCA project that contains defined alarms and limits to the server you can create a project configuration for it.

When you add a new configuration, SIMCA-online notices that there are alarms and automatically imports them, and informs you about this in the import log on the first configuration page.

As the message in the log says, you can then proceed to complete the configuration wizard and see the imported settings on the alarms and target value pages. See below for a table listing the configuration wizard pages for alarms.

Note: If you import settings from a configuration file on disk or that are embedded in the project you will overwrite the any alarm settings. To re-apply the SIMCA limits and alarms, click the Import alarms from SIMCA project-button after you have imported the configuration file. This merges the SIMCA alarms settings with any previously existing settings.

Note: An exception to this is if you configure alarms in SIMCA for a project that has been updated with SIMCA-online's Update SIMCA Project feature, and then use the share-functionality in SIMCA to push the project back to SIMCA-online, SIMCA-online will automatically apply the SIMCA alarms, and merge them with any previously existing SIMCA-online alarms for the configuration.

Note: For batch level alarms SIMCA allows you to configure alarms for batch condition variables differently in batch level models. This is not supported in SIMCA-online which will import alarm settings for each model, but models with higher model number will overwrite earlier batch level models' settings.

Configuration pages relating to alarms

The following table shows on which project configuration pages alarms are configured:

Alarm type / project type: | Continuous (non-batch) | Batch
Univariate target value alarms | Target values page | Batch evolution Target values page Batch level Target values page
Multivariate alarms | Alarms page | Batch evolution Alarms page Batch evolution Alarm triggers page Batch level Alarms page

Learn more

  • How to configure projects in the Project Explorer pane in see 10 - Project Explorer.

  • Alarms and Target value alarms, see Alarms and Target values.

  • See the SIMCA user guide (version 15 and later) for information how to configure limits and alarms in SIMCA.


Batch node

A batch node is a node from a SimApi that keeps track of batches; their batch identifiers (names) and start and end times. A batch node is required by SIMCA-online to execute batch project configurations.

The batch identifier filter for a configuration determines which batches are visible to SIMCA-online for that configuration. This can be used to filter batches so that for example only batches whose ID starts with "a" can be executed by the project configuration. This includes when SIMCA-online does real-time monitoring, but also which batches show up in the Repredict data dialog. Tip: The server log contains information on Filtered batches when Debug logging is turned on in it.

Batch node page

On the Batch node page, select the node that you want to use for the project configuration. As noted above, it determines the batches that can be executed by the configuration. If currently selected batch node is listed in red, it means that it does not exist in a data source and needs to be changed.

If no node is listed here you need to verify that you have installed and configured a SimApi that provides the batch node functionality. Learn more in SimApi configuration.

If desired, specify a Batch identifier filter if you want to limit the batches that can be executed for this project configuration. The filter can use substring matching, wildcard matching or regular expressions. Learn more about the syntax in Using the Tag filter field topic.

Use the Find batches button if you want to see the batches that are available in a batch node. If you have specified a filter, it will also be used to filter the batches in that node. This can be a good way to test that your batch identity filter works as you expect.

Use the Batch Context Generator

Tip: If the data source and SimApi doesn't have a batch node, you can use the SIMCA-online Batch Context Generator to automatically populate a batch node for you using process data and a set of rules that you specify.


Batch evolution page in Configure dialog

Specifying execution interval for phases

When there are phases in the project, you have to specify the execution interval for each phase in the Batch evolution page in the Configure dialog.

The unit of the Execution interval is seconds.

The execution interval is the sampling interval of the SIMCA-online Server, i.e. how often the Server samples the PDB for batch data and executes the models when the Data retrieval mode is Continuous. Note that the execution interval in SIMCA-online must be the same as the sampling interval used in the SIMCA model, when the Data retrieval mode is Continuous.

When the Data retrieval mode is Discrete, all data for the phase is collected at the given execution interval. Note that Discrete data retrieval requires a SimApi that supports this.

Note: To predict batches, at least one phase must have Data retrieval mode set to Continuous. A configuration where all phases have Data retrieval mode Discrete will never be executed by the server. There must be at least one Continuous phase whose phase execution condition determines when execution will start for a batch.

After filling in all execution intervals, click Next.


Unit groups in Configure dialog

Unit groups

A unit group is a process step, for instance a granulator. The unit group contains one or more identical units. Each unit is a physical equipment/machine/vessel that processes a batch or sub-batch. A sub-batch is a part of a batch. Sub-batches are present when an entire batch cannot be processed in a single unit. Each batch passes through one or more phases.

When a unit group is marked use Add unit group, Remove unit group and Rename unit group to organize the unit groups.

When a unit is marked, use Add unit, Remove unit and Rename unit to organize the units.

If some part of the batch process separates batches in sub-batches, right-click and click Show sub-batches.

When there are phases in the project, you have to specify in which unit and sub-batch the phase will be executed by selecting the respective phase check box in that unit group or sub-batch.

Hint: Expand all or Collapse all unit groups by right-clicking the dialog box.

When all unit groups, units, and sub-batches have been defined and phases selected, click Next.


Use unit information from the SIMCA project

Units in SIMCA

SIMCA 15 introduces the possibility to specify in which unit a batch has run. More specifically each phase evolution model (for each batch) can run in a named unit. Multiple phase models can run in the same unit.

In SIMCA, the units are specified when creating the project (or importing new data). The unit information comes from a specific column in the dataset. For more information, refer to the documentation for SIMCA.

Units in SIMCA-online

A unit in SIMCA-online typically corresponds to a physical unit or machine in the real world, but it can also be logical construct that you can use to control the layout of plots and in SIMCA-online. A unit group is a logical container of one or more units of the same type.

Learn more about units and unit groups, and how it affects project configuration and layout in the SIMCA-online technical guide.

Unit layout in SIMCA-online

When you create a batch project configuration in SIMCA-online you create the unit groups and units on the Unit group configuration page.

Default unit layout

Depending on if unit information is available in the SIMCA project, SIMCA-online creates different default layouts.

If the SIMCA project does not contain unit information, a single unit group 'Unit group' holding a single unit 'Unit' is created. In this unit group all phase models are configured to execute.

If the SIMCA project does hold unit information the default configuration creates a Unit group for each phase model in the project. Then the units that have used this model are created for that unit group using the names from the project. For example; given a project with phases 'chip' and 'acid' each with two units, the resulting layout becomes:

Changing the default layout

The layout created by SIMCA-online is just the default layout. You can change it however you like, by removing or adding unit groups or units, and specifying in which unit group models should execute.

Note: you cannot change the layout for a project configuration that has been saved. The layout is created (and can be changed) when you add a new configuration for a project.

When you add a new unit group SIMCA-online provides a drop down where you can see previously used unit group names, including the suggested names (phase IDs) in the SIMCA project:

When you rename a Unit, similarly, you get a drop down where you can see previously used unit IDs (in any configuration), and all units in the SIMCA project:

How the unit layout affects batch evolution plots and workset batches

Batch evolution plots can be displayed in two layouts; per phase and per unit layout.

  • Phase layout shows all phases in the project from left to right.

  • Unit layout shows the units grouped in unit groups (and sub-batches if you have them). This creates a grid of plots. Each plot shows the batches that have executed in that particular unit. Learn more about the plot layout in the SIMCA-online Technical Guide.

Both layouts can show workset batches, i.e. batches used in the SIMCA project, so that you can compare with newer batches that have executed in SIMCA-online.

  • The phase layout always shows all workset batches (regardless of unit information).

  • Starting with SIMCA 15 each workset phase now can run in a specific unit. SIMCA-online uses this information to display the workset batch in the correct unit in the evolution plot. However, note:

    • If the SIMCA-online configuration has been changed to no longer contain the units specified in SIMCA, any batches that ran in those units will not be displayed in the unit layout in SIMCA-online. The same applies if you have added additional units in the SIMCA-online configuration; those will never show workset batches.


Phase execution conditions

Execution conditions

In the Execution conditions page, you specify settings that control how phase models execute in the project configuration.

The following needs to be connected and configured:

  • Batch identifier tag. This tag determines to which batch each observation belongs. The batch identities that are read for this tag must match the batches in the batch node of this configuration. Note that this tag is not used for phases where Data retrieval mode is Discrete.

  • Phase execution conditions. When a phase is active is determined by the phase execution condition, which can use data from one or more process tags. It is a logical expression that must be true for all consecutive observations for this phase. Note that a phase can execute only once per batch, unless 'phase iterations' are used in the project.

  • Optionally Sleep condition. The optional sleep condition determines if an observation is to be ignored, and all values replaced with missing in plots. It is a logical expression that uses data from one or more process tags.

More:

Configure phase execution conditions

Configure condition dialog explanation


Configuring phase execution and sleep conditions

The execution conditions have to be configured to enable prediction using the correct phase model. Optionally you can configure sleep conditions to not include nor display observations satisfying the entered sleep condition expression.

In the example here, GranulatorPhase1 is running when the G1:Granulator1Phase (the first phase execution condition tag) text is equal to P1.

For each phase, mark the phase and click the configuration button by the end of the row, to open the Configure Phase Execution Condition dialog.

  1. In Tag name, select the tag holding the condition or part of the condition

  2. Select the comparison Operator and enter a value in the Value field. Learn more, including the important difference between Value and Text operators: Configure condition dialog explanation

  3. Click ADD, AND or OR and note that the selected tag trigger is displayed in the Expression field.

  4. Repeat 1-3 to add another condition. If the phase should be triggered when both expressions are true, click AND. If the phase should be triggered when either one of the expressions is true, click OR. Under Expression the complex expression is displayed.

  5. When done click OK or Next.

Adding sleep conditions is done in the same manner.

After cross referencing all tags, click Next.


Configure condition dialog explanation

Phase execution conditions and sleep conditions for batch configurations and the prediction condition for continuous configurations use the same syntax in their logical expressions.

The expression uses data from a particular tag, combined with a number of built-in functions and logical operators. If an expression evaluates to True the condition is fulfilled.

Tags can contain both numeric and text data. To let SIMCA-online know which data type to it should use you specify one of these functions:

  • TextTag() – returns the text value for the tag. If the data type isn’t text an empty string is returned.

  • ValueTag() – returns the numerical (real) value of the tag. If the data type isn’t numeric a missing value is returned.

  • This means that you must use either TextTag() or ValueTag() that matches the type of data in your tag. For example: using TextTag(...temperature) will not work, because temperature is a numerical value. Likewise ValueTag(...processStepName) will not work because the process step might be "idle" which is a string.

Once we have a value for a tag it can be used in the expression together with comparison operators such as: < <= > >= == !=

Logical operators such as and, or, and not can be used. These operators use the standard precedence used in mathematical logic.

An example of the NOT operator: not(TextTag(":DBMaker:BAKERS YEAST:Phase ID").Contains("idle"))

Parentheses can be used to change the precedence.

Other useful functions are;

  • IsTagMissing() – which evaluates to true for a tag that has a missing (null) value. Can be useful for sleep conditions.

  • Contains(), StartsWith(), EndsWith() – for substring handling for string value tags.

  • Match() – for regular expression matching for string value tags.

  • Min(), Max(), Abs() – for numerical value tags.

Value field

In the Value field, enter the value that should be used in the expression.

AND and OR buttons

When using more than one logical expression:

  • Click AND when both expressions have to be true.

  • Click OR when either expression being true.

Expression field

In the Expression field, the current expression is displayed. In addition standard mathematical and some logical operations are available by typing in this field.

Logical expression box

In the table, the available logical expressions are listed.

Logical expression | Evaluates to true when | Use when
Value equal to | The numerical tag value equals the value entered in Value. | A phase is running when a variable equals a certain value.
Value not equal to | The numerical tag value does not equal the value entered in Value. | A phase is running when a variable does not equal a certain value.
Value less than | The tag value is smaller than the value entered in Value. | A phase is running when a variable decreases below a certain value.
Value less than or equal to | The tag value is smaller than, or equal to, the value entered in Value. | A phase is running when a variable decreases to or below a certain value.
Value greater than | The tag value is greater than the value entered in Value. | A phase is running when a variable increases above a certain value.
Value greater than or equal to | The tag value is greater than, or equal to, the value entered in Value. | A phase is running when a variable reaches or increases above a certain value.
Text equal to | The tag value equals the text entered in Value. | A phase is running when a variable equals a certain text.
Text not equal to | The tag value does not equal the text entered in Value. | A phase is running when a variable does not equal a certain text.
Text starts with | The tag starts with the text entered in Value. | A phase is running when a variable starts with a certain text.
Text ends with | The tag ends with the text entered in Value. | A phase is running when a variable ends with a certain text.
Text contains | The tag contains the text entered in Value. | A phase is running when a variable contains a certain text.
Text matches regular expression | The tag matches the regular expression entered in Value. | A phase is running when a variable matches a certain regular expression.

See also:

https://en.wikipedia.org/wiki/Regular_expression

https://www.regular-expressions.info/quickstart.html


View data in data source tags

When making a project configuration in SIMCA-online you use data source tags in many places. We have now made it possible to peek the data for any data source tag. This can make it easier to specify execution conditions, batch identifier tags, or even connect the right tags to model variables.

Simply click at <Click to view> to see the current data for all currently visible tags (the data is a snapshot, click to update it again).

Notes:

  • View data works for continuous data, and always show the current value. This means that discrete data and batch data cannot be viewed here (see below for a workaround).

  • To be allowed to view data, the Extract Data permission is required. Permissions are set on the Group permissions page.

  • Data returned as text are displayed with the suffix [text]. This can be helpful in execution conditions where you need to use the TextTag() function instead of the ValueTag() function used for numerical values. See Configure condition dialog explanation.

More

If you want to know which batches exist in a batch node, you can right-click a node, and click Find Batches. Learn more in Troubleshoot batch project execution.

If you want to look at historical-, discrete-, or batch data, you can also use the Extract functionality.


Phase tags page in Configure dialog

Phase tags in Configure dialog

On the Phase tags page, each variable of each phase from SIMCA has to be associated with the correct variable from the database.

By default the tag associations are done for <All Phases>. Select a single phase if you want the associations to apply to that phase only.

To associate:

  1. Mark the cell

  2. In the list of notes, mark the correct node

  3. In the Tags list, double-click the variable.

For all methods to associate tags, see the Associating tags topic next.

Use Tag filter field above the Tags list to search in the variable list.

Use the shortcut menu to facilitate the association.

After associating variable IDs from the SIMCA models with the tags in the external database, click Next.

More:

Associating tags

Using the Tag filter field

Shortcut menu


Associating tags

The variables are associated by clicking the cell in the spreadsheet, and then entering the name by one of the following methods;

  • Double-clicking the variable from the database in the Tags list. Alternatively, right-clicking the variable in the Tags list and clicking Associate tag.

  • Typing the name.

  • Pasting the name.

Similarly associating many tags

In order to associate many tags use one of the following methods;

  • Edit a BCG file in a text editor, do search and replace.

  • Use the context menu (right-click) with Add prefix, Add suffix, Find and replace to do text replacements.

  • Copy and paste tags to Excel, do search and replace there and paste back to SIMCA-online.


Using the Tag filter field

The Tag filter field, found above the Tags list in the dialog, is not case sensitive, meaning that a and A are perceived as the same character. Typing in the Tag filter field instantly loops the available variables in the Tags list to match each new character, leaving all variables matching the string marked.

Filter syntax (comparisons are case insensitive, unless stated otherwise):

  • Empty filter matches any string (including empty string).

  • Filters starting and ending with / are treated as regular expressions. These are case sensitive by default, but specifying the i flag, see below, will make them case insensitive.

  • Wildcard-matching is enabled if the filter contain * or ? characters. Wildcard-matching always compare the entire string.

  • Substring search is used for any other filter.

Regular expressions

A regular expression filter use the following form /pattern/flags, where:

pattern

The text of the regular expression.

flags

If specified, flags can have any combination of the following values, currently only one:

i

ignore case

For more information see:

https://en.wikipedia.org/wiki/Regular_expression

https://www.regular-expressions.info/quickstart.html


Shortcut menu in project configuration

Shortcut menu

Use the spreadsheet shortcut menu to Copy, Cut, Paste, Select all, Find and replace, Add prefix, or Add suffix.


Variable aliases for batch projects

In the Variable aliases page you can optionally specify alternative IDs for your variables.

Note: Identifiers entered in the Alias column are by default displayed in plots and lists.


Local centering in Configure dialog

Local centering can be used to adjust values of variables in the phase models to compensate for systematic errors that varies between batches (and thus over time).

Local centering can be applied in SIMCA when doing the offline modeling, and can also be used in SIMCA-online when performing predictions. You can configure local centering in SIMCA-online without it being used in the SIMCA project.

Here is how it works in SIMCA-online:

  • Local centering is configured per unit and phase. For each variable you can associate a tag that will be used to read the value to use for local centering of that variable.

  • For each batch and phase that is to be predicted, SIMCA-online obtains the values for local centering by calling the SimApi function ReadBatchData(). This means that a SimApi that supports batch data is required, and that the tags cannot be regular tags used for continuous process data.

  • If no value for local centering was obtained through the SimApi, or if local centering is left unconfigured, SIMCA-online will not do any local centering.

How to use

For each combination of phase model and unit, associate tags for local centering to the variables. Remember that the tag must support batch data (see above).

Note the Tag filter field to help you find the desired variable.

Use the shortcut menu to facilitate the association.

More:

Associating tags

Using the Tag filter field

Shortcut menu


Target values for batch evolution in Configure dialog

On the Target values page, enter low, target, and high limits in the Lo Limit, Target, and Hi Limit cells respectively. These limits will be displayed in plots but do not trigger alarms when the Alarms cell is left empty.

Note: For batch projects with phases, you must select for which phase the target values should be displayed/trigger alarms. By default the target values are displayed/triggered for <All Phases>.

Alarm

Use the Alarm column to let the Target values page not only specify limits to display in plots but also univariate alarms. You can select:

  • Missing - the alarm is triggered when missing value is read for the variable.

  • Outside - the alarm is triggered when the read value is either below the Lo Limit or above the Hi Limit.

  • Outside or missing - the alarm is triggered when a missing value is read or the read value is either below the Lo Limit or above the Hi Limit.

Note: Target value alarms are only triggered for variables directly connected to data source tags. This means that alarms cannot be configured for lagged variables, generated variables or python preprocessing variables.

For an overview on alarms, see SIMCA-online alarms.


Control limits in Configure dialog

In the Control limits page, select which limits to default display in all batch evolution variable control charts. The Variable box has a list of the batch evolution variables and a <Default> entry. The limits that you specify as default will apply to all batch evolution control charts where you have NOT specified individual limits for the displayed variable.

If you want more, or other, levels than +/- 1, 2, 3 standard deviations, e.g. also 1.5 standard deviations, click Add and enter the limit.

To remove one of the added limits, click Remove and type the limit to remove.

Note: Only user added limits can be removed.

Limits for specific variables

To specify which limits to be displayed for a specific variable, select the variable in the Variable box, then select the desired limits in the Control limits box.

Note: You can always switch limits in an open plot by right-clicking it and selecting Properties.


Alarms for batch evolution in Configure dialog

Alarms for batch evolution

For an overview on alarms, see SIMCA-online alarms.

The Production Overview pane normally displays all batches in green. By configuring alarms, the color of a batch or phase can be changed to yellow (warning) or red (critical) when the values of specific batch vectors fall outside a set of predefined limits for a certain number of observations in the batch. In the plots, triggered alarms are illustrated using a colored alarm symbol.

There are two degrees of limits: Lo Limit and Hi Limit representing the lower severity (warning), and LoLo Limit and HiHi Limit representing the higher severity (critical). For each vector in each phase, you can define any combination of limits.

This section describes batch evolution alarms. For details about batch level alarms, see the Batch level alarms section later in this chapter.

Vectors

The table below shows the vectors for which alarms can be added.

Vector | Component | Default Limit
DModX | No component. | +3 and 4 standard deviations.
t | One specific component. | ±3 and 4 standard deviations.
T2Range | From and To components. | T2Crit at 0.05 and 0.01 significance level.

Note: Univariate alarms can be added for individual variables in the Target values page.

Adding an alarm

  1. In the Phase box, select a phase or leave <All phases> selected.

  2. Select Vector and, when applicable, component.

  3. Set the Hi Limit and/or HiHi Limit. The Lo Limit and LoLo Limit are automatically filled in as the negatives of the Hi Limit and HiHi Limit. The HiHi limit must be numerically larger than the Hi limit.

  4. Click Add and note that the alarm is added to the list in the dialog.

Removing an alarm

Mark the alarm, and click Remove.

Updating an alarm

Mark the alarm, change the settings, and then click Update. Update is only available for specific phases, not for <All phases>.

Note: An alarm can be added for each component for t and for each component combination for T2Range.

More:

Alarm triggers


Alarm triggers for batch evolution in Configure dialog

Alarm triggers

After specifying the alarms in batch evolution alarms the Alarms page, the Alarm triggers have to be specified.

Triggers are events that activate the alarm. There are two types of triggers:

  • Consecutive activates when X observations in a row are outside the limit.

  • Total activates when Y observations are outside the limit during a phase.

The default values for X and Y are 3 and 10 respectively. To change these values, enter new values in the Consecutive and Total columns.

Note: Alarm triggers cannot be left empty when alarms have been specified.


Write back for batch evolution

Write back for batch evolution models, Configure dialog

In the Write back page, define which predictions, limits and information to automatically export to the process database.

Figure: Write back page for batch evolution.

Connect the vectors to the tags as follows:

  1. In the Vector box select the vector to export.

  2. When applicable, select the relevant component or variable in the From, To, Component, and Variable boxes.

  3. Click Add.

  4. Associate the appropriate tag to the added item.

For more about how to connect to the tags, see the Associating tags section earlier in this chapter. Use the Tag filter field to help you find the desired tag. See also the shortcut menu to facilitate the association.

More:

Result variables


Result variables for batch evolution

Available prediction results that can be written back to the data source for batch evolution are:

Name in dialog | Description | Result exported
Predictions
DModX | Distance to Model | DModXPS
t, to | Scores | tPS, toPS
T2Range | Hotelling's T2Range | T2RangePS
YPred | Predicted Y | YPredPS
Maturity | Observed maturity | YVar(as WS) treated as the y in the model
Limits
T2RangeCrit | Critical limit for T2Range | T2Crit for significance level 0.01.*
DModXAverageBatch | DModX for average batch | DModX for average batch.
DModXStdDevBatch | Standard deviation for DModX | Standard deviation for DModX.
T2RangeAverageBatch | T2Range for average batch | T2Range for average batch.
T2RangeStdDevBatch | Standard deviation for T2Range | Standard deviation for T2Range.
TAverageBatch, ToAverageBatch | Scores for average batch | t/to for average batch.
TStdDevBatch, ToStdDevBatch | Standard deviation for scores | Standard deviation for t/to.
YPredAverageBatch | Y Predicted average batch | YPred for average batch.
YPredStdDevBatch | Y Predicted standard deviation | Standard deviation of YPred.
Information
AlarmStatus | Batch evolution alarms | 0 when no alarm was triggered. 1 when one or more warning alarms were triggered. 2 when one or more critical alarms were triggered.
BatchID | Batch identifier | BatchID for the active batch.
ConfigurationName | Configuration name | Configuration name, by default project name plus model title.
ConfigurationUniqueID | Configuration identifier | Internal project configuration identifier.
ModelID | Model identifier | Model in the SIMCA project, for ex M1.
ModelNumber | Model number | Model number for the model.
ModelTitle | Model title as specified in SIMCA | Model title for the model.
ModelType | Model type (PCA, PLS, OPLS, O2PLS) | Model type for the model.
PhaseID | Phase identifier | Phase ID from the SIMCA project.
PhaseNumber | Phase number | Phase number in the SIMCA project.
ProjectName | Project name | SIMCA project name.
ProjectUniqueID | Project identifier | Internal project identifier.
SineTime | Variable used to signal that the server is running. | Sine of the current time. Results in values ranging between -1 and 1.

*Always 0.01 significance level.

To export alarms, associate the alarms for each unit and phase with the appropriate external variable.

Vector box content


Batch attributes

About batch attributes

Batch attributes are used to associate additional information to each batch (metadata about the batch). This information is visible in tooltips and can be used to color points in plots so that all batches with a certain value for a batch attribute gets the same color.

For example you maybe have a batch attribute 'raw material' which can have values 'Source A' or 'Source B'. By coloring batches by this attribute you can look for differences between batches that may be caused by the source of raw material in plots.

Requirements

To know the values of each batch attributes for a batch, SIMCA-online needs to know from which data source tag to read data. You specify which tags to use in the project configuration wizard as described below.

Data for batch attributes are read as batch data. This means that you must use a SimApi that has support for batch data. Refer to umetrics.com/simapi for more information.

If you don't specify a tag for a batch attribute, or specify a tag that doesn't support batch data, the SIMCA-online server won't be able to read data and thus the information will be missing in tooltips and plots.

The batch attributes you can use in SIMCA-online are of two types;

  • Secondary batch ids in the SIMCA project's batch level dataset. These are created by a data scientist when the project and models were created.

  • Batch attributes you define yourself in SIMCA-online. You can add or delete attributes as needed.

How to configure

Batch attributes are specified in the project configuration wizard for each configuration.

Here you see the batch attributes that exist in the project (if any). You can also click the Add button to add your own user-defined batch attribute, or Delete to remove such attributes (attributes in the SIMCA project cannot be deleted). The second column shows the source of the batch attribute (SIMCA-project or user-defined).

For each attribute that you want to use in SIMCA-online, associate with a data source tag by locating a data source tag and double-clicking on a tag. See Associating tags for more information on associating tags.

As noted above under Requirements; the tag must support batch data retrieval.

How to use

Once configured as described above, batch attribute can be used and seen in the following places:

Tooltips

Tooltips for points in batch plots will show the batch attributes and their values.

Data list

For finished batches, Data List, will show the values for the batch attributes on the Batch conditions tab.

Color by attribute values in plots

Values of batch attributes can be used to color points in batch plots as described on the Color by and size by page.

Web API

The Web API can be used to programmatically extract information from SIMCA-online. The values of batch attributes are available there.

See also

Batch attributes as described here are used as metadata to color points, or display information in tooltips.

Batch conditions is a related concept. Those also apply per batch, but unlike batch attributes these are used in batch level models.


Batch Level page in Configure dialog

On the Batch level page, select which batch level models you want to include.

Under Batch level model prediction in the lower part of this dialog, select when to predict for the batch level models. You can select to:

  • Predict at model finish

  • Predict at model finish and repredict at batch finish

  • Predict at batch finish


Batch conditions in Configure dialog

When the offline batch level model has batch conditions, there is a Batch conditions page in the wizard.

Associate the batch condition tags in the Batch condition page, by marking the empty cell in the Tag column and associating it with the appropriate variable in the Tags list.

Note the Tag filter field to help you find the desired variable. Use the Shortcut menu to facilitate the association.

More:

Associating tags

Using the Tag filter field

Shortcut menu


Target values for batch level in Configure dialog

On the Target values page, enter low, target, and high limits in the Lo Limit, Target, and Hi Limit cells respectively. These limits will be displayed in plots but do not trigger alarms when the Alarms cell is left empty.

Alarm

Use the Alarm column to let the Target values page not only specify limits to display in plots but also univariate alarms. You can select:

  • Missing - the alarm is triggered when missing value is read for the variable.

  • Outside - the alarm is triggered when the read value is either below the Lo Limit or above the Hi Limit.

  • Outside or missing - the alarm is triggered when a missing value is read or the read value is either below the Lo Limit or above the Hi Limit.

Note: Target value alarms are only triggered for variables directly connected to data source tags. This means that alarms cannot be configured for lagged variables, generated variables or python preprocessing variables.

For an overview on alarms, see SIMCA-online alarms.


Alarms for batch level in Configure dialog

Alarms for batch level, Configure dialog

For an overview on alarms, see SIMCA-online alarms.

The Production Overview pane normally displays all batches in green. By configuring alarms, the color of a batch or phase can be changed to yellow (warning) or red (critical) when the values of specific batch vectors fall outside a set of predefined limits. In the plots, triggered alarms are illustrated using a colored alarm symbol.

This section describes batch level alarms. For details about alarms for batch evolution models, see the Alarms for batch evolution section earlier in this chapter.

There are two degrees of limits: Lo Limit and Hi Limit representing the lower severity (warning), and LoLo Limit and HiHi Limit representing the higher severity (critical). For each vector in each model, you can define any combination of limits.

Vectors

The table below shows the vectors for which alarms can be added.

Vector | Component/Variable | Default Limit
DModX | No component. | DCrit at 0.05 and 0.01 significance level.
t, to | One specific component. | ±3 and 4 standard deviations.
T2Range | From and To components. | T2Crit at 0.05 and 0.01 significance level.
YPred | Selected variable. | ±3 and 4 standard deviations.

Note: Alarms cannot be added for batch level variables.

Adding an alarm

  1. In the Phase box, select a phase or leave <All phases> selected.

  2. Select Vector and, when applicable, component.

  3. Set the Hi Limit and/or HiHi Limit. The Lo Limit and LoLo Limit are automatically filled in as the negatives of the Hi Limit and HiHi Limit. The HiHi limit must be numerically larger than the Hi limit.

  4. Click Add and note that the alarm is added to the list in the dialog.

Removing an alarm

Mark the alarm, and click Remove.

Updating an alarm

Mark the alarm, change the settings, and then click Update.

Note: An alarm can be added for each component for t, for each component combination for T2Range, and for each y-variable for YPred.


Write back for batch level

Write back for batch level models

In the Write back page, define which predictions, limits and information to automatically export to the process database.

Figure: Write back page for batch level.

Connect the vectors to the tags as follows:

  1. In the Vector box select the vector to export.

  2. When applicable, select the relevant component or variable in the From, To, Component, and Variable boxes.

  3. Click Add.

  4. Associate the appropriate tag to the added item.

For more about how to connect to the tags, see the Associating tags section earlier in this chapter. Use the Tag filter field to help you find the desired tag. See also the shortcut menu to facilitate the association.

More:

Result variables


Result variables for batch level

Available prediction results that can be written back to the data source for batch level are:

Name in dialog | Description | Result exported
Predictions
DModX | Distance to Model | DModXPS
t, to | Scores | tPS
T2Range | Hotelling's T2Range | T2RangePS
YPred (available when applicable) | Predicted Y | YPredPS
Limits
DCrit | Critical distance for DModX | DCrit*.
TMean, ToMean | Center of the hotelling's ellipse in the score scatter plot. | Average of the score vector for the selected component.
TCrit, ToCrit | The radius of the hotelling's ellipse in the score scatter plot. | TCrit/ToCrit for the selected component.
TStdDev, ToStdDev | Standard deviation of t. | Standard deviation of t/to.
T2RangeCrit | Critical distance in the Hotelling's T2Range plot. | T2RangeCrit* is the critical limit in the hotelling's T2Range-plot.
Information
AlarmStatus | Batch level alarm status | 0 when no alarm was triggered. 1 when one or more warning alarms were triggered. 2 when one or more critical alarms were triggered.
BatchID | Batch identifier | BatchID for the active batch.
ConfigurationName | Configuration name | Configuration name, by default project name plus model title.
ConfigurationUniqueID | Configuration identifier | Internal project configuration identifier.
ModelID | Model identifier | Model in the SIMCA project, for ex M1.
ModelNumber | Model number | Model number for the model.
ModelTitle | Model title as specified in SIMCA | Model title for the model.
ModelType | Model type (PCA, PLS, OPLS, O2PLS) | Model type for the model.
ProjectName | Project name | SIMCA project name.
ProjectUniqueID | Project identifier | Internal project identifier.
SineTime | Variable used to signal that the server is running. | Sine of the current time. Results in values ranging between -1 and 1.

*Always 0.01 significance level.

To export alarms, associate the alarms for each model with the appropriate external variable.

Vector box content


Control Advisor in Configure dialog for batch

On the Control Advisor page, specify settings for both Forecast and Advised future.

  • Operation - Whether the Control Advisor features is used (On) or not (Off).

  • Mode - Forecast predicts the future while Advised future additionally provides a suggestion on how to change manipulated variables.

    • Forecast - The future of the batch is predicted and displayed in the batch evolution and batch level plots.

    • Advised future - In addition to the above, an optimizer calculates new preferred setpoints for the manipulated variables once a control maturity is reached. These new advised setpoints are displayed in the Production Overview pane and in batch evolution and batch level plots. The Advised future series display the predicted result in case the advice is followed.

  • Manipulated variables - The variables that can be controlled and thus manipulated. Required when the selected mode is Advised future and optional for mode Forecast.

  • Forecast model - The PLS batch level (imputation) model that predicts the dependent variables (Xd) for the forecast and predictions. (It is possible to specify an OPLS or O2PLS model as Forecast model too, but PLS is faster.)

  • Operational limits - Deviations from the model reduces the predictive accuracy. The operational limits are used to hide the Forecast and Advised future series from the plots, and turn off the Advised future optimizer, when the batch is considered too far from the model. If the batch returns inside the limit, the series reappear and the optimizer resumes.

    • Start at maturity - Control Advisor is turned off before this maturity.

    • Forecast DModX limit - Exceeding this limit turns off the Control Advisor feature.

    • Forecast T2 limit - Exceeding this limit turns off the Control Advisor feature.

  • Control maturities - The maturities when the process is controlled during the batch evolution. The settings that are activated at the control maturities are specified and listed in the Control settings page.

  • Optimizer batch level model - Optional batch level model when the mode is Advised future. This model includes the optimization criteria used by the optimizer for Advised future. The optimization criteria are specified on the Control settings page under Model: Batch level (select the Show all optimizer settings check box to see and modify).

  • Status - Displays information on any errors on this page or Configured when the required content on this page has been entered.

More:

Control settings

Control settings explanation

Appendix B: Control Advisor

Imputation modeling in SIMCA


Control settings for Control Advisor in Configure dialog

The values in the Min, Setpoint and Max fields for the respective control maturities are used by the Control Advisor (BEM);

  • The recipe (planned) settings must be specified by entering values in the Setpoint fields. These setpoints are used by the Forecast to predict the future.

  • The acceptable Min and Max settings must be specified for the optimizer to relate to when calculating the Advised future.

All settings used by the optimizer are displayed when the Show all optimizer settings check box is selected.

More:

Control settings explanation

Control Advisor

Optimizing the future

Appendix B: Control Advisor

BEM parameters

BLM parameters


Control settings explanation

Control settings explanation for Control Advisor in Configure dialog - batch

With the Show all optimizer settings check box selected both the manipulated and multivariate variables are displayed and can be changed.

The columns on this page are described below:

  • Weight - terms with a higher weight influence the cost function more, resulting in that the optimizer will prioritize a term with high weight over one with a low weight. Terms with weight = 0 do not influence the optimization.

  • Objective - the objective is set to target, minimize or maximize. Available for Xd and batch level YPred.

  • Threshold - below the specified threshold the term will not be considered by the optimizer. Available for DModX, T2Range, Xd and batch level YPred.

  • Min/Max - the limits of the range for the manipulated variables. The optimizer will never propose a solution outside this range.

  • Setpoint - the recipe setpoint for normal operation. This value is used to predict the forecast.

There are two more columns that cannot be changed in this page;

  • Model - Batch Evolution level or Batch level depending on which model the term belongs to.

  • Maturity - Control maturity defined on the Control Advisor page.

Defaults for terms are fetched from the model, see BEM parameters and BLM parameters topics in Appendix B.

More:

Control settings for Control Advisor in Configure dialog

Control Advisor

Optimizing the future

BEM parameters

BLM parameters


Grouping and sorting

Control settings columns of the configuration wizard (below) can be manipulated as follows:

  • Group by dragging a column header up to the gray area.

  • Remove the grouping by dragging one of the items in the gray area down next to a header.

  • Sort by clicking a header or a group.

  • Reverse sorting to default by closing and reopening the dialog.

Note: Grouping and sorting is not saved. Thus grouping and sorting will be as below each time you open the dialog.

The description above is valid for the report and audit trails too.


Write back for Control Advisor for batch

Write back for Control Advisor

In the Write back page, define which predictions, limits and information to automatically export to the process database.

Figure: Write back page for Control Advisor.

Connect the vectors to the tags by associating the appropriate tag to the added item.

For details about how to connect to the tags, see the Associating tags section earlier in this chapter. Use the Tag filter field to help you find the desired tag. See also the shortcut menu to facilitate the association.

More:

Result variables

Write back for batch level model

Write back for batch evolution model


Result variables for Control Advisor

Available Control Advisor results that can be written back to the data source are:

Name in Item column | Description
ValidUntilMaturity | Next control maturity or phase end maturity.
Xmv(<variable tag>) | Xmv setpoint resulting from Control Advisor optimization.
ControlAdvisorOptimizerStatus | 0 - the optimization converged within 1000 iterations. 1 - the optimization did not converge within 1000 iterations, but a better setpoint was found. 2 - the optimization did not converge due to timeout, but a better setpoint was found. 3 - the optimizer did not find a better setpoint.


Time ranges in Configure dialog

On the time ranges page you make settings that control project execution, and also the amount of batches you see in the client in Production overview.

  • Specify settings by typing in the fields, either directly or by expanding the Time and Unit boxes and specifying the settings there. Refer to the description at the bottom of the page for each item when you select it.

  • Not configured means that the feature/setting is not used by the project configuration. Type 0 or delete a setting to make it not configured.

Catch-up time range

During the time when execution is stopped, the SIMCA-online server will not read data from the data source and batches can potentially be missed.

Catch-up time range controls how far back in time the server will look for these missed/unpredicted batches when execution is started. If a batch is found it will then be automatically predicted by the server.

If left at Not configured, missed batches has to be manually predicted on the Administration tab of the ribbon.

When enabling the catch-up function, the recommendation is to enter a value that is twice the length of the average batch.

Catch-up polling interval

Even though configurations are executing, batches can be missed if the data source is configured to publish batches to the batch node after they are finished in the process data.

Catch-up polling interval controls how often the server will look for these missed/unpredicted batches in the batch node while the configuration is executing. If such a batch is found it will be automatically predicted by the server. How far back the server looks is specified by the catch-up time range.

The recommendation for Catch-up interval is the same or shorter interval than the Catch-up time range.

Late entry data

Late entry data, such as at-line/discrete data and CQA/batch condition data may not be available until after the batch has finished. By configuring settings for Late entry data, SIMCA-online can refresh such data after the batch otherwise would have finished. Learn more in Keeping batches active to wait for late entry data.

Recent batch time range

The value in the Recent batch time range field defines which batches are considered recent batches and are displayed in Production Overview, and in evolution plots as hairlines, and in batch level plots.

Specify a time that results in a reasonable number of batches being displayed. Too many, and it will affect client performance.

See also Batch Production Overview where you, starting with SIMCA-online 16, can manually add older reference batches to display in all plots. This can be an alternative to using a too long Recent time range that would otherwise affect performance.


Metadata

Metadata for the project and configuration refers to data that can be used to categorize batches and data from SIMCA-online.

The metadata can be used to some extent in Color by and Size by in the desktop client, and is also exposed through the web API to Active Dashboard the SIMCA-online Web Client.

  • Product type - the category of product, for example "Apples" or "Oranges"

  • Product name - a specific product, for example "Golden Delicious" or "Granny Smith"

  • Geographical location - the location of the production. The GPS coordinates of the location and arbitrary names of the location and the region.

    • Format: <latitude>;<longitude>;<location>,<region>.

    • For example -33,8651; 151,21; Sydney, Australia.


Finishing configuration / export configuration to file

Finishing configuration / export a configuration file

On the final configuration page when you add a new project configuration there are two check boxes that control what happens after you click Finish:

Execution can be started automatically, and the project configuration can be opened in the client for you.

Export configuration file (*.bcg)

The final configuration page can also be used to export the configuration to file (.bcg). This is also available when open an existing configuration.

This is useful when adding more than one configuration, with similar settings, to a project, or if you want to create a copy of a project configuration. Then simply import the resulting bcg file when adding a new configuration. See Import configuration.

Note: When the feature Update SIMCA project is used, the original configuration is saved with the project inside the .usp-file making it easy to re-configure the project later. See Update SIMCA project.


Configuring regular project

To import a new regular project and configure it:

  1. Click Upload SIMCA project.

  2. Select the SIMCA project and click Open. The configuration wizard opens.

You can modify previously added project configurations. Before modifying a configuration, the execution has to be stopped.

The project configuration wizard allows you to configure your project step by step by going through the pages and do changes to each page. If you have imported a configuration from a file or from the SIMCA project you may want to use the Fast-Forward Finish button in order to fast-forward through the pages. The fast-forward finish will stop at any page containing errors, so there is no risk of an invalid configuration.

When uploading a SIMCA project a copy of it is created on the server.

Note: The configuration done on the Model page cannot be modified. To make such changes, add a new configuration for the project.


Import configuration for regular in Configure dialog

Import configuration for the regular project

If you have a SIMCA-online configuration file you want to use, click Import from file, in the Import configuration page, and select the .bcg-file. If the SIMCA project includes the configuration file you want to use, click Import from SIMCA project.

After importing the configuration file, the Description section displays the name of the selected configuration file warnings if there are obvious mismatches between the selected project and the imported configuration file.

To start configuring, or view/modify the configuration in the case where you have imported a configuration file, click Next.

Note: The current configuration is saved with the SIMCA-online copy of the project.

More:

Import configuration for batch


Model page in Configure dialog

Use the Model page of the configuration to specify model, execution interval, prediction condition, unit group and unit.

The settings in the Model page are described in the table below.

Setting

Description

Selected model

The selected model using the model number and title from the SIMCA project file.

Execution interval

The execution interval is how often process data tags are read.

Enter the desired execution interval. Recommended is to use the execution interval of the SIMCA project.

Prediction condition

Prediction condition, when used, specifies the condition under which predictions will be performed. When the prediction condition is not fulfilled, there is no prediction result.

Leaving Prediction condition empty results in continuous predictions of all incoming data.

Click the button to the right of the Prediction condition field and in the Configure Prediction Condition dialog:

  1. Click the Tag name field button and select the tag to enter the condition for.

  2. Select a Logical expression and enter a value in the Value field.

  3. Click Add/And/Or as desired.

When clicking OK the condition is automatically added to the Prediction condition field.

Unit group

The name of the unit group that this configuration belongs to. A unit group is a process step, for instance a granulator. The unit group contains one or more identical units.

Unit

The name of the unit that this configuration belongs to. A unit is a physical equipment/machine/vessel that represents a process step.


Time ranges in Configure dialog for regular

Time ranges in Configure dialog

On the time ranges page you make settings that control project execution, and the amount of data you see in plots and Production overview.

  • Specify settings by typing in the fields, either directly or by expanding the Time and Unit boxes and specifying the settings there. Refer to the description at the bottom of the page for each item when you select it.

  • Not configured means that the feature/setting is not used by the project configuration. Type 0 or delete a setting to make it not configured.

Catch-up of missed observations

The Catch-Up time range value specifies the time period (backing up from current) that is predicted when execution is started.

Client settings

The Default plot time range value specifies the time range displayed in the plots when they are created.

The Overview time range value specifies the time range displayed in the Production Overview pane's box for the executing model.


Tags page in Configure dialog

Tags page in the Configure dialog

On the Tags page, each variable from the SIMCA model has to be associated with the correct variable from the database. Variables that are excluded from model are listed with parenthesis around the names. If these optional variables are connected, you can monitor these in SIMCA-online as other variables. Learn more in Monitoring variables excluded from models.

To associate: Mark a (red) cell and double-click the variable in the Tags list.

For all methods to associate tags, see the Associating tags topic next.

Use the Tag filter field at the bottom of the page to search in the variable list.

Use the shortcut menu to facilitate the association.

After associating variable IDs from the SIMCA models with the tags in the external database, click Next.

More:

Associating tags

Using the Tag filter field

Shortcut menu


Variable aliases for regular projects

In the Variable aliases page you can optionally specify alternative IDs for your variables.

Note: Identifiers entered in the Alias column are by default displayed in plots and lists.


Target values for regular in Configure dialog

On the Target values page, enter low, target, and high limits in the Lo Limit, Target, and Hi Limit cells respectively. These limits will be displayed in plots but do not trigger alarms when the Alarms cell is left empty.

Alarm

Use the Alarm column to let the Target values page not only specify limits to display in plots but also univariate alarms. You can select:

  • Missing - the alarm is triggered when missing value is read for the variable.

  • Outside - the alarm is triggered when the read value is either below the Lo Limit or above the Hi Limit.

  • Outside or missing - the alarm is triggered when a missing value is read or the read value is either below the Lo Limit or above the Hi Limit.

Note: Target value alarms are only triggered for variables directly connected to data source tags. This means that alarms cannot be configured for lagged variables, generated variables or python preprocessing variables.

For an overview on alarms, see SIMCA-online alarms.


Alarms for regular

For an overview on alarms, see SIMCA-online alarms.

The Production Overview pane displays each model in green. When configuring alarms, the color of a model changes to yellow (warning) or red (critical) when the values of a specific model fall outside a set of predefined alarm limits for a certain number of observations.

In the plots, triggered alarms are illustrated using a colored alarm symbol.

Triggers

Triggers are events that activate the alarm. There are two types of triggers:

  • Trigger 1 activates when X observations in a row are outside the limit.

  • Trigger 2 activates when Y observations are outside the limit.

The default values for X and Y are 3 and 10 respectively. To change these values, enter new values in the Triggers section of the Alarms pane.

Note: Trigger fields cannot be empty.

There are two levels of limits: Lo Limit and Hi Limit which are warning, and LoLo Limit and HiHi Limit which are critical. For each vector, you can define any combination of limits. The Lo limits are automatically filled in as the negatives of the Hi limits.

Vectors

The table below shows the vectors alarms can be added for.

Vector | Component/Variable | Default Limit
DModX | No component. | DCrit at 0.05 and 0.01 significance level.
DModX+ | No component. | DCrit at 0.05 and 0.01 significance level.
PModX | No component. | 0.01 and 0.05.
PModX+ | No component. | 0.01 and 0.05.
t, to | One specific component. | +3 and 4 standard deviations.
T2Range | From and To components. | T2Crit at 0.05 and 0.01 significance level.
YPred | Y-variable. | +3 and 4 standard deviations displayed in real values.

Note: Univariate alarms can be added for individual variables in the Target values page.

Adding an alarm

  1. Set the trigger values in the Triggers section (or use the default settings).

  2. Select Vector and, when applicable, component.

  3. Set the Hi Limit and/or HiHi Limit. The Lo Limit and LoLo Limit are automatically filled in as the negatives of the Hi Limit and HiHi Limit. The HiHi limit must be numerically larger than the Hi limit.

  4. Click Add and note that the alarm is added to the list in the dialog.

Removing an alarm

Mark the alarm, and click Remove.

Updating an alarm

Mark the alarm, change the settings, and then click Update.

Note: An alarm can be added for each component for t, to, for each component combination for T2Range, and for each y-variable for YPred.

More:

Alarm visualization


Soft-reset alarms

Continuous projects now feature soft-reset alarms. This means that an alarm can retrigger after a given number of observations within limits.

In particular, alarms will soft-reset after max(X, Y) observations in a row within limits in a configuration where alarms are triggered after "X observations in a row" or "Y observations in a window of Z observations".

The same triggering rules apply after an alarm has been soft-reset as after an alarm has been manually reset by a user, that is the current counts for "X observations in a row" and "Y observations in a window of Z observations" will be zeroed and first after min(X, Y) observations a new alarm may be retriggered.

Information about how long an alarm was triggered are available in plot tooltips.


Write back for regular

Write back for regular models

In the Write back page, define which predictions, limits and information to automatically export to the process database.

Figure: Write back page for regular.

Connect the vectors to the tags as follows:

  1. In the Vector box select the vector to export.

  2. When applicable, select the relevant component or variable in the From, To, Component, and Variable boxes.

  3. Click Add.

  4. Associate the appropriate tag to the added item.

For more about how to connect to the tags, see the Associating tags section earlier in this chapter. Use the Tag filter field to help you find the desired tag. See also the shortcut menu to facilitate the association.

More:

Result variables for regular


Result variables for regular

Available prediction results that can be written back to the data source for regular are:

Name in dialog | Description | Result exported
Predictions
DModX, DModX+ | Distance to Model | DModXPS, DModXPS+
PModX, PModX+ | Probability of belonging to the model. | PModXPS, PModXPS+
t, to | Scores | tPS, toPS
T2Range | Hotelling's T2Range | T2RangePS
YPred (available when applicable) | Predicted Y | YPredPS.
Limits
DCrit | Critical distance for DModX | DCrit*.
TMean, ToMean | Center of the hotelling's ellipse in the score scatter plot | Average of the score vector for the selected component.
TCrit, ToCrit | The radius of the hotelling's ellipse in the score scatter plot | TCrit/ToCrit for the selected component.
TStdDev, ToStdDev | Standard deviation of t | Standard deviation of t/to.
T2RangeCrit | Critical distance in the Hotelling's T2Range plot | T2RangeCrit* is the critical limit in the hotelling's T2Range-plot.
Information
AlarmStatus | Status over all alarms. | 0 when no alarm was triggered. 1 when one or more warning alarms were triggered. 2 when one or more critical alarms were triggered.
ConfigurationName | Configuration name | Configuration name, by default project name plus model title.
ConfigurationUniqueID | Configuration identifier | Internal project configuration identifier.
ModelID | Model identifier | Model in the SIMCA project, for ex M1.
ModelNumber | Model number | Model number for the model.
ModelTitle | Model title as specified in SIMCA | Model title for the model.
ModelType | Model type (PCA, PLS, OPLS, O2PLS) | Model type for the model.
ProjectName | Project name | SIMCA project name.
ProjectUniqueID | Project identifier | Internal project identifier.
SineTime | Variable used to signal that the server is running. | Sine of the current time. Results in values ranging between -1 and 1.

*Always 0.01 significance level.

To export alarms, associate the alarms for each model with the appropriate external variable.

Vector box content


Control Advisor in Configure dialog for regular

On the Control Advisor page, specify settings for both Forecast and Advised future.

  • Operation - Whether the Control Advisor features is used (On) or not (Off).

  • Mode - Forecast predicts the future while Advised future additionally provides a suggestion on how to change manipulated variables.

    • Forecast - The future is predicted and displayed in the plots.

    • Advised future - In addition to the above, an optimizer calculates new preferred setpoints for the manipulated variables once a control maturity is reached. These new advised setpoints are displayed in the Production Overview pane and in plots. The Advised future series display the predicted result in case the advise is followed.

  • Forecast model - The PLS imputation model that predicts the dependent variables (Xd) for the forecast and predictions. (It is possible to specify an OPLS or O2PLS model as Forecast model too, but PLS is faster.)

  • Manipulated variables - The variables that can be controlled and thus manipulated. Required when the selected mode is Advised future and optional for mode Forecast.

  • Operational limits - Deviations from the model reduces the predictive accuracy. The operational limits are used to hide the Forecast and Advised future series from the plots, and turn off the Advised future optimizer, when the process is considered too far from the model. If the process returns inside the limit, the series reappear and the optimizer resumes.

    • Forecast DModX limit - Exceeding this limit turns off the Control Advisor feature.

    • Forecast T2 limit - Exceeding this limit turns off the Control Advisor feature.

  • Optimization interval (s) - The optimization interval defines how often, in seconds, the optimizer will recalculate new advised setpoints. Only applicable with mode Advised future.

  • Status - Displays information on any errors on this page or Configured when the required content on this page has been entered.

More:

Control settings

Control settings explanation

Appendix B: Control Advisor

Batch imputation modeling in SIMCA


Control settings for Control Advisor in Configure dialog - regular

The values in the Min, Setpoint and Max fields for the respective manipulated variables (Xmv; defined on the Control Advisor page) are used by the Control Advisor;

  • The recipe (planned) settings must be specified by entering values in the Setpoint fields. These setpoints are used by the Forecast to predict the future.

  • The acceptable Min and Max settings must be specified for the optimizer to relate to when calculating the Advised future.

All settings used by the optimizer are displayed when the Show all optimizer settings check box is selected.

More:

Control Advisor

Control settings explanation

Optimizing the future

BEM parameters

BLM parameters


Control settings explanation Regular

Control settings explanation for Control Advisor in Configure dialog - regular

With the Show all optimizer settings check box selected both the manipulated and multivariate variables are displayed and can be changed.

The columns on this page are described below:

  • Weight - terms with a higher weight influence the cost function more, resulting in that the optimizer will prioritize a term with high weight over one with a low weight. Terms with weight = 0 do not influence the optimization.

  • Objective - the objective is set to target, minimize or maximize. Available for Xd and YPred.

  • Threshold - below the specified threshold the term will not be considered by the optimizer. Available for DModX, T2Range, Xd and YPred.

  • Min/Max - the limits of the range for the manipulated variables. The optimizer will never propose a solution outside this range.

  • Setpoint - the recipe setpoint for normal operation. This value is used to predict the forecast.

Defaults for terms are fetched from the model, see the parameters regular topic in Appendix B, Control Advisor.

More:

Control settings for Control Advisor in Configure dialog

Control Advisor

Optimizing the future

Parameters regular


Write back for Control Advisor for regular

In the Write back page, define which predictions, limits and information to automatically export to the process database.

Figure: Write back page for Control Advisor for regular projects.

Connect the vectors to the tags by associating the appropriate tag to the added item.

For details about how to connect to the tags, see the Associating tags section earlier in this chapter. Use the Tag filter field to help you find the desired tag. See also the shortcut menu to facilitate the association.

More:

Result variables

Write back for Control Advisor

Result variables for Control Advisor


Result variables for Control Advisor for regular

Available Control Advisor results that can be written back to the data source are:

Name in Item column | Description
OptimizationNumber | Sequence number used to signal that new Xmv setpoint values are available.
Xmv(<variable tag>) | Xmv setpoint resulting from Control Advisor optimization.
ControlAdvisorOptimizerStatus | 0 - the optimization converged within 1000 iterations. 1 - the optimization did not converge within 1000 iterations, but a better setpoint was found. 2 - the optimization did not converge due to timeout, but a better setpoint was found. 3 - the optimizer did not find a better setpoint.


Starting and stopping the execution

When logged on as administrator of the program, you can start and stop the execution by marking a project configuration and clicking the play and stop-buttons respectively in the Project Explorer pane.

When a project configuration is executing, data is read and models are predicted following the rules for project execution. To learn more about these rules, see the SIMCA-online technical guide. Projects execute in the background without being opened.

Depending on whether a project is executing or not, the status is displayed to the left of the configuration name.

- the configuration is not executing.

- the configuration is executing.

- the configuration is repredicting but not executing.

- the configuration is repredicting while executing.

- the configuration is unavailable.

Stopping batch project execution keeps data for active batches

Starting with SIMCA-online 15.1, data is saved for an active batch when execution is stopped for a project configuration. When the execution is restarted, the batch continues executing from where it was. This means that data for any reset alarms, and added notes remain, and that the batch is not re-read from the beginning but continues after the last previously read point.

In earlier SIMCA-online versions, active batches were deleted when execution was stopped, and later restarted from the beginning when execution was started. This destroyed the alarm history, removed all notes, and could also take a long time for long batches and slower data sources.

This new handling of batches thus also means that you can no longer stop and restart execution for a project configuration to restart an active batch from the beginning. Instead you need to delete the batch manually. Learn how to in Delete predicted data.

Note that data for active batches are also kept if the entire SIMCA-online server service is stopped, for example as a consequence of restarting the server computer for Windows updates.


Removing and restoring project configurations

To remove a project or a configuration from the Server, mark it in the Project Explorer pane, and press the DELETE-button on your keyboard. If you answer Yes in the displayed dialog, the project/configuration will no longer be displayed in the dialog.

After deleting the project or configuration you can restore it by marking it and clicking Restore. Deleted unpurged projects and configurations are displayed when Show deleted items is selected in the ☰ menu.

To permanently delete, click Purge. Then the project/configuration and all associated files will be removed from the Server, while the original SIMCA .usp files remain.

To be able to purge projects you need to have the Purge Projects permission, to purge configurations you need to have the Purge Configurations permission.


Workspaces

A workspace holds information about the client's open configurations and open plots, and their locations. By using a workspace you don't have to re-open all configurations and plots manually, but instead can open just the workspace.

Besides saving open configurations, plots, lists and unit overview, a workspace also saves the Plot options for the open configurations. This means that any options that were used when the workspace was saved will be used on all clients that opens that workspace. Thus workspace plot option takes precedence over Plot options configured on a client in SIMCA-online options (for each configuration).

Workspaces can be saved on the server (and shared between all users of that server), or session workspaces on the client PC (only used by the current Windows-user).

Note: You can use the Cancel-button in the progress bar that is displayed when opening a workspace to stop opening the workspace.

Session workspaces

When closing the client, the current workspace is automatically saved locally on the PC.

After restarting the client and logging in, that workspace is automatically and opened, as long as the option Open last workspace is used in SIMCA-online Options.

Note: To delete the session workspace, open %appdata%\Umetrics\SIMCA-online\16.1 and delete the files with extension .solws.

Server workspaces

The workspace can also be saved on the server and can thus be opened by all clients connected to the server. These workspaces can be opened by any user with access rights to the workspace, while Manage Workspaces permission are needed to save or delete workspaces.


Customizing plots

The plots in SIMCA-online can be customized using the Appearance sub-pane of the Properties pane as described in Properties pane.

You can also display the Format plot dialogs and make settings there from the context menu of the plot.

Content

This chapter describes the following features:

  • Mini-toolbar - for quick access to common commands regarding the content or marking in the plot.

  • Format plot - customize plots using Format Plot. Changes in Format Plot can be saved to a template.

Find the remaining items on the shortcut menu;

  • Copy plot and Save as in the Copy and save plot topic in Chapter 5, Quick Access Toolbar.

  • Drill down (open related plot after marking), Add note (to observation, batch etc), and Create list in the respective topic in Chapter 9, Tools.

  • Print in the Print, Print preview, Print setup topic in Chapter 4, File.

  • Plot templates (save, load and manage) in the Templates topic in Chapter 9, Tools.

  • Properties pane in Chapter 6.


Mini-toolbar

When you click or mark points the mini-toolbar automatically appears. The mini-toolbar helps you to customize the attributes of the plot, create contribution plots and to add notes to marked points. It also appears with the menu when you right-click.

To hide the mini-toolbar, see the Managing the mini-toolbar topic.

More:

Mini-toolbar for marked items

Mini-toolbar for formatting

Mini-toolbar for subplot

Managing the mini-toolbar


Mini-toolbar for formatting

Mini-toolbar with common commands

The standard mini toolbar contains the Format Plot, select tool, zoom, add plot elements, share and mini-toolbar options.

More:

Mini-toolbar for marked items

Mini-toolbar for subplot

Managing the mini-toolbar


Mini-toolbar for marked items

Mini-toolbar for marked items: (cogwheel appears only when right-clicking)

Note: When clicking a symbol, that symbol is marked and the mini-toolbar for marked items appears.

Features available when marking items are described in the table.

Mini-toolbar button | Description
Drill down | Opens a contribution/variable/T2Range&DModX plot.
Add note | Opens the Add note dialog.
Mini-toolbar options | When right-clicking the marking, the cogwheel appears allowing you to select the behavior of the mini-toolbar.


Mini-toolbar for subplot

Mini-toolbar for subplot that zooms in or out depending on current plot state:


Managing the mini-toolbar

The mini-toolbar is available to customize the attributes of the plot. The mini-toolbar is displayed when you click in a plot.

The mini-toolbar is always displayed with the menu when right-clicking. Clicking the cogwheel of this mini-toolbar opens the Mini-toolbar options where you can select to:

  • Show mini-toolbars - the appropriate mini-toolbar is displayed when clicking in the plot. When cleared the mini-toolbars are only displayed above the shortcut menu.

  • Enable 'Format Plot' mini-toolbar - when clicking on text, lines etc. the plot, common plot formatting features/commands/buttons are displayed.

  • Enable 'Marked Items' mini-toolbar - when marking points, the drill down and add notes-button are displayed.

  • Enable 'Zoom Subplot' mini-toolbar - when the plot has subplots, this mini-toolbar shows up in the upper right corner of each subplot.

Figure: Default mini-toolbar options.

Mini-toolbar for formatting, after clicking a text-field in the plot when Enable 'Format Plot' mini-toolbar was selected in the Mini-toolbar options:


Format plot customization

Use the Format Plot dialog to change the most common attributes of the axes, plot area, and header and footer.

To open the Format Plot dialog right-click the plot and click Format plot. This dialog can also be opened by clicking a plot and then clicking Format plot on the Mini-toolbar or double-clicking the axes, axis titles, header or the footer.

To save the new settings there are a number of entry points;

  • Click Templates | Save as default on the Tools tab or

  • Click Save settings in the Format Plot dialog or

  • Right-click the plot and click Plot templates | Save as default.

More:

Axis

Gridlines

Background

Titles

Legend

Limits and Regions

Labels

Error bars

Styles

Multiplots


Axis in Format Plot

Axis

The properties under the Axis node apply to the selected axis: Axis X, Axis Y, Axis Y2 (second Y-axis) etc.

To open the Format Plot dialog use one of the following methods:

  • Click in the plot and click Format plot in the mini-toolbar.

  • Double-click an axis in the plot.

  • Right-click the plot and then click Format plot.

In the Format Plot dialog, Axis node, click:

  • The respective axis to customize the scaling of the selected axis, annotation rotation etc. Leave the node marked to introduce changes for all axes.

  • Axis General to access the following pages:

    1. Axis General to customize color, width and other properties of all axes.

    2. Tick Marks to select how to display major and minor tick marks.

    3. Axis Font to customize the font of the axis annotation.

    4. Title Font to customize the font of all axis titles.

More:

Individual axes

Tick Marks

Customizing the gridlines

Customizing the axis title font


Individual axes in Format Plot dialog

The content for the individual axes is described in the table below:

Field/button name | Displays | Result after entering a new value and clicking Apply
Axis
Show axis | Default selected. | If cleared, that axis is not displayed.
Minimum | Start point for the selected axis when the values are displayed in regular order. For time-variables the page is adjusted, see the Time axis topic. | The new start point is used for the selected axis.
Maximum | End point for the selected axis when the values are displayed in regular order. | The new end point is used for the selected axis.
Auto adjust scales for suitable limits and step size | Default selected. | If cleared, enables the Step size field.
Step size | Default disabled. | The entered value defines the major tick mark spacing for the selected axis.
Reverse axis | Default cleared. | If selected, the scale is displayed with the highest number to the left and the lowest to the right.
Annotation
Rotation | Default No Rotation. | Selecting 90 degrees displays the annotation turned 90 degrees.
Title
Show title | Default selected. | If cleared, the axis title is not displayed.
Title | The vector name. | The new title. Title changes cannot be saved.

Note that the distance between the tick marks is constant.

When you have more than one series in a plot, you can select to display more than one y-axis. For more, see the Multiple Y axes topic later in this chapter.


Time axis in Format Plot dialog

The content for the Axis X and Axis X Title pages for a time variable is described in the table below:

Field/button name | Displays | Result after entering a new value and clicking Apply
Time Axis section
Show axis | Default selected. | If cleared, that axis is not displayed.
Minimum | Start point in time units. Change by typing in the field. | The new start point is used for the selected axis.
Maximum | End point in time units. Change by typing in the field. | The new end point is used for the selected axis.
Auto adjust scales for suitable limits and step size | Default selected. | If cleared, enables the Step size field.
Step size | Default disabled. | The entered value defines the major tick mark spacing for the selected axis.
unit | The unit of the step size. | Switching between units updates the step size automatically.
Format section
Time format | Default ISO 8601, YYYY-MM-DD HH:mm:ss. | The entered time format specifies the annotation on the marked time axis.
Axis X Title tab
Rotation under Annotation | Default No Rotation. | Selecting 90 degrees displays the annotation turned 90 degrees.
Show title under Title | Default selected. | If cleared, the axis title is not displayed.
Title | The vector name. | The new title. Title changes cannot be saved.

Note that the distance between the tick marks is constant.


Axis General in Format Plot

In Axis General the following features are available and are applied for all axes:

  • Axis Color and Width.

  • Always recalculate scales - when selected all axes are autoscaled. Clearing it makes the current ranges of the axes stick even if the vector displayed is switched except when the new vector range goes outside the minimum or maximum.

  • Show arrows - when selected the arrows are displayed at the end of the axes.

  • Arrow Color - Automatic here means the same as the axis color.

  • Annotation Color and Distance from axis.

  • Axis title Color.


Tick Marks in Format Plot

Use the Tick Marks page to specify how the tick marks should be oriented and how long they should be.

Under Major tick marks and Minor tick marks the same boxes are available:

  • Tick mark type - where None is no tick mark, Outside is to have the tick mark outside the axis, Inside is to have the tick mark inside the axis and Cross is to have the tick mark on both sides of the axis.

  • Tick mark size is the length of the tick mark.


Font

Use the respective font pages, to select the Font, Font style, Size, and Effects for the annotation, title, etc.

Section | Description
Font | Displays the currently selected font. Click another font to switch.
Font style | Displays the current font style. Select to display the text Regular (default), Bold, Italic, or Bold Italic.
Size | Displays the current size. Select another size as desired.
Preview | Displays a preview of the expected text according to the selections above.
Anti aliased check box | Allows selecting to display the text Anti aliased or not.

To open the Format Plot dialog use one of the following methods:

  • On the Layout tab, click Format Plot .

  • Double-click the plot area, header or footer, or axes in the plot.

  • Right-click the plot and then click Format Plot .


Customizing the gridlines

Gridlines in Format Plot

Use the Gridlines page to customize the gridlines and grid stripes. The gridlines are placed on the major tick marks. Grid stripes are the areas between the gridlines, where every second such area can be colored.

Note: Gridlines and grid stripes can be specified individually for Vertical and Horizontal. Specification using the node applies to both.

The following is available:

Option/Box/Field | Description
No gridlines | No gridlines are displayed when No gridlines is selected.
Gridline | When selecting Gridline you can select to display the lines Solid, Dashed, Dotted, Dash dot or Dash dot dot.
Gridline Color | The color of the grid, by default gray.
Width | The width of the gridlines.
No grid stripes | No grid stripes are displayed when No grid stripes is selected.
Grid stripe Solid fill | When selecting Solid fill the grid stripes are displayed in the selected color.
Grid stripe Color | Displays the current color and allows selecting a new color.
Grid stripe Gradient fill | When selecting Gradient fill you can select to display the stripes Horizontal, Vertical, Forward diagonal, Backward diagonal, Radial, Horizontal bar, Vertical bar.
Grid stripe Color 2 | Displays the current color and allows selecting a new second color for Gradient fill.


Background in Format Plot

The Background node controls the attributes of the background displayed in the plot.

Note: The background fill and border can be specified individually for the Window area and Plot area. Specification using the node applies to both.

The table describes the available options:

Option/Box/Field | Description
Fill
No fill | No background is displayed when No fill is selected.
Sold fill | When selecting Solid fill the background is displayed in the selected color.
Gradient fill | When selecting Gradient fill you can select to display the background Horizontal, Vertical, Forward diagonal, Backward diagonal, Radial, Horizontal bar, Vertical bar.
Color | Displays the current color and allows selecting a new color for the background.
Color 2 | Displays the current color and allows selecting a new second color for Gradient fill.
Border
No border | No border around the background area is displayed when No border is selected.
Solid line | When selecting Solid fill, the background is displayed in the selected color.
Color | Displays the current color and allows selecting a new color for the border.
Width | The width of the border.

To open the Format Plot dialog use one of the following methods:

  • Double-click the plot area, header or footer, or axes in the plot.

  • Click the plot area, header or footer, axes, or an empty area in the plot and click Format plot in the mini-toolbar.

  • Right-click the plot and click Format plot.


Titles in Format Plot

Use the Format Plot dialog to customize the items available in the Titles node. When customizing, the changes apply to the selected item, Header/Footer/Timestamp/Subheader.

Note: Changing color, font and size of the Header/Footer/Timestamp/Subheader can be done directly in the plot by clicking and using the mini-toolbar for formatting.

On the Titles page:

  • Select to hide or show by selecting or clearing the Is Visible check box.

  • Select where to display the title in the Anchor box, when applicable.

  • Customize the text displayed by changing or typing in the field.

  • Align the text right, center, or right by clicking the appropriate alignment button.

  • Customize the color of the text in the Text color box.

  • Customize the background color by clicking the Background color box.

  • Select to display a border by selecting the Is visible check box in the Border section. With it selected you can customize Color, Margin (to the text) and Width of the border.

On the Font page you can select the Font, Font style, Size, and Effects. See also the Font topic earlier in this chapter.

To open the Format Plot dialog use one of the following methods:

  • Double-click the plot area, header or footer, or axes in the plot.

  • Click the plot area, header or footer, or axes in the plot and click Format Plot in the mini-toolbar.

  • Click the plot and click Format Plot in the mini-toolbar.


Legend

The Legend page controls the attributes of the legend, such as placement, color, and border.

The table describes the available options:

Option/Box/Field | Description
Placement section
Show legend | The legend is displayed when the Show legend check box is selected.
Position | By default the legend is positioned Top right. To change from the default, click one of the available placement options.
Orientation | The orientation is by default Vertical. Horizontal is the other option.
Text alignment | Alignment of the text in the legend is by default Left. Right and Center are the other options.
Color section
Text color | By default the text is black. To customize text color of the legend, click the Text color box.
Background color | The default background color is white. To select another color, click the Background color box.
Border section
Is visible | By default the border is not displayed. To display the border around the legend, select the Is visible check box.
Color | To customize the border color of the legend, click the Color box in the Border section.
Margin | To specify the margin to the text, change the value in the Margin field.
Width | To increase or decrease the width, enter a new number in the Width field.

To open the Format Plot dialog use one of the following methods:

  • Double-click the plot area, header or footer, or axes in the plot.

  • Click the plot area, header or footer, or axes in the plot and click Format Plot in the mini-toolbar.

  • Click the legend and click Format Plot in the mini-toolbar.


Limits and Regions in Format Plot

There are a number of limits available in plots in SIMCA-online, for instance the ellipse in the score scatter plot, the DCrit limit in the DModX plot etc. Additionally there are regions, such as the background active batches for a batch level plot with partial models.

The attributes of the limits and regions can be modified individually for each limit and region type under the Limits and Regions node in the Format Plot dialog, in the respective Region Style pages. The Region Style page is described in this section.

For multiplots, the limit pages are positioned last in the Format Plot dialog under Plot 1, Plot 2, Plot 3, etc.

For batch evolution plots, the limit pages are positioned under Styles.

More:

Customizing limits

Label Style

Font


Customizing Limits and Regions in Format Plot

The selected limit or region can be customized in the Region Style page.

Feature | Description
Line
Style | Select between the available line styles.
Width | Increase or decrease as desired.
Color | Displays the current color and allows selecting a new color.
Fill
Type | Select to fill the area Over or Under the limit, or select No fill.
Style | Select the fill to be Solid or Gradient. Selecting Solid enables the Color 1 box and selecting Gradient enables the Gradient, Color 1 and Color 2 boxes.
Gradient | When selecting Gradient you can select to display the fill Horizontal, Vertical, Forward diagonal, Backward diagonal, Radial, Horizontal bar, Vertical bar.
Color 1 | Displays the current color and allows selecting a new color.
Color 2 | Displays the current color and allows selecting a new color. Available when the Style is Gradient.
Font tab - see the Font topic.
Label Style - see the Labels topic.

To open the Format Plot dialog use one of the following methods:

  • Double-click the plot area, header or footer, or axes in the plot.

  • Right-click the plot and then click Format Plot.

  • Click the plot and click Format Plot in the mini-toolbar.


Label Style in Format Plot

The Labels pages control the attributes of the displayed plot marks. Color, alignment, font and rotation apply to all labels in a given series.

The tabs available in the Labels node, Label Style, Font and General, are described in the table.

Option/Box/Field

Description

Label section in Label Styles

Position

The default position of the label in reference to the point is Right. To position the label in another direction, click the Position box and make a new selection.

Offset

The offset defines the distance between the label and what it labels in the direction of the selected Position.

To increase or decrease the distance between the label and item, enter a new value in the Offset field.

Rotation

The default rotation of the labels is 0. To rotate the label, enter a new value in the Rotation field. Note that this field is unavailable when Avoid overlapping labels has been selected in the General tab.

Color section in Label Styles

Text color

Displays the current color of the text in the label and allows selecting a new color. Automatic displays the text in the same color as the symbol fill.

Background color

The background color of the label is default transparent. To select a color, click the Color box and make the selection.

Border section in Label Styles

Is visible

By default, no border for the label is displayed. To display a border around the label select the Is visible check box.

Color

Displays the current color of the border and allows selecting a new color.

Margin

The margin between the text and the border can be customized in the Margin field.

Width

To increase or decrease the width, enter a new number in the Width field.

Draw connection line

Draw connection line is by default cleared. Selecting it will display a thin line between the label and its point.

Font tab - see the Font topic.

General tab

Avoid overlapping labels

With Avoid overlapping labels selected, point labels will try not to overlap each other. A high specified limit in the Limit field in combination with many labels can be quite time consuming.

To open the Format Plot dialog use one of the following methods:

  • Double-click the plot area, header or footer, or axes in the plot.

  • Click the plot area, header or footer, axes, or an empty area in the plot and click Format plot in the mini-toolbar.

  • Right-click the plot and click Format plot.


Error Bars

The Error Bars page controls the attributes of the error bars displayed in the Y Predicted plot for batch level plots.

The settings available are:

  • Is visible - hides the error bars when cleared.

  • Color of the error bars - by default black. To display the error bars in any other color, click the Color box.

  • Line width of the vertical and horizontal lines. To display wider error bars, enter a new number in the field.

  • Error bar width is how wide the horizontal line is compared to the column.

To open the Format Plot dialog use one of the following methods:

  • Double-click the plot area, header or footer, or axes in the plot.

  • Click the plot area, header or footer, axes, or an empty area in the plot and click Format plot in the mini-toolbar.

  • Right-click the plot and click Format plot.


Styles in Format Plot

In the Styles node the attributes of the series, and for batch evolution plots limits, can be customized.

The available pages in the Styles node, different depending on which plot is open, are:

  • Category coloring

  • Marking Style

  • Line Style

  • Fill Style - See Customizing limits Fill section.

  • Y-Axis

  • Font

To open the Format Plot dialog use one of the following methods:

  • Double-click the plot area, header or footer, or axes in the plot.

  • Right-click the plot and then click Format Plot.

  • Click the plot and click Format Plot in the mini-toolbar.


Category coloring in Format Plot

In Category coloring you can specify colors for the batches.


Marking style in Format Plot

In the Marking Style page you can change the marking colors by marking and selecting a new color in the color box to the right.


Symbol Style

The Symbol Style page controls the attributes of the symbols displayed in the plot.

The table describes the available options:

Option/Box/Field

Description

Shape

The shapes of the series can be changed by:

  1. Marking a series.

  2. Selecting a new shape in the Shape box.

With None selected, no symbols are displayed.

Size

To increase or decrease the size, enter a new number in the Size field.

After using the Size by feature, changing the value in Size affects the points proportionally.

Fill

No fill

Results in symbols transparent inside the outline.

Solid fill

Displays the color selected in Color.

Gradient fill

Allows you to select to display the symbol with a gradient fill of type Horizontal, Vertical, Forward diagonal, Backward diagonal, Radial, Horizontal bar, Vertical bar.

Color

Displays the current color. To display another color, click the Color box, and then select a new color.

Color 2

Displays the current second color for Gradient fill and allows selecting a color.

Outline

No outline

No outlining contour of the symbols.

Solid line

The outline of the symbol is displayed.

Color

Color of the outline. Automatic results in an outline in the same color as the symbol but in a darker shade.

Width

Width of the outline.

Glow

Use glow

When selected an area outside the outline is colored for a glowing effect.

Color

Color of the glow. Automatic results in the same color as fill color.

Width

Width of the glow.

To open the Format Plot dialog use one of the following methods:

  • Double-click the plot area, header or footer, or axes in the plot.

  • Click the plot area, header or footer, or axes in the plot and click Format Plot in the mini-toolbar.

  • Click the plot and click Format Plot in the mini-toolbar.


Line Style in Format Plot

Line Style

The Line Style page controls the attributes of the lines displayed in the plot.

The table describes the available options:

Option/Box/Field | Description
Pattern | Change the pattern of the line by clicking the Pattern box and selecting another pattern. The available types are: Solid, Dashed, Dotted, Dash dot, and Dash dot dot.
Width | To increase or decrease the width, enter a new number in the Width field.
Color | To display another color, click the Color box, and then select a new color.
Smoothed line (Bezier) | Select Smoothed line (Bezier) to smooth out the edges of the line.

Note: Filling is available in the Fill Style tab. See the Customizing limits topic for details.

To open the Format Plot dialog use one of the following methods:

  • Double-click the plot area, header or footer, or axes in the plot.

  • Click the plot area, header or footer, axes, or an empty area in the plot and click Format plot in the mini-toolbar.

  • Right-click the plot and click Format plot.


Column Style in Format Plot

Column and Column Style in Format Plot

The Column and Column Style pages control the attributes of the columns displayed in the plot.

The Column page, found above the Styles node, displays the current Column width and allows adjusting it.

The Fill and Border options are described in the Symbol Style topic earlier in this chapter; Border is there named Outline

To open the Format Plot dialog use one of the following methods:

  • On the Layout tab, click Format Plot .

  • Click the plot area, header or footer, or axes in the plot and click Format Plot in the mini-toolbar.

  • Right-click the plot and then click Format Plot .


Multiple Y Axes

Multiple Y axes in Format Plot

When you have more than one series in a plot, you can select to display more than one y-axis and linking it to one of the series.

To display multiple y-axes:

  1. Click the Styles node and click the series you want on the second y-axis.

  2. Click the Y Axis tab.

  3. In the Attach to Y Axis box, select Axis Y2.

Steps 1 - 3 can be repeated for more series.


Multiplots

Multiplots and Format Plot dialog

For multiplots there are Plot nodes beneath the Styles node, named Plot 1, Plot 2, etc.

In these plots specific nodes the Sub Title and Plot area of the individual plots can be customized as described in Titles and Background respectively.


Appendix A: General information

Content

  • Error codes when starting the service

  • Server endpoints

  • SIMCA-online interfaces

  • Web Server, Web API and Web Client

  • Menu and tab reference syntax


SIMCA-online client links (URIs)

The SIMCA-online desktop client support URIs, or links, that control the actions that the client performs.

URIs can be triggered in several ways which are described below:

  • By clicking links in web pages such as those displayed by Umetrics Suite Active Dashboard, or emails such as those sent by SIMCA-online notifications.

  • You can also create Windows shortcuts and provide the URI in that.

  • By using the SIMCAonline.client.exe command line parameter /openuri

These URIs are not links that your web browser displays, rather they connect to the SIMCA-online client on your PC, and performs some action. Thus, for the links to work the SIMCA-online client needs to be installed on the PC where you access the links

Available URIs

simcaonline:Workspace/Open - Open a specific Workspace on the server

simcaonline:Configuration/Open - Open a specific project configuration on the server

simcaonline:Project/Configure - Uploads a project and configure it, configure an existing project on the server.

simcaonline:Framework/Connect - Connect to a specific SIMCA-online server.

Below we'll list the parameters for each URI, but first we'll explain how the URI looks.

URI syntax

All SIMCA-online URIs use the following syntax:

simcaonline:{controller}/{action}?[paramkey=paramvalue][&paramkey=paramvalue]

The first item after the "simcaonline:" URI scheme is the controller. It and the next item action determines what the URI does in the SIMCA-online client. Finally, paramkey is a name of a parameter, and paramvalue its value. Many parameters can be supplied at once as the example above shows.

What is a GUID?

Many parameters to the URIs are GUIDs as you will see later.

A GUID is a globally unique identifier for a project or configuration on a SIMCA-online server. Here is an example how a GUID looks like: c0d679f8-9d92-4cfc-8638-4200f7a839cf

Tooltips in the Project Explorer pane show the GUIDS for each project and configuration. However, these cannot be copied, but one trick that can be used to obtained them is to right-click on a configuration and select Create Desktop shortcut. Then edit the resulting desktop shortcut lnk-file with a text editor like Notepad++.

URI handling in the client

This is what happens when SIMCA-online deals with an URI:

  1. If the SIMCA-online client isn't running, it will first start.

  2. Unless the server name and port were provided in the URI, you need to provide it to connect to a server.

  3. Then, type the user name and password. It is not possible to specify the user name and password in a URI for security reasons. However, if you don't want to have to do this, we recommend single-sign using Windows authentication on which automatically logs you in using your windows credentials.

  4. After logging in the URI command will continue.

If SIMCA-online client is already running you will get a question if you want to re-use the same client, or start a new one. Note that URIs can specify the server to log in to, and if that doesn't match the server currently logged in to you have to log out first, and then log in.

How to test a URI in Windows

In Windows, type Windows + R to get to the Run…-box. Copy and paste a URI there and hit Return.

For example, the following URI should open the Project Explorer pane and ask you for a Project to upload to the server: simcaonline:Project/Configure

How to use a URI in the SIMCA-online client command line

SIMCAonlineclient.exe /openuri "[URI]"

Replace [URI] with a proper URI and remember to keep the quotes around the URI. For example:

SIMCAonlineclient.exe /openuri "simcaonline:Project/Configure"

Available URIs

Framework/Connect

Parameters:

host - the network address of the server to connect to, for example server.example.com.

port - the tcp port that the server listens on, by default 2731.

The parameters for this URI is often added to other URIs so that they specifies which server and port to connect to in the URI. An example of this is given at the bottom of this page.

Workspace/Open

Parameters:

workspace - the GUID of the workspace to open

Configuration/Open

Parameters:

project - the GUID of the project

configuration - the GUID of the configuration

Project/Configure

  • This URI is used for uploading a SIMCA project from disk and creating a project configuration for it.

  • It can also be used to create a new configuration for an existing project on the SIMCA-online server.

  • If a configuration is embedded in the SIMCA project, like it is when the project originates from the Update SIMCA project feature in SIMCA-online, it can be imported directly automatically.

  • You also have an option to finish the configuration wizard quickly so that you don't have to click Next so many times when adding the new configuration.

This URI is used from SIMCA to be able to quickly and easily upload a project that has been updated in SIMCA to a SIMCA-online server.

Parameters:

project - GUID or path

  • The GUID of an existing project on the server.

  • Or a path to a SIMCA project accessible from the client (on a local disk, or a network drive accessible to the user running SIMCA-online). This project is then uploaded to the SIMCA-online server and stored in its database and is ready for configuration (linking to tags, specifying phase execution conditions for example).

configuration - GUID or path. One of the following:

  • A GUID of an configuration that is embedded in the project. This GUID can be seen in SIMCA on the information tab. This configuration is then read from the project, and the results are presented in an import log of the configuration wizard.

  • new - A new empty configuration is created, the wizard is started and you are left on the first page and get to go through the whole wizard and make all changes.

  • Any other value - no configuration will be added. This means that a project can be uploaded, but no configuration added for it.

wizardAction - If the value is finish, the configuration wizard will automatically skip forward so that you don't have to click through all pages. The skipping will stop on any page with an error, or if none are found will finish the wizard to add the new configuration without any user interaction. Typically used in combination with the configuration parameter to quickly complete the configuration when reading settings from a project.

deleteSource - If the value is true, the original project path will be deleted after it has been uploaded to the server. Thus only works when the project parameter is a path.

Example URI

Here an example of a full URI that opens a project 'C:\Users\erikr\Documents\BakersYeastDemo.usp' and automatically configures a configuration embedded in the USP, finishes the wizard and deletes the original project file from disk. It also specifies the name of the server (host) and the port to connect to:

simcaonline:Project/Configure?host=server.example.com&port=2371&project=C%3A%5CUsers%5Cerikr%5CDocuments%5CBakersYeastDemo.usp&configuration=f6dd2028-efd7-4f85-901c-bc03681e9c1f&wizardAction=finish&deleteSource=true


Error codes when starting the service

Windows error codes

Error 3:

The system cannot find the path specified.

Possible cause:

The installation of the SIMCA-online service is incomplete.

Solution:

Reinstall from installation package.

Error 5:

Access denied.

Possible cause:

Application does not have sufficient permissions to complete the operation.

Solution:

Start application as administrator.

Error 1069:

The service did not start due to a logon failure.

Possible cause:

The Windows password for the selected user is incorrect.

Solution:

In Control Panel, click Administrative Tools, and then Services. Locate the SIMCA-online Server service, right-click and click Properties. Click the Log On tab, and enter the correct password for the specified account.

Service-specific error codes

Error 42:

General error code often referring to the initialization of the SimApi. When running the demo-version, this means that DBMaker needs to be started before the server.

Solution:

For more information, review the server log file, or if the log file does not exist, the Windows event log. The server log file is named SIMCAonlineserver.log and positioned in the database folder specified in the Server configuration page Paths and directories.

Error 1001:

The path to the configuration file is unavailable.

Possible cause:

The server configuration has not been done.

Solution:

Open SIMCA-online Server Options and review the settings.

Error 1002:

The path to the database directory is unavailable.

Possible cause:

The server configuration has not been done correctly.

Solution:

Open SIMCA-online Server Options, tab Paths and directories and review the settings.

Error 1003:

The path to the SimApi file is unavailable.

Possible cause:

The server configuration has not been done correctly.

Solution:

Open SIMCA-online Server Options, tab SimApi and review the settings.

Error 1004:

There is a problem with the license file.

Possible cause:

The license has expired or the license file cannot be found.

Solution:

Open SIMCA-online Server Options, tab Paths and directories. Click Import license and browse to the license file.

For more information, review the server log file, or if the log file does not exist, the Windows event log. The server log file is named SIMCAonlineserver.log and positioned in the database folder specified in the Server configuration page Paths and directories.

Error 1005:

Could not create the log file.

Possible cause:

The account the database directory used for the server has too low permissions.

Solution:

Open SIMCA-online Server Options, tab Paths and directories and review the settings.

Error 1006:

The network settings are unavailable.

Possible cause:

The server configuration has not been done correctly.

Solution:

Open SIMCA-online Server Options, tab Network Settings and review the settings.


Server endpoints

RPC over TCP/IP is the protocol used by desktop clients. The default tcp port is 2371 but this can be changed in Server Options. Communication over this port is encrypted when server and client are in the same Active Directory forest (domain).

Web Clients use https(s) as described in Web Server, Web API and Web Client.


SIMCA-online interfaces

SIMCA-online SimApis

SIMCA-online is available with an interface (SimApi) to OPC, OSIsoft PI, ODBC, AspenTech IP21 and more. Please contact you sales representative for more information.

Note that only some SimApis support all features in SIMCA-online. See umetrics.com/simapi for details on each available SimApi to find one that fits your requirements.


Web Server, Web API and Web Client

The Web Server is an optional feature of SIMCA-online. It provides a Web API that exposes SIMCA-online projects, configurations and data using HTTP/HTTPS in a RESTful interface. This allows for creating custom clients/views of SIMCA-online data. One such view is the SIMCA-online Web Client.

The Web Server feature must be enabled on the server computer by running SIMCA-online Server Options, and on the Miscellaneous tab selecting to Use Web server, and optionally change the related settings such as port number. After enabling, you have to restart the SIMCA-online server service for the changes to take effect.

Using a nonstandard service account

If you use a service account for SIMCA-online other than LocalSystem, that account needs to have permissions in Windows to use the HTTP service.

Otherwise, the server won't start and the server log displays the error message "Failed to start HTTP server. HTTP could not register URL http://+:9001/. Your process does not have access rights to this namespace"

How to grant your service account permissions to HTTP

Change the permissions for the SIMCA-online server service account using the "netsh http add" command as described below. Run this command as Administrator on the server computer, for example on an Administrative Command Prompt.

For example for a domain user service account:

netsh http add urlacl url=http://+:9001/ user=DomainName\Username


Menu and tab reference syntax

In this help we use the following syntax when referring to the File tab commands:

  • Click Tab | Command. An example: Click File | Print.

  • On the Tab tab, click Command. An example: On the File tab, click Print.

  • Click Command on the Tab tab. An example: Click Print on the File tab.

In this help we use the following syntax when referring to tab commands/buttons:

  • On the Tab tab, in the Group group, click Command. An example: On the View tab, in the Open group, click Report.

  • Click Command, in the Group group, on the Tab tab. An example: Click Report in the Open group on the View tab.

  • Click Tab | Command | Menu item. An example: Click View | Close | Close all windows.


Appendix B: Control Advisor

Content

  • Control Advisor background

  • Imputation methods

  • Optimizing the future

    • BEM parameters

    • BLM parameters

    • Parameters regular


Control Advisor background

The general idea for the process control advisor is twofold; (1) to be an indication to the user how the process will evolve in the future according to the model and (2) how to change the process in a way so that the outcome will be optimal according to the user specification.

Since we while monitoring a process know the previous, historical, values up until now for all variables needed to do a prediction (Xk) and we also know the future settings of our manipulated variables (Xmv), we can estimate the dependent values (Xd), which in reality means that we can estimate the future of the process. We call this estimation a “Forecast”.

There are different ways to predict the Xd matrix, but the one found most reliable for batch processes is a batch level PLS model with as many predicted Ys as Xd*NumMaturity (amount of dependent variables times the total number of maturities). For continuous processes, an ordinary PLS model based on m lag and n lead (“negative” lag) variables with as many predicted Ys as Xd*n (amount of dependent variables time the total number of leads).

The prediction of Xd is all that is needed for doing a forecast, i.e. visualizing the probable future based on the history of the process to the user.

Figure: Manipulated variables (Xmv) are future variables that are assignable and their future settings are known, for instance setpoints. All other X variables in the batch evolution dataset are called dependent variables (Xd). All values are known (Xk) up until the current time point.


Imputation methods

There are a number of imputation methods;

  • TRI: Trimmed Score Method

  • II: Iterative Imputation

  • PMP: Projection to the Model Plane

  • SCP: Single Component Projection

  • CMR: Conditional Mean Replacement

  • TSR: Trimmed Score Regression

  • IBR: Imputation by Regression

The imputation method used by SIMCA and SIMCA-online is IBR. All missing dependent values are predicted in one execution.

Reference

Arteaga and Ferrer (2002), Dealing with missing data in MSPC: several methods, different interpretations, some examples, J. Chemometrics, provides an excellent overview of imputation methods.


Optimizing the future

The optimizer in SIMCA-online tries to find the best setpoints for the manipulated variables, so that a cost function is minimized, using the BOBYQA algorithm. The algorithm has strict limitation of its operating region, which ensures that the manipulated variables never end up outside their limits. In all other regards, it is the cost function which dictates how good a certain combination of setpoints is.

For batch, the optimizer cost function (J) consists of two main groups; cost for batch evolution and cost for batch level according to the function below.

For regular projects, there is only one cost function group.

It could be cumbersome to configure all of the cost function settings, and therefore a default for all settings exists. The default settings are shown in the respective tables in the parameter topics that follow.

More:

BEM parameters

BLM parameters

Parameters regular


Optimizer BEM parameters

Optimizer parameters for BEM

The Optimizer parameters for the batch evolution model are listed in the table below alongside their default settings.

More:

BLM parameters

Optimizing the future


Optimizer BLM parameters

Optimizer parameters for BLM

The Optimizer parameters for the batch level model are listed in the table below alongside their default settings.

More:

BEM parameters

Optimizing the future


Optimizer parameters regular

Optimizer parameters for regular

The Optimizer parameters for the model are listed in the table below alongside their default settings.

More:

Optimizing the future


Glossary of terms

A

Active batches The Active batches (previously named current) are the batches that are currently running in the external data source and being predicted by the server. The active batches are displayed as they are evolving in the batch evolution control charts and in the Production Overview pane. After completion, batch or model wise, active batches are also displayed in the batch level plots. Note: when repredicting a batch it will also briefly show up as active during the time it is being predicted.

Automatic classification Option available in previous versions. In the current version there is no automatic classification. Phase belonging of new observations is identified using the phase execution condition.

Average batch The average batch is the average at each time point, computed over all batches in the model.

B

Batch condition A Batch condition is a tag in a batch node that holds a single, time/maturity-independent, value for an entire batch. It could be product quality, yield, process set points etc. A naming note: Unlike phase- and sleep conditions, a batch condition is not a logical expression, it's simply a tag.

Batch hibernation Batch hibernation was available in a previous version. In the current version, batch hibernation is only available between phases when a phase execution condition for any phase not yet has been fulfilled.

Batch ID A batch ID is a value that uniquely defines a particular batch within a project configuration. A batch ID cannot be reused, including batch IDs used in the workset in the SIMCA model. The batch ID is read from a tag in the data source during model execution. This tag should be a string tag or numerical tag containing integers (ranging from -16777216 to +16777216, for a larger range SIMCA-online loses precision and batch IDs won’t be unique). If you use a text tag it is recommended that you trim away whitespace around the batch id strings. The batch identifier tag is configured per unit, and thus is shared between all phases for that unit. As a consequence, different batches can be active at the same time (but in different units). The batch ID read from the tag must keep its value for consecutive observations as long as the observation is supposed to belong to that specific batch. Note that the batch node also contains a batch ID and it must be the same there as in the process data for SIMCA-online to be able to know for which batch it is reading data.

Batch identifier filter Batch identifier filters control which batches are visible and thus can be predicted in a SIMCA-online configuration. The filter is set on the batch node page of the configuration. The default filter * means that all batches in the batch node will be visible.

Batch node The batch node contains information about start and stop times of the batches. The batch node is created and updated by the external system. A batch node is a simple structure used by SIMCA-online to determine the start and stop time of named batches for a batch project configuration. It can also contain values for batch conditions. If local centering is used in a configuration, data for its tags must be read from the batch node. A batch node is required for batch configurations. Different project configurations can use different batch nodes but one configuration can only use one batch node. The batch node is queried for batch condition and local centering data, when listing batches from the repredict dialog, but also during normal execution of a configuration to know if a batch is active.

Batch process A batch process is a finite duration process. The batch starts, evolves, and stops.

C

Catch up The model reads all observations since the last execution or since the specified time point.

Class A class is a subset of similar observations from a dataset.

Concurrent batches The ability to run and monitor several batches at once.

Contribution The contribution is a measure of the differences in variable values between two observations. The differences are normally weighted by model loadings or modeled variability.

Critical limit When points are found outside the critical limit the resulting product is likely to be of poor quality.

Cross-validation In cross-validation, parameters are estimated on one part of a matrix and the goodness of the parameters tested in terms of its success in the prediction of another part of the matrix.

Current batches See Active batches.

D

Dataset A dataset is the base of all multivariate data analysis, often also called a data matrix. It is made up of values of several different variables for a number of observations. The data are collected in a data matrix (data table) of N rows and K columns, often denoted X. The N rows in the table are termed observations. The K columns are termed variables.

Dependent variables See Y-variable.

Discrete data Discrete data is infrequently measured data which have no logical values in between measurements. Usually a sample is taken on each batch at semi-regular intervals (such as once every day). This sample is then sent to a lab which performs analysis on the sample and at a later stage returns the results for the required variables for the sample. These results are then stored in a database at the date and time of the sample.

Discriminant analysis Discriminant analysis is a method for allocating observations to one class of a given set of classes by means of a decision rule based on a function of the data. The function is derived from data for a reference set of individuals where it is known which class each individual belongs to.

E

Endpoint See Port.

Execution condition A phase execution condition is a logical expression using data from one or more tags in the process node. Each phase model has its own execution condition. It is evaluated by the server on each execution of an observation to determine which phase it belongs to. The execution condition must be true during the entire execution of a phase. Once it is no longer true, the phase stops. Once stopped, the phase will not start again for that batch.

Execution interval The execution interval, measured in seconds, specifies how often a project configuration will be executed, i.e. how often an observation will be read from the data source and predicted. The exact time of predicting an observation is deterministic, and computed from the execution interval. Thus it does not matter when execution for a project configuration is started, for when the actual predictions will take place. An execution interval of 10 seconds would result in 6 executions per minute. They will always occur at HH:MM:00 UTC, HH:MM:10 UTC, HH:MM:20 UTC, HH:MM:30 UTC, HH:MM:40 UTC and HH:MM:50 UTC. An execution interval of 15 minutes would result in 4 executions per hour. They will always occur at HH:00:00 UTC, HH:15:00 UTC, HH:30:00 UTC and HH:45:00 UTC. An execution interval of 6 hours would result in 4 executions per day. They will always occur at 00:00:00 UTC, 06:00:00 UTC, 12:00:00 UTC and 18:00:00 UTC.

F

Factor Factor is a term often used in experimental design. It signifies controlled and varied variable. Also a term for one model dimension in factor and bilinear models. See also: X-variable.

Factor analysis Factor analysis has an aim similar to PCA, but assumes an underlying model with a specified number of factors which are linear combinations of the original variables. The analysis is more concerned with 'explaining' the covariance structure of the variables rather than with 'explaining' the variances.

H

HDB HDB is the abbreviation for Historical DataBase. The HDB contains observations from the past.

Hi limit Hi and Lo limits are used as warning limits. This means that when the process is inside these limits it is under control.

HiHi limit HiHi and LoLo limits are used as critical limits. This means that when the process is outside one of these limits it is out of control.

Historical batch A historical batch is a batch that was not part of the workset of the model, was previously monitored, has finished, and sits in the database.

L

Least squares estimate The least squares estimate is a method to estimate model parameters by minimizing the sum of squares of the differences between the actual response value and the value predicted by the model.

Lo limit Hi and Lo limits are used as warning limits. This means that when the process is inside these limits it is under control.

Loading vector The loading vector is the direction coefficients of a PC, PLS, or OPLS component axis.

LoLo limit HiHi and LoLo limits are used as critical limits. This means that when the process is outside one of these limits it is out of control.

M

Missing value Missing values are elements in a data matrix without defined values. As a rule of thumb, each observation and variable should have more than five defined values per principal component. Observations (or variables) with missing values that show up as outliers should be treated with suspicion.

Model A model is: 1) An approximation of reality. A good model preserves all properties of interest. 2) A hyperplane, with limited extension, that approximates the variable space spanned by a class of observations.

MSPC Multivariate Statistical Process Control. The use of multivariate methods to characterize the state of a process with respect to known states. The state is determined from model score plots and distance to model plots. See also: SPC.

Multivariate alarms Alarms on multivariate vectors such as scores (t) or DModX from the prediction of the models in SIMCA-online. These alarms have two limit levels that can be set; • warning level (Lo or Hi), displayed using the color orange. • critical level (LoLo or HiHi), displayed using the color red. For batch evolution (and continuous configuration) alarms, the setting for Alarm triggers (on its own page in the configuration) is used to delay how quickly an alarm will be triggered if an observation is outside the limits using the settings for Consecutive and Total observations.

Multivariate analysis Multivariable analysis is a group of statistical methods, which are appropriate when measurements are made on several variables for each of a large number of individuals or observations.

Multivariate data Multivariate data consist of observations on several different variables for a number of individuals or observations. Indeed, the vast majority of data is multivariate, although introductory statistics courses naturally concentrate on the simpler problems raised by observations on a single variable.

N

NIPALS Non-linear Iterative Partial Least Squares

Node The basic purpose of a node is to be a container of tags. A node can also contain other nodes, similarly to how a file system works with folders inside folders. A node is used to store time-stamped values for the tags in it. One set of values for a particular time point is called an observation. If a node holds process data (which is very common), it can also be referred to as a process node.

O

Observation space The space spanned by the observation vectors of a data matrix. Each variable vector is represented as a point in that space.

Offline data See Discrete data.

Outlier An outlier is a batch or time point found outside a critical limit, e. g. DCrit.

P

Partial Least Squares Partial Least Squares Projection to Latent Structures. See PLS.

Partial models In workset of the batch level model, where the batch evolution model has phases, there is a ’Create partial models for each phase’ check box. After selecting this check box, the models fitted are cumulative over the phases. That is, the first model contains the first phase, the second the first and second phases, etc. and the last contains all phases.

PC Principal Component. A PC is a one model dimension of a PC model. Often also used as a term for the scores t.

PC modeling Principal Component modeling. PC modeling is: 1) The use of PCs to define a model. 2) The approximation of a matrix by a model, defined by averages and a relatively small number of outer vector products. The components can often be used in place of the original variables for plotting, regression, clustering and so on.

PCA Principal Component Analysis. PCA is the technique for finding a transformation that transforms an original set of correlated variables to a new set of uncorrelated variables, called principal components. The components are obtained in order of decreasing importance, the aim being to reduce the dimensionally of the data.

PDB PDB is the abbreviation for Process DataBase, a database in the external system.

PLS Partial Least Squares Projection to Latent Structures. PLS is a generalization of PCA where a projection model is developed predicting Y from X via scores of X. Can also be seen as a generalized multiple regression method that can cope with multiple collinear X and Y variables.

Port The communication channel that is used by the server and client. Also named Endpoint. SIMCA-online uses TCP ports.

Prediction set A dataset used together with an established model in order to obtain model predictions for each of the observations in the set. See also Test dataset.

Predictor variable See X-variable.

Principal component See PC.

Principal component analysis See PCA.

Principal component modeling See PC modeling.

Principal factor analysis See: Principal component analysis.

Project configuration A Project configuration in SIMCA-online refers to an offline SIMCA project (USP-file) that has been uploaded to the SIMCA-online server, and then configured to among other things read data from certain tags in a data source. All these settings are made in the Project Explorer pane. You can have many configurations for one SIMCA project in SIMCA-online. SIMCA-online always executes (predicts) configurations (technically never projects (USPs) or just models).

Projection 1) The act of projecting. 2) Something that has been projected, i.e. the 'picture' of orthogonally projected points on a line, plane or hyperplane.

Projection methods Projection methods are a group of methods that can efficiently extract the information inherent in MVD. They give results that are easy to interpret because they can be presented as pictures. Such methods are efficient for pattern recognition, classification, and predictions. The most commonly used methods are PC and PLS modeling.

Projection point The projection point is a point, along a line or in a plane or hyperplane (created by approximating data in k-space as a low dimensional hyperplane), which is closest to the original point.

Projection to Latent Structures See PLS.

PS Prediction Set. Denotes that the vector displays results for predictions.

R

Recent batches Recent batches are the most recent batches that have finished executing. The time range that defines recent batches can be modified in the Time ranges page of the project configuration for each project.

Reference batch A reference batch is any historical or workset batch that you select to display alongside the active batches. You select a reference batch by marking it in the Batches box. A reference batch is by default displayed as line without symbols alongside the active batches.

Reference dataset The term 'Reference dataset' is used for datasets with known properties and origin, often used to define models. Synonyms: Calibration dataset, Training dataset, Workset.

Regression In mathematics Y is called a function of X, but in statistics the term regression of Y on X is generally used to describe the (sound, approximate) relationship.

Regression analysis Regression analysis is the fitting of an equation to a set of values. The equation predicts a response variable from a function of regressor variables and parameters, adjusting the parameters such that a measure of fit is optimized.

Residual The residuals are the left-over; un-modeled part of a dataset; the mismatch between the observed and modeled values.

Response variable See Y-variable.

S

Score The score is: (1) The distance from the origin, along a loading vector, to the projection point of an observation in K- or M-space. (2) The coordinates of a point when it is projected on a model hyperplane.

Score vector The score vector is the observation coordinates along a PC or PLS component axis. Scores for all observations for one model dimension (component).

SDB SDB is the abbreviation for SIMCA-online DataBase. SDB is the internal database created by SIMCA-online to store results.

SIMCA The software used to create SIMCA projects (usp-files) to use in SIMCA-online.

Singular value decomposition See: Principal component analysis

Sleep Sleep is used to inform SIMCA-online of skipped observations. Sleep was used in versions before 3.0 of SBOL to inform SBOL of skipped phases.

Sleep condition A sleep condition is an optional logical expression using data from one or more tags. It is evaluated to determine if an observation should be ignored instead of predicted. Each Unit has its own sleep condition. The same sleep condition is thus used for all phases of that particular unit. If an observation is not predicted because of the sleep condition missing values will be used instead in plots and lists. Note that the batch identifier tag still needs to hold the same batch ID, and the phase execution condition must be fulfilled, if the batch should be kept active.

SPC Statistical Process Control. The behavior of a process is characterized using data when the process is operating well and is in a state of control. In the monitoring phase the new incoming, measured, data are used to detect whether the process is in control or not. See also: MSPC.

Sub-batch When a batch is partitioned into several physical parts, each part is a sub-batch.

Sublot See sub-batch.

T

Tag A tag is an identifier (of a column or “variable”) in the data source that SIMCA-online can tie to a variable in a model of a SIMCA project (this is done on the Phase tags page of the configuration wizard). In general, for a model to be used in SIMCA-online, one tag is required for each model variable. Tags are also used in other aspects of the configuration, such as write back and for phase execution conditions and sleep conditions. Using the tag identifier SIMCA-online can read values from the data source through the SimApi.

TCP/IP TCP/IP is the standard internal protocol. SIMCA-online uses TCP.

Test dataset See Prediction set.

Trend plot Variable plot that is displayed over time.

Trigger An act or event that initiates a reaction such as raising an alarm.

U

Unit A unit is a physical equipment/machine/vessel that processes a sub-batch.

Unit group A unit group is a process step, for instance a granulator. The unit group contains one or more identical units.

Univariate alarms Univariate alarms on individual variables in the (phase) models are configured on the Target values page of the project configuration. Target value alarms are simple; if configured an alarm will be triggered as soon as the variable is outside the configured limits or missing.

W

Warning limit When points are found outside the warning limit the process has left its controlled state and some parameters should probably be adjusted.

Workset The workset contains the batches used to build models in SIMCA. Synonyms: Training dataset, training set.

Workspace A workspace consists of one or more open project configurations, the positioning of all open plots as arranged, and the Unit overview, when the workspace was saved.

X

X-variable X-variables are used to 'explain' the variation in the dependent variables (y). Synonyms: predictor variables or explanatory variables.

Y

Y-variable Y-variables are modeled as dependent on other variables. These other variables are often named predictor variables or X-variables. Synonyms: dependent variables, response variables.